#This file was created by <karger> Fri Sep 24 10:10:23 1999
#LyX 1.0 (C) 1995-1999 Matthias Ettrich and the LyX Team
\lyxformat 2.15
\textclass book
\begin_preamble
\usepackage{multicol}
\newcommand{\extratablespace}[1]{\noalign{\vskip#1}}
\end_preamble
\language default
\inputencoding latin1
\fontscheme default
\graphics default
\paperfontsize default
\spacing single 
\papersize Default
\paperpackage a4
\use_geometry 0
\use_amsmath 0
\paperorientation portrait
\secnumdepth 3
\tocdepth 3
\paragraph_separation indent
\defskip medskip
\quotes_language english
\quotes_times 2
\papercolumns 1
\papersides 2
\paperpagestyle headings

\layout Title

Extended LyX Features
\layout Author

by the LyX Team
\begin_float footnote 
\layout Standard
\noindent 
This file is currently maintained by 
\noun on 
Mike Ressler
\noun default 
, mike.ressler@alum.mit.edu.
 Please send comments or error corrections to that address.
\end_float 
 
\layout Standard


\begin_inset LatexCommand \tableofcontents{}

\end_inset 


\layout Chapter

Supplemental Document Preparation Tools
\layout Section

Introduction
\layout Standard

The 
\emph on 
Extended LyX Features
\emph default 
 manual, which you are now reading, is essentially Part II of the 
\emph on 
User's Guide\SpecialChar \@.

\emph default 
 The reason for splitting this document is simple: the 
\emph on 
User's Guide
\emph default 
 is already huge, and it contains all of the basic features one needs to
 know in order to prepare most documents.
 However, the LyX Team has a long-term goal of making LyX extensible through
 various configuration files.
 That means that if you want to support the Fizzwizzle LaTeX package, you
 can create a layout-file for it without having to alter LyX itself.
 We've already had contributions of several new features this way.
 This is the place where all of that gets documented.
\layout Standard

This manual also documents some special features, like fax support, version
 control, and 
\family typewriter 
SGML-Tools
\family default 
 support, which require additional software to work properly.
 Lastly, there's a chapter of LaTeX tools and tips, things you can use to
 spruce up your documents by directly using the powerful features of LaTeX.
 After all, LyX 
\emph on 
is
\emph default 
 only WYSIWYM, and will only ever interface to certain LaTeX features.
\layout Standard

Of course, with all of this extra documentation, 
\emph on 
Extended LyX Features
\emph default 
 may itself grow too big for its britches.
 In that case, you can just call it the 
\begin_inset Quotes eld
\end_inset 

Overextended Manual
\begin_inset Quotes erd
\end_inset 

 for fun!
\layout Standard

If you haven't read the 
\emph on 
Introduction 
\emph default 
yet, you are definitely in the wrong manual.
 The 
\emph on 
Introduction
\emph default 
 is the first place to go, since it will direct you to the correct manual,
 and it also describes the notation and format of all of the manuals.
 You should also be thoroughly familiar with the 
\emph on 
User's Guide
\emph default 
 and all of the basic features of LyX.
 
\layout Standard

In this document, many sections are independent articles contributed by
 an individual and are noted as such.
 This person is generally whoever wrote the layout file for the new document
 class or LaTeX package, or implemented the feature.
 If there is no mention of an author to a chapter [or chapter sections],
 that means it was written by the LyX Documentation Team.
\layout Standard

This first chapter covers 
\begin_inset Quotes eld
\end_inset 

supplemental
\begin_inset Quotes erd
\end_inset 

 document-editing features of LyX, 
\emph on 
i.e.
\emph default 

\protected_separator 
it is stuff that didn't fit in the 
\emph on 
User's Guide
\emph default 
, and is for more seasoned LyX users.
\layout Section

ASCII-Export Support in LyX
\layout Standard

by 
\noun on 
Juergen Vigna
\layout Standard
\added_space_top bigskip \noindent 
This gives you the possibility to export your files as ASCII text in order
 to be able to import this text into other applications, or to simply view
 and print it as is.
 The only thing which needs to be documented for good measure, are the 
\family typewriter 
lyxrc
\family default 
-commands you can set for this feature.
 Notice that LyX automatically will detect and use the best settings for
 your system at installation time, but here goes anyways in case you have
 unforeseen problems:
\layout Description


\family typewriter 

\backslash 
ascii_roff_command:
\family default 
 With this command you can set the command to produce better ASCII tables
 with the groff/troff/nroff UNIX-commands (refer to their manpage for more
 information about them).
 Not defining it at all tells LyX to use the internal (inferior) formatter.
\layout Paragraph

Example:
\layout LyX-Code

# This let's you generate ASCII tables with latin1
\newline 
# characters, using the groff formatter 
\newline 
#
\newline 

\backslash 
ascii_roff_command 
\begin_inset Quotes eld
\end_inset 

groff -t -ms -Tlatin1
\begin_inset Quotes erd
\end_inset 

 
\newline 

\protected_separator 

\newline 
# This let's you generate ASCII tables using the
\newline 
# nroff formatter
\newline 
#
\newline 

\backslash 
ascii_roff_command 
\begin_inset Quotes eld
\end_inset 

nroff
\begin_inset Quotes erd
\end_inset 


\layout Description


\family typewriter 

\backslash 
ascii_linelen:
\family default 
 With this command you can set the default line length of the ASCII-file
 which should be created.
 Setting it to 0 means endless lines.
 Default is 75 characters.
\layout Paragraph

Example:
\layout LyX-Code

# This sets the line length to 80 characters
\newline 
#
\newline 

\backslash 
ascii_linelen 80
\layout Section

Preparing a Bibliography with BibTeX
\layout Standard

STOP! If you don't know what BibTeX is, or have a reasonably good idea of
 how to use it (
\emph on 
e.g.

\emph default 
 setting up your own bibliographic databases), 
\emph on 
run
\emph default 
, do not walk, to your nearest copy of the 2nd edition of Lamport's 
\emph on 
LaTeX: A Document Preparation System
\emph default 
, particularly Appendix B.
 The rest of this discussion assumes you have created a correct bibliography
 file, that you have all relevant environment variables set correctly (esp.
 
\family typewriter 
BIBINPUTS
\family default 
, 
\family typewriter 
BSTINPUTS
\family default 
, and 
\family typewriter 
TEXINPUTS
\family default 
), and that if sufficiently desperate, you could create and 
\begin_inset Quotes eld
\end_inset 

TeX
\begin_inset Quotes erd
\end_inset 

 a LaTeX file with a BibTeX database.
 
\layout Standard

For those who don't know what BibTeX is, it is a system for creating a large
 database of your most used journal references.
 For all future articles you write, you only need to include this standard
 database and reference the appropriate key to each reference.
 Even if you write only a few papers with handful of references each, it
 is well worth your time to examine BibTeX and decide whether it will be
 useful to you.
\layout Standard

To use BibTeX with LyX, first read the 
\emph on 
User Guide
\emph default 
 where it describes how to insert citations.
 The basic mechanism for inserting BibTeX references is the same.
 Then, at the very end of your document, select 
\family sans 
Insert\SpecialChar \menuseparator
Lists
\family default 
 & 
\family sans 
TOC\SpecialChar \menuseparator
BibTeX Reference
\family default 
.
 In the resulting popup, fill out the dialog boxes as follows: 
\layout Description

Database: enter the name of your 
\family typewriter 
.bib
\family default 
 file *without* the 
\family typewriter 
.bib
\family default 
 extension.
 For searching multiple 
\family typewriter 
.bib
\family default 
 files, just enter them in the desired order, separated by commas.
 
\layout Description

Style: enter the name of your BibTeX style file *without* the 
\family typewriter 
.bst
\family default 
 extension.
 The default style is 
\family typewriter 
plain
\family default 
 (which should be included in your LaTeX distribution, so you don't have
 to worry about creating it).
\layout Standard

For each citation, assuming that the source is in the 
\family typewriter 
.bib
\family default 
 file, just call 
\family sans 
Insert\SpecialChar \menuseparator
Citation Reference
\family default 
 at the correct location in the text, and enter the appropriate reference
 key.
 Nothing else is required; when invoking 
\family sans 
File\SpecialChar \menuseparator
View dvi
\family default 
, for example, you should see that BibTex and LaTeX are invoked as needed,
 including multiple invocations of LaTeX.
 
\layout Section

Making an Index
\layout Standard

A good index is one of the hardest things to make in a lengthy document,
 but LyX helps make things a bit simpler by interfacing to the 
\family typewriter 
makeindex
\family default 
 program which is found in most recent LaTeX distributions.
 Inserting an index and marking words to include in it works much the same
 way as preparing a bibliography as mentioned in the last section.
\layout Standard

First, go to the end of your file and select 
\family sans 
Insert\SpecialChar \menuseparator
Lists
\family default 
 & 
\family sans 
TOC\SpecialChar \menuseparator
Index List
\family default 
.
 Then, for each word you would like to include in the index, go to the end
 of that word and click on 
\family sans 
Insert\SpecialChar \menuseparator
Index entry last word
\family default 
.
 This will insert a tag showing the word as it will appear in the index.
 If you wish to specify exactly what will appear in the index---for example,
 suppose you wanted the index word 
\begin_inset Quotes eld
\end_inset 

cat
\begin_inset Quotes erd
\end_inset 

 to refer to both 
\begin_inset Quotes eld
\end_inset 

cat
\begin_inset Quotes erd
\end_inset 

 and 
\begin_inset Quotes eld
\end_inset 

cats
\begin_inset Quotes erd
\end_inset 

 in the text---after each appearance of 
\begin_inset Quotes eld
\end_inset 

cats
\begin_inset Quotes erd
\end_inset 

, simply select 
\family sans 
Insert\SpecialChar \menuseparator
Index entry
\family default 
 and enter the word 
\begin_inset Quotes eld
\end_inset 

cat
\begin_inset Quotes erd
\end_inset 

 in the dialog box.
 That's all there is to it; LyX will automatically call 
\family typewriter 
makeindex
\family default 
 for you and create the index itself.
 
\layout Standard

Be careful not to put spaces between the word in the text and the index
 marker; apparently the wrong page number can be produced if this happens.
 You should also be aware that there are more advanced ways to use 
\family typewriter 
makeindex
\family default 
; have a look at the documentation which comes with your LaTeX distribution
 to find out how to do things like 
\begin_inset Quotes eld
\end_inset 

nested entries
\begin_inset Quotes erd
\end_inset 

, etc.
\layout Section

Multipart Documents
\layout Standard

When you are working on a large file with many sections, it is often convenient
 to break up the document into several files, or perhaps you have something
 where a table may change from time to time, but the preceding text does
 not.
 In these cases, you should seriously consider using multipart documents.
 For example, scientific papers often have five major sections: the introduction
, observations, results, discussion, and conclusion.
 Each of these could be its own separate LyX file, with one 
\begin_inset Quotes eld
\end_inset 

master
\begin_inset Quotes erd
\end_inset 

 file which contains the title, authors, abstract, references, etc., plus
 the five included files.
 It is important to note that each of these files is a full LyX file which
 can be formatted and printed on its own, as well as included in a master
 file.
 You may also include LaTeX files; however, these files must not have their
 own preamble 
\emph on 
(i.e.

\emph default 
 everything up to and including the 
\family typewriter 

\backslash 
begin{document}
\family default 
 line as well as the 
\family typewriter 

\backslash 
end{document}
\family default 
 line must be deleted) or else errors will be generated when you try to
 make a DVI file.
\layout Standard

LyX allows you to include files quite easily with 
\family sans 
\bar under 
I
\bar default 
nsert\SpecialChar \menuseparator
In
\bar under 
c
\bar default 
lude
\protected_separator 
File
\family default 
.
 When you click on this selection a small box is inserted into the file
 at the current cursor location.
 Clicking on the box raises a popup which allows you to select the file
 to be included, and the method of its inclusion.
 
\layout Standard

The file selection box should by now be obvious.
 The three inclusion methods are 
\begin_inset Quotes eld
\end_inset 

include
\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 

input
\begin_inset Quotes erd
\end_inset 

, and 
\begin_inset Quotes eld
\end_inset 

verbatim
\begin_inset Quotes erd
\end_inset 

.
 The difference between 
\begin_inset Quotes eld
\end_inset 

include
\begin_inset Quotes erd
\end_inset 

 and 
\begin_inset Quotes eld
\end_inset 

input
\begin_inset Quotes erd
\end_inset 

 is really only meaningful to LaTeXperts, but the practical difference is
 that files which are 
\begin_inset Quotes eld
\end_inset 

included
\begin_inset Quotes erd
\end_inset 

 are typeset beginning on a new page, while files which are 
\begin_inset Quotes eld
\end_inset 

inputted
\begin_inset Quotes erd
\end_inset 

 are typeset starting on the current page.
 Perhaps the labeling in LyX will be changed someday to reflect this.
\layout Standard

Generally, the master file is converted into a full LaTeX file before typesettin
g, while the included files are converted to LaTeX files which do not have
 all the preamble information.
 Checking the 
\family sans 
Don't typeset
\family default 
 button prevents this conversion.
\layout Standard

A 
\begin_inset Quotes eld
\end_inset 

verbatim
\begin_inset Quotes erd
\end_inset 

 included file allows you to include a file typeset exactly as it appears
 in the file, i.e.
 verbatim mode, with the characters set in a fixed-width typewriter font.
 Normally, spaces in this file are invisible, though two consecutive spaces
 are conserved, unlike LyX's normal treatment of spaces.
 However, the 
\family sans 
Visible space
\family default 
 button typesets a mark to unambiguously define the presence of a space.

\emph on 
 
\layout Section

Algorithms
\layout Standard


\emph on 
(from LaTeX Configuration)
\layout Standard

The package 
\family sans 
algorithm
\family default 
 is needed by LyX to be able to output 
\begin_inset Quotes eld
\end_inset 

algorithm-floats
\begin_inset Quotes erd
\end_inset 

.
 These are useful in placing short algorithms across page breaks and support
 an 
\begin_inset Quotes eld
\end_inset 

index of algorithms
\begin_inset Quotes erd
\end_inset 

 too.
\layout Section

Subfigures
\layout Standard


\emph on 
(from LaTeX Configuration)
\layout Standard

The package
\family sans 
 subfigure 
\family default 
is used by LyX when you select ``subfigure'' in the EPS figure popup.
 Several figures marked in this way can be packed into a single float with
 individual subcaptions.
\layout Section

Fancy Headers and Footers
\layout Standard

The default page layout is rather plain; for an article document class,
 all you get is a centered page number at the bottom of the page.
 This document is the book class, so it appears to be a bit fancier, but
 to really put on a show, you need to set the document page style to 
\begin_inset Quotes eld
\end_inset 

fancy
\begin_inset Quotes erd
\end_inset 

, as mentioned in the 
\family sans 
User Guide
\family default 
.
 This section describes the LaTeX codes you need to insert in your LaTeX
 preamble or the text in order to get the desired effects.
\layout Standard

The page header is divided into three fields, not surprisingly labeled 
\begin_inset Quotes eld
\end_inset 

left
\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 

center
\begin_inset Quotes erd
\end_inset 

, and 
\begin_inset Quotes eld
\end_inset 

right
\begin_inset Quotes erd
\end_inset 

.
 The footer is also divided into these three fields.
 The LaTeX commands to set these fields in the simplest manner are 
\family typewriter 

\backslash 
lhead
\family default 
, 
\family typewriter 

\backslash 
chead
\family default 
, 
\family typewriter 

\backslash 
rhead
\family default 
, 
\family typewriter 

\backslash 
lfoot
\family default 
, etc.
 Suppose you wish to put your name in the upper left hand corner of each
 page.
 Simply insert the following command in the preamble: 
\layout Standard


\family typewriter 

\backslash 
lhead{John Q.
 DocWriter}
\layout Standard

You will now see your name in the upper left.
 If a field has a default entry that you would like to get rid of (often
 the page number appears in the central footer, simply include a command
 with a blank argument, e.g.
\layout Standard


\family typewriter 

\backslash 
cfoot{}
\layout Standard

Let's get really fancy: lets put the section number with the word 
\begin_inset Quotes eld
\end_inset 

Section
\begin_inset Quotes erd
\end_inset 

 (e.g.
 Section 3) in the upper left, the page number (e.g.
 Page 4) in the upper right, your name in the lower left, and the date in
 the lower right.
 The following commands should now appear in the preamble:
\layout Standard


\family typewriter 

\backslash 
lhead{Section 
\backslash 
thesection}
\layout Standard


\family typewriter 

\backslash 
chead{}
\layout Standard


\family typewriter 

\backslash 
rhead{Page 
\backslash 
thepage}
\layout Standard


\family typewriter 

\backslash 
lfoot{John Q.
 DocWriter}
\layout Standard


\family typewriter 

\backslash 
cfoot{}
\layout Standard


\family typewriter 

\backslash 
rfoot{
\backslash 
today}
\layout Standard

The codes 
\family typewriter 

\backslash 
thesection
\family default 
 and 
\family typewriter 

\backslash 
thepage
\family default 
 access LaTeX's section and page counters, and so print out the current
 section and page numbers.
 
\family typewriter 

\backslash 
today
\family default 
 simply prints out today's date.
\layout Standard

The thicknesses of the horizontal rules drawn beneath the header and above
 the footer can also be modified.
 If you don't want one of the headers, set its thickness to 0.
 The header rule has a default thickness of 0.4pt, the footer rule is 0pt.
 Use the commands, e.g.
 
\family typewriter 

\backslash 
renewcommand{
\backslash 
headrulewidth}{0.4pt}
\family default 
 and 
\family typewriter 

\backslash 
renewcommand{
\backslash 
footrulewidth}{0.4pt}
\family default 
 to set the thicknesses.
\layout Standard

You can switch the header/footer settings on and off for individual pages
 using commands like 
\family typewriter 

\backslash 
thispagestyle{empty}
\family default 
, 
\family typewriter 

\backslash 
thispagestyle{plain}
\family default 
, and 
\family typewriter 

\backslash 
thispagestyle{fancy}
\family default 
.
 Simply insert them in the text on the page you want changed and mark them
 as TeX code.
 In fact, title pages are marked as plain by default, while following pages
 are marked fancy when using the global fancy setting.
\layout Standard

There are more complex commands which will let you insert things in the
 upper left on odd numbered pages, etc., but I will refer you to the 
\family typewriter 
fancyhdr
\family default 
 package documentation for more descriptions.
 For example, if you have a teTeX installation, look for 
\family typewriter 
/usr/local/teTeX/texmf/doc/latex/fancyhdr/
\latex latex 

\backslash 
-
\latex default 
fancyhdr.dvi
\family default 
.
\layout Standard

As a final example, it is possible to include an Encapsulated PostScript®
 file in the header or footer.
 Suppose you want to put a company logo in the upper lefthand corner.
 You might try something like
\layout Standard


\family typewriter 

\backslash 
lhead{
\backslash 
resizebox{1in}{!}{
\backslash 
includegraphics{logo.eps}}}
\layout Standard
\noindent 
(you may need to preface this with 
\family typewriter 

\backslash 
usepackage{graphics}
\family default 
 if you don't include EPS files elsewhere in your document).
\layout Section

Extra Paragraph Options
\layout Standard
\noindent 
There are a number of advanced paragraph layout options which are accessible
 by clicking on 
\family sans 
ExtraOpt
\family default 
 under 
\family sans 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator

\bar under 
P
\bar default 
aragraph
\family default 
.
 These options include the ability to indent a whole paragraph, to treat
 a paragraph as its own small page, and to wrap a paragraph around a figure.
\layout Subsection

Indented Paragraphs 
\layout Standard
\pextra_type 1 \pextra_width 1cm

This button in the upper left of the 
\family sans 
ExtraOpt
\family default 
 panel toggles indented paragraphs on/off and enables the 
\family sans 
Width
\family default 
 field to its right.
 This indents the entire left side of the paragraph by the dimension given
 in the width field (
\emph on 
e.g.

\emph default 
 1cm).
 The right side is not touched.
\layout Subsection

Minipages
\layout Standard

LaTeX provides a mechanism to produce essentially a page within a page,
 called minipages.
 Within a minipage, all the usual rules of indentation, line wrapping, etc.
\protected_separator 
apply.
 LyX also provides some of the minipage capability.
\layout Standard

To begin a minipage, simply change the paragraph layout by clicking on the
 
\family sans 
Minipage
\family default 
 radio button.
 Then set the minipage width with either a length dimension or a column
 percentage in the 
\family sans 
Width
\family default 
 field.
 You may now check an alignment button: as there is place for several horizontal
ly aligned minipages depending on the width of the individual minipages,
 you can specify how they should be vertically aligned with respect to each
 other.
\layout Standard

There are two further options for minipages.
 If you place two minipages side-by-side, you can insert a special instruction
 known in the LaTeX world as an 
\family typewriter 
hfill
\family default 
 to put a maximum amount of space between them; it forces one minipage to
 the left edge, the other to the right edge.
 Check this option for the second minipage, not the first.
\layout Standard

The second option is 
\family sans 
Start
\protected_separator 
new
\protected_separator 
Minipage
\family default 
: this option permits you to start a new minipage if you are placing two
 in a row.
 This implies that if a minipage paragraph did not have this checked, then
 it is part of the same minipage as the minipage-paragraph before it.
 Again, this applies to the second minipage only.
\layout Standard

Warning: if the minipage is too long to fit on a page, it is truncated,
 not wrapped onto the next page.
\layout Standard
\pextra_type 2 \pextra_alignment 0 \pextra_start_minipage 1 \pextra_width 1.5in

This is a minipage which does not use hfill.
 This is the second sentence of a minipage which does not use hfill.
\layout Standard
\pextra_type 2 \pextra_alignment 0 \pextra_start_minipage 1 \pextra_width 1.5in

This is a second minipage which does not use hfill.
 This is the second sentence of a second minipage which does not use hfill.
\layout Standard
\added_space_top medskip \added_space_bottom medskip 
Here is some normal text to separate the two examples.
\layout Standard
\pextra_type 2 \pextra_alignment 0 \pextra_hfill 1 \pextra_start_minipage 1 \pextra_width 1.5in

This is a minipage which does use hfill.
 This is the second sentence of a minipage which does use hfill.
\layout Standard
\pextra_type 2 \pextra_alignment 0 \pextra_hfill 1 \pextra_start_minipage 1 \pextra_width 1.5in

This is a second minipage which does use hfill.
 This is the second sentence of a second minipage which does use hfill.
\layout Subsection

Wrapping Text Around Figures
\begin_inset LatexCommand \label{sec:floatflt}

\end_inset 


\layout Standard

\begin_float fig 
\layout Standard
\align center \pextra_type 3 \pextra_widthp 50


\begin_inset Figure size 119 51
file mobius.eps
width 4 40
flags 9

\end_inset 


\layout Caption

This is a wrapped figure and this is the brilliant caption that describes
 it.
\end_float 
 A very frequently asked question is whether text can be made to 
\begin_inset Quotes eld
\end_inset 

wrap
\begin_inset Quotes erd
\end_inset 

 around figures so that a figure occupies some fraction of the column width
 and text fills the rest.
 If you have the LaTeX package 
\family typewriter 
floatflt
\family default 
 installed (it is usually included in distributions like teTeX, or you can
 get it from CTAN) you can do this also using the 
\family sans 
ExtraOpt
\family default 
 panel.
\layout Standard

At right is a figure of a mobius strip---you should have already seen this
 in the 
\emph on 
User Guide
\emph default 
.
 To wrap the text like this, insert a figure float at the beginning of the
 paragraph, then insert the EPS file itself in the normal way.
 For this example, the figure has a width which is 40% of the total column
 width.
 Then, place the cursor at the left of the figure itself, select the 
\family sans 
Extraopt
\family default 
 button from the 
\family sans 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator

\bar under 
P
\bar default 
aragraph
\family default 
 popup, mark the paragraph as 
\family sans 
floatflt
\family default 
, and fill in the width (50% in this example).
 Remember that the width you select is the width which is reserved for the
 text, not the width of the figure.
 You still need to set the width in the EPS figure dialog, as 40% of page
 width in this case.
 The figure will always be on the 
\begin_inset Quotes eld
\end_inset 

outside
\begin_inset Quotes erd
\end_inset 

 of a page; on the left side of an even numbered page, on the right side
 for an odd numbered page.
 Controls to force it to a specific side appear to not yet be implemented.
 See Section 
\begin_inset LatexCommand \ref{sec:wrap}

\end_inset 

 for ways to take full advantage of the 
\family typewriter 
floatflt
\family default 
 package.
 Note: this package is very fragile! For example, having a figure too close
 to the bottom of the page will mess things up, as will having two figures
 close together.
 Use this package sparingly and do read the documentation that came with
 it.
\layout Section

Extra Table Options
\layout Standard

While the standard table layout will suffice in 99% of all tables you generate,
 occasionally you will run into one which requires a bit of extra tweaking.
 The 
\family sans 
Extra
\family default 
 button in
\family sans 
 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator
Tabl
\bar under 
e
\family default 
\bar default 
 will give you access to some extra column alignment parameters.
 A little bit of LaTeX background is useful here: when you set up a table
 in LaTeX, each column is given an alignment type.
 For example, you would give it 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
l
\family default 

\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
c
\family default 

\begin_inset Quotes erd
\end_inset 

, or 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
r
\family default 

\begin_inset Quotes erd
\end_inset 

 for left-aligned, centered, and right-aligned columns respectively (which
 appear as the left/center/right radio buttons in LyX).
 A fourth type is 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
p
\family default 

\begin_inset Quotes erd
\end_inset 

, which will make a column of a specified width (the width box in LyX),
 and will wrap text within that box.
 A fifth type is 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
|
\family default 

\begin_inset Quotes erd
\end_inset 

 (vertical bar) which rather than making a column will make a vertical rule
 at that point; this manifests itself in LyX as the 
\begin_inset Quotes eld
\end_inset 

borders
\begin_inset Quotes erd
\end_inset 

 buttons.
 Finally, there is a type 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
@
\family default 

\begin_inset Quotes erd
\end_inset 

, which allows you to use whatever is enclosed in the accompanying braces
 as the column separator, including a null argument.
 The reasons for doing this may not be obvious, but they can be very powerful.
 They are best demonstrated by example.
\layout Subsection

Removing Extra Column Space
\layout Standard

Here is a standard table:
\layout Standard
\added_space_top 0.3cm \added_space_bottom 0.3cm \align center \LyXTable
multicol5
3 2 0 0 -1 -1 -1 -1
0 1 0 0
0 0 0 0
0 0 0 0
2 0 0 "" ""
2 1 0 "" ""
0 2 1 0 0 0 0 "" ""
0 2 1 0 0 0 0 "" ""
0 2 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""

Type
\newline 
Example
\newline 
Rock
\newline 
Granite
\newline 
Mineral
\newline 
Quartz
\layout Standard

Notice that the horizontal rule extends a bit past the text on both sides.
 If you wanted the line to end even with the text, we can put a null separator
 on the ends to get rid of the bit of extra space LaTeX adds by default.
 Here is the example:
\layout Standard
\added_space_top 0.3cm \added_space_bottom 0.3cm \align center \LyXTable
multicol5
3 2 0 0 -1 -1 -1 -1
0 1 0 0
0 0 0 0
0 0 0 0
2 0 0 "" "@{} l"
2 1 0 "" "l @{}"
0 2 1 0 0 0 0 "" ""
0 2 1 0 0 0 0 "" ""
0 2 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""

Type
\newline 
Example
\newline 
Rock
\newline 
Granite
\newline 
Mineral
\newline 
Quartz
\layout Standard

In this case, the column specifier for the left column was set to 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
@{} l
\family default 

\begin_inset Quotes erd
\end_inset 

, while the right column was set to 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
l @{}
\family default 

\begin_inset Quotes erd
\end_inset 

, in order to put the null characters on the edges.
 
\layout Subsection

Changing the Column Separator Character
\layout Standard

Now suppose you really wanted, for reasons that are completely opaque, to
 use 
\begin_inset Formula \( \sqrt{\pi } \)
\end_inset 

 with some space around it for the column separator.
 Simply turn off the vertical border, then set the right column specifier
 to 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
@{~$
\backslash 
sqrt{
\backslash 
pi}$~} l
\family default 

\begin_inset Quotes erd
\end_inset 

.
 You could now make a table like this:
\layout Standard
\added_space_top 0.3cm \added_space_bottom 0.3cm \align center \LyXTable
multicol5
3 2 0 0 -1 -1 -1 -1
0 1 0 0
0 0 0 0
0 0 0 0
2 0 0 "" ""
2 0 0 "" "@{~$\sqrt{\pi}$~}l"
0 2 1 0 0 0 0 "" ""
0 2 1 0 0 0 0 "" ""
0 2 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""

Type
\newline 
Example
\newline 
Rock
\newline 
Granite
\newline 
Mineral
\newline 
Quartz
\layout Subsection

Making a Decimal Point Aligned Column
\layout Standard

Okay, that last example was very silly, but here is one that is not.
 Suppose you want to make a table that has a column which is aligned on
 a decimal point.
 A standard LaTeX trick to do this is to set the whole number part in a
 right-aligned column, use a decimal point for the column separator, then
 set the fractional part as a left-aligned column.
 A variation on this is to include the decimal point explicitly with the
 whole part, then use just a null separator in between.
 The latter variation is demonstrated here:
\layout Standard
\added_space_top 0.3cm \added_space_bottom 0.3cm \align center \LyXTable
multicol5
5 3 0 0 -1 -1 -1 -1
0 1 0 0
0 0 0 0
0 0 0 0
0 0 0 0
0 0 0 0
8 0 0 "" ""
4 1 0 "" ""
8 0 0 "" "@{} l"
0 8 1 0 0 0 0 "" ""
1 8 0 1 0 0 0 "" ""
2 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 4 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""

Expression
\newline 
Value 
\newline 

\begin_inset Formula \( \pi  \)
\end_inset 


\newline 
3.
\newline 
1416
\newline 

\begin_inset Formula \( \pi ^{\pi } \)
\end_inset 


\newline 
36.
\newline 
462
\newline 

\begin_inset Formula \( (\pi ^{\pi })^{\pi } \)
\end_inset 


\newline 
80663.
\newline 

\newline 

\begin_inset Formula \( \pi ^{\pi ^{\pi }} \)
\end_inset 


\newline 
1.
\newline 
3402
\begin_inset Formula \( \times 10^{18} \)
\end_inset 


\layout Standard

Though it appears a bit funny in LyX, on paper it will produce what appears
 to be a 2-column table in which the right column is aligned on the decimal
 point and the header appears to be centered over it.
\layout Standard

Perhaps it is best if I described just what I did: first, create a 3
\begin_inset Formula \( \times  \)
\end_inset 

3 table and remove all the borders.
 Then re-add a bottom border to the top row, and a right border to the first
 column.
 Type in the values for the first column and set its alignment to 
\family sans 
center
\family default 
.
 Type in the 
\family typewriter 
3.
\family default 
, 
\family typewriter 
36.
\family default 
, 
\family typewriter 
80663.
\family default 
, and 
\family typewriter 
1.

\family default 
 and set that column's alignment to 
\family sans 
right
\family default 
.
 Type in the 
\family typewriter 
1416
\family default 
, 
\family typewriter 
462
\family default 
, and 
\family typewriter 
3402
\begin_inset Formula \( \times 10^{18} \)
\end_inset 


\family default 
 and set the extra column alignment to 
\family typewriter 
@{} l
\family default 
.
 Finally type in the word 
\family typewriter 
Value
\family default 
 in the middle column, highlight it and the blank entry to its right, and
 check the 
\family sans 
Special Cell
\family default 
 entry 
\family sans 
multicolumn
\family default 
.
 Easy, right? There is a LaTeX package called 
\family typewriter 
dcolumn.sty
\family default 
 which does a more sophisticated variation of this and which is included
 in most modern LaTeX distributions, but LyX does not currently easily interface
 to it, but check it out if this little trick does not prove adequate.
\layout Section

Itemize Bullet Selection
\begin_inset LatexCommand \label{sec:bullet}

\end_inset 


\layout Standard

by
\noun on 
 Allan Rae
\layout Subsection

Introduction
\layout Standard

LyX provides 216 bullet shapes that can be accessed from a simple popup.
 Using this popup you can easily specify what bullet shape to use at each
 level of an itemized list.
 These settings are document-wide so you won't be able to specify different
 sets of bullets for different paragraphs
\begin_float footnote 
\layout Standard

Well, actually you can but you'll have to do it by hand.
\end_float 
.
\layout Subsection

How it looks
\layout Standard

Open the popup by selecting the 
\family sans 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator

\bar under 
D
\bar default 
ocument
\family default 
 menu item and then select the 
\family sans 
\bar under 
B
\bar default 
ullet
\protected_separator 
Shapes
\family default 
 button or from the keyboard using 
\family sans 
M-l i
\family default 
 or the minibuffer with 
\family typewriter 
buffer-itemize-bullets-select
\family default 
.
\layout Standard

The popup provides you with a table of bullet shapes.
 A column of buttons on the left of the table provides access to the six
 different panels of bullet shapes.
 The row of buttons across the top is used to select which bullet depth
 you are changing.
 A text entry under the table shows the currently selected bullet shape's
 LaTeX equivalent and this can be edited if desired.
 If you do modify the text you will also need to specify any needed packages
 in the LaTeX preamble.
\layout Standard

The six panels are divided up by the packages they require.
 The following table shows the mappings from button name to LaTeX packages.
\layout Standard
\added_space_top 0.3cm \added_space_bottom 0.3cm \align center \LyXTable
multicol5
7 2 0 0 -1 -1 -1 -1
1 1 0 0
1 0 0 0
1 0 0 0
1 0 0 0
1 0 0 0
1 0 0 0
1 1 0 0
8 1 0 "" ""
8 1 1 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""

Button
\newline 
Packages Required
\newline 

\family sans 
Standard
\family default 

\newline 
base LaTeX
\newline 

\family sans 
Maths
\family default 

\newline 

\family typewriter 
amssymb.sty
\family default 

\newline 

\family sans 
Ding1
\family default 

\newline 

\family typewriter 
pifont.sty
\family default 

\newline 

\family sans 
Ding2
\family default 

\newline 

\family typewriter 
pifont.sty
\family default 

\newline 

\family sans 
Ding3
\family default 

\newline 

\family typewriter 
pifont.sty
\family default 

\newline 

\family sans 
Ding4
\family default 

\newline 

\family typewriter 
pifont.sty
\layout Standard

LyX doesn't stop you using bullets from packages you don't have.
 If you get errors from LaTeX when you try to view or print the file then
 its likely you are missing a package.
 LyX doesn't restrict your use since you may be editing locally and exporting
 elsewhere.
\layout Subsection

How to use it
\layout Standard

Select which bullet depth you want to change then select the bullet shape
 and size.

\family sans 
 
\family default 
Changes will not be visible in LyX, but are visible when viewing the document
 using xdvi or ghostview.
\layout Standard

You can reset a bullet shape to the default simply by clicking your right
 mouse button on the appropriate bullet depth button.
\layout Standard

If you 
\emph on 
really
\emph default 
 want to have multiple sets of paragraphs with different sets of bullets
 in each then you're going to have to get your hands dirty.
 The itemize bullet selection popup can help though because it provides
 you with the LaTeX code for a wide range of bullet shapes.
 To make your own custom paragraphs you have the following options:
\layout LaTeX


\backslash 
let
\backslash 
savelabelitemi=
\backslash 
labelitemi
\layout LaTeX


\backslash 
renewcommand
\backslash 
labelitemi[0]{
\backslash 
small
\backslash 
(
\backslash 
sharp
\backslash 
)}
\layout Itemize

Use the LaTeX command 
\family typewriter 

\backslash 
renewcommand{}{}
\family default 
 to specify a new bullet shape for a given depth.
 You'll also need to save the current bullet shape so you can restore it
 again afterwards.
 In this itemized list the following LaTeX code was used to change the bullet
 used for the first depth.
\newline 

\family typewriter 

\backslash 
let
\backslash 
savelabelitemi=
\backslash 
labelitemi
\family default 
 
\family typewriter 

\newline 

\backslash 
renewcommand
\backslash 
labelitemi[0]{
\backslash 
small
\backslash 
(
\backslash 
sharp
\backslash 
)}
\newline 

\family default 
Note that the itemize depth is specified in Roman numerals as part of the
 
\family typewriter 

\backslash 
labelitem
\family default 
 command.
\layout Itemize


\latex latex 
[
\backslash 
(
\backslash 
star
\backslash 
)]
\latex default 
 Specify each individual entry by starting each item with the bullet shape
 enclosed in square brackets and set as TeX.
 For example, this item was started with 
\family typewriter 
[
\backslash 
(
\backslash 
star
\backslash 
)]
\family default 
.
\layout Itemize

Wait for LyX 1.2.
 The next stable release of LyX should have built-in support for specifying
 different bullet shapes for each itemized list.
\layout LaTeX


\backslash 
renewcommand
\backslash 
labelitemi[0]{
\backslash 
savelabelitemi}
\layout Standard

You'll also need to revert the labelitem back to its previous setting for
 the global bullet shape settings to remain in effect.
 The way used here was:
\newline 

\family typewriter 

\backslash 
renewcommand
\backslash 
labelitemi[0]{
\backslash 
savelabelitemi}
\layout Chapter

Special Document Classes
\layout Section

AMS Math
\layout Standard

by 
\noun on 
David Johnson
\layout Standard

The AMS math layouts are set up to conform to suggested styles for mathematical
 papers to be submitted to American Mathematical Society publications.
 The layouts are not tailored to a specific journal, but easily can be.
 You should refer to the AMS documentation for specific instructions for
 each journal (usually it will entail only changing a single line in the
 TeX output).
 That documentation is available on the Web at 
\begin_inset LatexCommand \url{http://www.ams.org}

\end_inset 

 or by ftp at 
\begin_inset LatexCommand \url{ftp://ftp.ams.org/pub/tex/amslatex/}

\end_inset 

.These layouts are appropriate, and useful, for any mathematical writing.
 There are currently 4 distinct AMS-math layouts: 
\layout Enumerate

amsart - The standard AMS-article format.
 All results and similar statements are numbered as 
\begin_inset Formula \( (n.m) \)
\end_inset 

, where the first number refers to the section, and the second refers to
 the total number of results (Theorems, Corollaries, Propositions, Definitions
 and Remarks, etc.) in that section.
 There are also many (but not all) environments available unnumbered, which
 is occasionally needed.
 Unnumbered environments indicated by an asterisk at the end.
\layout Enumerate

amsart-seq - Here, numbering for each type of statement is in its own sequence,
 with no reference to the section number.
 There are also many (but not all) environments available unnumbered, which
 is occasionally needed.
 Unnumbered environments indicated by an asterisk at the end.
\layout Enumerate

amsbook - the standard AMS book (really, monograph) format.
 Numbering is similar to the amsart layout, except that all numbering is
 by 
\begin_inset Formula \( (n,m,p) \)
\end_inset 

, where the first number refers to the chapter, the second to the section,
 and the third is the number of the results (Theorems, Corollaries, Propositions
, Definitions and Remarks, etc.) in that section.
 There are also many (but not all) environments available unnumbered, which
 is occasionally needed.
 Unnumbered environments indicated by an asterisk at the end.
\layout Standard

Any ams-* LyX file can be converted to either of the numbering schemes by
 simply changing the document class in the 
\family sans 
\bar under 
L
\bar default 
ayout-
\bar under 
D
\bar default 
ocument
\family default 
 popup.
 
\layout Subsection

What these layouts provide
\layout Standard

There is a long list of included environments provided by these layouts.
 Most mathematical papers or books will set as special statements most of
 these environments, in AMS-LaTeX there is an opportunity to define an unlimited
 variety of such declarations.
 However, the AMS recommends the environments that are available in LyX.
 The list of environments (not counting the standard environments such as
 
\family sans 
sections, bibliography, title, author, date
\family default 
), is:
\layout Description

Theorem This is typically used for the statements of major results.
 The word 
\begin_inset Quotes eld
\end_inset 


\family sans 
Theorem
\family default 

\begin_inset Quotes erd
\end_inset 

 appears in bold type, along with an automatically-determined number (an
 unnumbered version, 
\family sans 
Theorem*
\family default 
, is also available).
 The text is italicized.
\layout Description

Corollary This is used for statements which follow fairly directly from
 previous statements.
 Again, these can be major results.
 Unnumbered version 
\family sans 
Corollary*
\family default 
 is available.
\layout Description

Lemma These are smaller results needed to prove other statements.
\layout Description

Proposition These are less major results which (hopefully) add to the general
 theory being discussed.
\layout Description

Conjecture These are statements provided without justification, which the
 author does not know how to prove, but which seem to be true (to the author,
 at least).
\layout Description

Criterion A required condition.
\layout Description

Algorithm A general procedure to be used.
\layout Description

Axiom This is a property or statement taken as true within the system being
 discussed.
\layout Description

Definition Guess what this is for.
 The font, both on-screen and in the output, is different for this environment
 than for the previous ones.
 The heading (
\begin_inset Quotes eld
\end_inset 

definition
\begin_inset Quotes erd
\end_inset 

) is still set in boldface, along with the number, if any, but the rest
 is set upright.
\layout Description

Example Typeset similarly to Definition.
\layout Description

Condition
\layout Description

Problem
\layout Description

Exercise
\layout Description

Remark This environment is also a new type of theorem.
 This is set with the word Remark in italics, and the rest upright.
\layout Description

Note Set similarly to the Remark environment.
\layout Description

Notation
\layout Description

Claim
\layout Description

Summary
\layout Description

Acknowledgement
\layout Description

Case Generally, these are used to break up long arguments, using specific
 instances of some condition.
 The numbering scheme for cases is on its own, not together with other numbered
 statements.
 
\layout Description

Conclusion
\layout Description

Fact 
\layout Description

Proof The word 
\begin_inset Quotes eld
\end_inset 


\shape italic 
Proof
\shape default 

\begin_inset Quotes erd
\end_inset 

 is set in italics, but the rest is set upright.
 At the end of this environment (other environments can be nested within
 this one, of course) a QED symbol (usually a square, but it can vary with
 different styles) is placed.
\layout Description

Address This should be the author's permanent address.
\layout Description

Current
\protected_separator 
Address This should be the author's temporary address at the time of submission,
 if different from the Address.
\layout Description

Email Author's e-mail address
\layout Description

URL Author's Web address, if desired.
\layout Description

Keywords Key words or phrases used to identify specific topics discussed
 in the paper.
\layout Description

Subjectclass These refer to the AMS Subject Classifications, published and
 described in 
\emph on 
Mathematical Reviews
\emph default 
.
 These are also available online at the AMS cites listed above.
\layout Description

Thanks
\layout Description

Dedicatory
\layout Description

Translator
\layout Standard

In addition, these environments automatically provide the AMS-LaTeX and
 AMS fonts packages.
 They need to be available on your system in order to use these environments.
\layout Section

Dinbrief
\layout Standard

The document class 
\family sans 
dinbrief
\family default 
 can be used to type letters according to German conventions.
 A template file is included in 
\family typewriter 
.../lyx/share/templates
\family default 
 for you to use as a starting point.
\layout Section

Iletter
\layout Standard

The document class 
\family sans 
iletter
\family default 
 can be used to type letters according to Italian conventions.
 It is not an existing LaTeX document class, but a new one which is distributed
 with LyX.
 A template file is included in 
\family typewriter 
.../lyx/share/templates
\family default 
 for you to use as a starting point.
\layout Section

Paper
\layout Standard

The document class 
\family sans 
paper
\family default 
 provides an alternative to the standard 
\family sans 
article
\family default 
 class.
 It provides similar functionality, but you might prefer this layout with
 sans serif sections, headings, and more.
\layout Section

A&A Paper
\layout Standard

by 
\noun on 
Peter Sütterlin
\layout Subsection

Introduction
\layout Standard

This section describes how LyX can be used to write articles for submission
 to the scientific journal 
\emph on 
Astronomy and Astrophysics
\emph default 
 and the accompanying 
\emph on 
Supplement Series 
\emph default 
using
\emph on 
 
\emph default 
the document class 
\family typewriter 
aa.cls
\family default 
 from the Springer macro package.
 This package can be downloaded from Springer's ftp site
\layout Standard
\added_space_top medskip \added_space_bottom medskip \align center 

\begin_inset LatexCommand \url{ftp://ftp.springer.de/pub/tex/latex/aa}

\end_inset 


\layout Standard

A manual comes together with that package, and this text is not meant to
 replace the original manual but merely a short guide how to realize the
 correct form of your paper.
\layout Subsection

Getting started
\layout Standard

You start a new document by selecting 
\family sans 
\bar under 
F
\bar default 
ile\SpecialChar \menuseparator

\bar under 
N
\bar default 
ew
\family default 
 or 
\family sans 
\bar under 
F
\bar default 
ile\SpecialChar \menuseparator
New
\protected_separator 
from
\protected_separator 

\bar under 
t
\bar default 
emplate.
\begin_float footnote 
\layout Standard

It is highly recomended to use template files.
 Either create one yourself, or ask the local system administrator to suply
 a site-wide version.
 An example template comes with the standard LyX distribution.
\end_float 

\family sans 
 
\family default 
If you are not using a template, keep an eye to the following settings:
\layout Itemize

Select 
\family sans 
paper (A&A)
\family default 
 from the 
\family sans 
\bar under 
C
\bar default 
lass
\family default 
 entry in the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup (OK, that one was obvious).
\layout Itemize

Don't change the option 
\family sans 
\bar under 
P
\bar default 
agestyle
\family default 
: Leave it set to 
\family sans 
default
\family default 
.
 The whole layout is done by the macros, you shouldn't change anything.
\layout Itemize

You may want to use the font 
\family sans 
Times
\family default 
 from the 
\family sans 
\bar under 
F
\bar default 
onts
\family default 
 option, as suggested by Springer to get a similar-to-print appearance of
 the text.
\layout Subsection

The header block
\layout Standard

First thing to enter is the header information.
 It consists of eight entries, of which some are optional.
 They are
\layout Itemize


\family sans 
Thesaurus
\family default 
: [required]See the Springer manual for a description.
\layout Itemize


\family sans 
Title
\family default 
: [required] 
\layout Itemize


\family sans 
Subtitle
\family default 
: [optional] 
\layout Itemize


\family sans 
Author
\family default 
: [required]
\layout Itemize


\family sans 
Address
\family default 
: [required]
\layout Itemize


\family sans 
Offprints
\family default 
: [optional] if more than one author: whom to contact for offprint requests.
\layout Itemize


\family sans 
Email
\family default 
: [optional] email address for contacts.
\layout Itemize


\family sans 
Date
\family default 
: [required].
 Suggested format is 
\family typewriter 
Received: <date> / Accepted <date> 
\layout Standard

There is no need to issue the 
\family typewriter 

\backslash 
maketitle
\family default 
 command, this is done automatically by LyX when the header is finished.
 Although the order of the single header entries doesn't matter it is advised
 to keep the above sequence, just to get the best optics and meets the layout
 of the real document.
\layout Standard

If you want to place footnotes in the header block, e.g.
 to state your present address, just use the standard footnote via 
\family sans 
\bar under 
I
\bar default 
nsert\SpecialChar \menuseparator

\bar under 
F
\bar default 
ootnote.
 
\family default 
LyX will automagically use the term 
\family typewriter 

\backslash 
thanks{}
\family default 
 in that case.
\layout Standard

In addition to these topics, Springer uses two additional LaTeX commands
 that have no counterpart in LyX:
\layout Itemize


\family typewriter 

\backslash 
and
\family default 
 to separate different names for more than one author and institute, respectivel
y.
\layout Itemize


\family typewriter 

\backslash 
inst{<nr>}
\family default 
to mark corresponding author/institute pairs.
 The institutes are numbered sequentially as they appear in the 
\family sans 
Address
\family default 
 field, so you have to put a marker to each author.
\layout Standard

In both cases, the appropriate command has to be entered in LyX an marked
 as LaTeX code.
 See the examples.
 
\layout Subsection

The abstract
\layout Standard

The abstract should immediately follow the header block.
 The only special thing about the abstract environment is that it should
 contain an entry with the keywords.
 This is not yet implemented for LyX, therefore you have to enter the LaTeX
 command 
\family typewriter 

\backslash 
keywords{}
\family default 
 by hand and mark it as LaTeX code.
 Refer to the example paper.
\layout Subsection

Supported environments
\layout Standard

The A&A paper layout supports the following environments for structuring
 your text:
\layout Itemize


\family sans 
Standard
\layout Itemize


\family sans 
Section
\layout Itemize


\family sans 
Subsection
\layout Itemize


\family sans 
Subsubsection
\layout Itemize


\family sans 
Itemize
\layout Itemize


\family sans 
Enumerate
\layout Itemize


\family sans 
Description
\layout Itemize


\family sans 
Caption
\layout Itemize


\family sans 
Abstract
\layout Itemize


\family sans 
Acknowledgment
\layout Itemize


\family sans 
Bibliography
\layout Itemize


\family sans 
LaTeX
\layout Subsection

Commands not supported by LyX
\layout Standard

Some commands are not yet supported by the 
\family sans 
paper (A&A)
\family default 
 layout for LyX.
 Some have already been mentioned.
 For the sake of completeness, they are listed all together here:
\layout Itemize


\family typewriter 

\backslash 
and
\layout Itemize


\family typewriter 

\backslash 
appendix
\layout Itemize


\family typewriter 

\backslash 
authorrunning
\layout Itemize


\family typewriter 

\backslash 
inst{}
\layout Itemize


\family typewriter 

\backslash 
keywords{}
\layout Itemize


\family typewriter 

\backslash 
object{}
\layout Itemize


\family typewriter 

\backslash 
titlerunning{}
\layout Standard

If you want to use any of these commands, you have to enter them yourself.
 
\series bold 
Do not forget to mark them as LaTeX code!
\layout Subsection

Figure and Table Floats
\layout Standard

LyX provides support for the necessary float environments 
\family sans 
figure, figure*, table 
\family default 
and 
\family sans 
table*
\family default 
, therefore we won't tell much about it here.
 Refer to the 
\emph on 
User's
\protected_separator 
Guide
\emph default 
.
 Just remember that tables should be left-aligned.
 For that, select the table and change the alignment in 
\family sans 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator

\bar under 
P
\bar default 
aragraph.
\layout Standard

There is
\family sans 
 
\family default 
only one special thing: the figures with caption besides the figure.
 To create such a figure, you have to do the following:
\layout Enumerate

Create a wide figure float: 
\family sans 
\bar under 
I
\bar default 
nsert\SpecialChar \menuseparator
Fl
\bar under 
o
\bar default 
ats\SpecialChar \menuseparator

\bar under 
W
\bar default 
ide
\protected_separator 
Figure
\protected_separator 
Float
\family default 
.

\family sans 
 
\layout Enumerate

Enter your caption Text.
\layout Enumerate

Press 
\family sans 
Return
\family default 
 to move the cursor above the caption.
\layout Enumerate

Insert your (eps) figure 
\layout Enumerate

Position the cursor behind the figure and insert a horizontal fill: 
\family sans 
\bar under 
I
\bar default 
nsert\SpecialChar \menuseparator

\bar under 
S
\bar default 
pecial
\protected_separator 
Characters
\bar under 
\SpecialChar \menuseparator
H
\bar default 
Fill
\family default 
.
\layout Enumerate

Switch to LaTeX mode: 
\family sans 
M-c
\protected_separator 
t
\family default 
.
\layout Enumerate

Enter 
\family typewriter 

\backslash 
parbox[b]{55mm}{
\family default 
.
 
\series bold 
Do not close the brace!
\layout Enumerate

Position the cursor behind the caption text, switch to LaTeX mode and insert
 the closing brace: 
\family sans 
M-c
\protected_separator 
t 
\family typewriter 
}
\family default 
.
\layout Standard

Also, refer to the figures in the example paper.
\layout Subsection

Referee layout
\layout Standard

For submission, the paper has to be formated in a special double-spacing
 layout.
 For this purpose, you have to give the option 
\family typewriter 
referee
\family default 
 to the documentclass.
 This must be done using the 
\family sans 
E
\bar under 
x
\bar default 
tra
\protected_separator 
Options
\family default 
 field in the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup.
 Just enter the string 
\family typewriter 
referee
\family default 
 there.
\layout Subsection

The example paper
\layout Standard

The 
\family sans 
Examples
\family default 
 directory contains an example paper written with LyX.
 It is the example paper from the original Springer macro package, translated
 to LyX.
 Use it for inspiration, and compare the original LaTeX code with LyX way
 of writing.
\layout Section

AASTeX
\layout Standard

by 
\noun on 
Mike Ressler
\layout Subsection

Introduction
\layout Standard

AASTeX is a set of macros produced by the American Astronomical Society
 to facilitate electronic manuscript submission to the three journals they
 publish: the Astrophysical Journal (including the Letters and Supplement),
 the Astronomical Journal, and the Publications of the Astronomical Society
 of the Pacific.
 LyX requires version 5.0 (or higher) of these macros.
 Versions prior to 5.0 are intended for use with LaTeX2.09 and are fundamentally
 incompatible with LyX.
 The AASTeX package may be downloaded from the AAS's ftp site
\layout Standard
\added_space_top medskip \added_space_bottom medskip \align center 

\begin_inset LatexCommand \url{ftp://ftp.aas.org/pubs}

\end_inset 


\layout Standard

A complete user guide is contained in that package and you should familiarize
 yourself with it thoroughly before embarking on writing a paper in LyX.
 LyX will not reduce the need to figure out all the AASTeX commands, it
 will only reduce the drudgery of typing everything in.
 It is your responsibility to ensure that the final exported LaTeX document
 conforms completely to the requirements of the journal to which you are
 submitting your paper.
\layout Subsection

Starting a New Paper
\layout Standard

I strongly suggest that you start with the AASTeX template file.
 Click on 
\family sans 
File\SpecialChar \menuseparator
New from template
\family default 
, enter the new file name, then choose the 
\family typewriter 
aastex.lyx
\family default 
 template.
 This will show the most common fields found in a manuscript.
 Simply overwrite the existing text (including the brackets, 
\family typewriter 
<>
\family default 
) with the correct information.
 Many of the AASTeX commands and environments can be implemented directly
 in LyX, but some cannot: most noticeably 
\family typewriter 

\backslash 
altaffilmark
\family default 
 and 
\family typewriter 

\backslash 
altaffiltext
\family default 
, which should stick out like a sore thumb if you actually just opened the
 template file.
 For commands such as these, the LaTeX code must be entered directly and
 marked as such.
 Such commands are referred to as ERT, or Evil Red Text.
 I tried to minimize the amount of ERT needed in an AASTeX document, but
 there is still more required than any of us would like.
\layout Subsection

Finishing Your Paper
\layout Standard

When the paper is finished to your satisfaction and previews/prints correctly,
 there are a few 
\begin_inset Quotes eld
\end_inset 

postprocessing
\begin_inset Quotes erd
\end_inset 

 actions which need to be done before you submit it to the journals.
 
\layout Enumerate

Export your paper as a LaTeX file (
\family sans 
File\SpecialChar \menuseparator
Export\SpecialChar \menuseparator
as LateX
\family default 
).
 
\layout Enumerate

Edit the resulting 
\family typewriter 
.tex
\family default 
 file with your favorite text editor
\begin_deeper 
\layout Enumerate

remove the comment lines before the 
\family typewriter 

\backslash 
documentclass
\family default 
 command
\layout Enumerate

remove the 
\family typewriter 

\backslash 
usepackage...{fontenc}
\family default 
 line if it appears (usually just after 
\family typewriter 

\backslash 
documentclass
\family default 
}; also remove the 
\family typewriter 

\backslash 
secnumdepth
\family default 
 line if it appears.
\layout Enumerate

remove everything between (and including) the 
\family typewriter 

\backslash 
makeatletter
\family default 
 and 
\family typewriter 

\backslash 
makeatother
\family default 
 commands, except for any commands you specifically put into the LaTeX preamble
 (which should appear immediately after the 
\begin_inset Quotes eld
\end_inset 

User specified LaTeX commands
\begin_inset Quotes erd
\end_inset 

 comment in the 
\family typewriter 
.tex
\family default 
 file).
\layout Enumerate

search for any 
\family typewriter 

\backslash 
figcaption
\family default 
 commands and replace 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
FileName
\family default 

\begin_inset Quotes erd
\end_inset 

 with the correct, real file name.
\layout Enumerate

alter any 
\family typewriter 

\backslash 
cite
\family default 
 commands, if necessary (see section 
\begin_inset LatexCommand \ref{cite}

\end_inset 

 below).
\end_deeper 
\layout Enumerate

Run the resulting file through LaTeX to make sure it still processes correctly.
\layout Enumerate

Reread the journal requirements to make sure your filenames and formats
 are correct.
\layout Enumerate

Submit it.
\layout Subsection

Comments On Specific Commands
\layout Standard

I will not describe the detailed usage of the individual AASTeX commands:
 the AASTeX User Guide (
\family typewriter 
aasguide.tex
\family default 
) gives a good description of each.
 Thus it's probably easiest for me to go down the list as found in the guide
 and offer comments where necessary.
 So let's begin \SpecialChar \ldots{}

\layout Subsubsection

Things that work as expected
\layout Standard


\latex latex 

\backslash 
begin{sloppypar}
\layout Standard

Because they work as you might expect, I simply list them and the section
 they are found in: 
\family typewriter 

\backslash 
documentclass
\family default 
 (2.1.1), 
\family typewriter 

\backslash 
begin{document}
\family default 
 (2.2), 
\family typewriter 

\backslash 
title
\family default 
 (2.3), 
\family typewriter 

\backslash 
author
\family default 
 (2.3), 
\family typewriter 

\backslash 
affil
\family default 
 (2.3), 
\family typewriter 

\backslash 
abstract
\family default 
 (2.4), 
\family typewriter 

\backslash 
keywords
\family default 
 (2.5), 
\family typewriter 

\backslash 
section
\family default 
 (2.7), 
\family typewriter 

\backslash 
subsection
\family default 
 (2.7), 
\family typewriter 

\backslash 
subsubsection
\family default 
 (2.7), 
\family typewriter 

\backslash 
paragraph
\family default 
 (2.7), 
\family typewriter 

\backslash 
begin{displaymath}
\family default 
 (2.11), 
\family typewriter 

\backslash 
begin{equation}
\family default 
 (2.11), 
\family typewriter 

\backslash 
begin{eqnarray}
\family default 
 (2.11), 
\family typewriter 

\backslash 
begin{mathletters}
\family default 
 (2.11), 
\family typewriter 

\backslash 
begin{thebibliography}
\family default 
 (2.12.1), 
\family typewriter 

\backslash 
bibitem
\family default 
 (2.12.2), 
\family typewriter 

\backslash 
begin{table}
\family default 
 (2.14.4), 
\family typewriter 

\backslash 
begin{tabular}
\family default 
 (2.14.4), 
\family typewriter 

\backslash 
caption
\family default 
 (2.14.4), 
\family typewriter 

\backslash 
label
\family default 
 (2.14.4, amongst other places), 
\family typewriter 

\backslash 
tablerefs
\family default 
 (2.14.5), 
\family typewriter 

\backslash 
tablecomments
\family default 
 (2.14.5), 
\family typewriter 

\backslash 
url
\family default 
 (2.15.4), 
\family typewriter 

\backslash 
end{document}
\family default 
 (2.16).
\layout Standard

The following style options also work correctly: 
\family typewriter 
preprint
\family default 
, 
\family typewriter 
preprint2
\family default 
, 
\family typewriter 
eqsecnum
\family default 
, 
\family typewriter 
flushrt
\family default 
 (3, 3.1, 3.2).
 Simply put them in 
\family sans 
Extra Options
\family default 
 box in 
\family sans 
Layout\SpecialChar \menuseparator
Document
\family default 
.
\layout Standard


\latex latex 

\backslash 
end{sloppypar}
\layout Subsubsection

Things that work, but require more comment
\layout Standard

The following items work, but require a little more discussion:
\layout Itemize

These items are reserved for use by the journal editors, but you can put
 them into the LaTeX preamble if you feel compelled to do so: 
\family typewriter 

\backslash 
received
\family default 
, 
\family typewriter 

\backslash 
revised
\family default 
, 
\family typewriter 

\backslash 
accepted
\family default 
, 
\family typewriter 

\backslash 
ccc
\family default 
, 
\family typewriter 

\backslash 
cpright
\family default 
 (all from 2.1.3)
\layout Itemize

These items may be placed in the LaTeX preamble, and are included as blanks
 in the template file: 
\family typewriter 

\backslash 
slugcomment
\family default 
 (2.1.4), 
\family typewriter 

\backslash 
shorttitle
\family default 
 (2.1.5), 
\family typewriter 

\backslash 
shortauthors
\family default 
 (2.1.5)
\layout Itemize


\family typewriter 

\backslash 
email
\family default 
 (2.3) -- can only be used 
\begin_inset Quotes eld
\end_inset 

standalone
\begin_inset Quotes erd
\end_inset 

, not in the middle of a paragraph.
 Use ERT if you need to embed it.
\layout Itemize


\family typewriter 

\backslash 
and
\family default 
 (2.3) -- will have extra {} after it.
 This should not cause an error.
\layout Itemize


\family typewriter 

\backslash 
notetoeditor
\family default 
 (2.6) -- can only be used 
\begin_inset Quotes eld
\end_inset 

standalone
\begin_inset Quotes erd
\end_inset 

, not in the middle of a paragraph.
 Use ERT if you need to embed it.
\layout Itemize


\family typewriter 

\backslash 
placetable
\family default 
 (2.8) -- can't insert a cross-reference tag, you must type the tag name
 by hand
\layout Itemize


\family typewriter 

\backslash 
placefigure
\family default 
 (2.8) -- same as for 
\family typewriter 

\backslash 
placetable
\layout Itemize


\family typewriter 

\backslash 
acknowledgements
\family default 
 (2.9) -- will have extra {} after it.
 This should not cause an error.
\layout Itemize


\family typewriter 

\backslash 
appendix
\family default 
 (2.10) -- will have extra {} after it.
 This should not cause an error.
\layout Itemize


\family typewriter 

\backslash 
figcaption
\family default 
 (2.13.2) -- you will have to edit the optional argument by hand in the final
 LaTeX file.
\layout Subsubsection

Things not implemented, use ERT
\layout Standard


\latex latex 

\backslash 
begin{sloppypar}
\layout Standard


\family typewriter 

\backslash 
altaffilmark
\family default 
 (2.3), 
\family typewriter 

\backslash 
altaffiltext
\family default 
 (2.3), 
\family typewriter 

\backslash 
eqnum
\family default 
 (2.11), 
\family typewriter 

\backslash 
setcounter{equation}
\family default 
 (2.11), 
\family typewriter 

\backslash 
citet
\family default 
 (2.12), 
\family typewriter 

\backslash 
citep
\family default 
 (2.12), Journal name abbreviations (2.12.4), 
\family typewriter 

\backslash 
figurenum
\family default 
 (2.13.1), 
\family typewriter 

\backslash 
epsscale
\family default 
 (2.13.1), 
\family typewriter 

\backslash 
plotone
\family default 
 (2.13.1), 
\family typewriter 

\backslash 
plottwo
\family default 
 (2.13.1), 
\family typewriter 

\backslash 
tablenum
\family default 
 (2.14.4), 
\family typewriter 

\backslash 
tableline
\family default 
 (2.14.4, insert it as the first element in the lefthand cell after where
 you want it.
 Don't use any of LyX's rules in the table), 
\family typewriter 

\backslash 
tablenotemark
\family default 
 (2.14.5), 
\family typewriter 

\backslash 
tablenotetext
\family default 
 (2.14.5), most everything in Misc (2.15, except 
\family typewriter 

\backslash 
url
\family default 
 and 
\family typewriter 

\backslash 
email
\family default 
; see above), 
\family typewriter 

\backslash 
singlespace
\family default 
 (3.1), 
\family typewriter 

\backslash 
doublespace
\family default 
 (3.1), 
\family typewriter 

\backslash 
onecolumn
\family default 
 (3.2), 
\family typewriter 

\backslash 
twocolumn
\family default 
 (3.2)
\layout Standard


\latex latex 

\backslash 
end{sloppypar}
\layout Subsubsection

Things that cannot be implemented
\layout Standard

\SpecialChar \ldots{}
 at least in any meaningful sort of way, so I suggest ignoring them.
 They are the references environment (2.12.3), and the deluxetable environment
 (2.14).
 If you really, really need to use deluxetable, I suggest editing it in
 a separate file with a text editor, then using 
\family sans 
Insert\SpecialChar \menuseparator
Include File
\family default 
 to include it in your LyX document.
 See the 
\family typewriter 
aas_sample.lyx
\family default 
 file to see an example of this.
\layout Subsection

FAQs, Tips, Tricks, and Other Ruminations
\layout Subsubsection

Getting LyX and AASTeX to cooperate
\layout Standard

It can be a bit tricky to get LyX to recognize a new layout and document
 class.
 When all else fails, do this:
\layout Enumerate

Make certain that LaTeX can find AASTeX.
 Copy sample.tex (and perhaps table.tex) from the AASTeX distribution into
 a directory completely unrelated to LaTeX or AASTeX and run LaTeX on 
\family typewriter 
sample.tex
\family default 
.
\layout Enumerate

Make certain that 
\family typewriter 
aastex.layout
\family default 
 appears in 
\family typewriter 
/usr/.../share/lyx/layouts
\family default 
 or 
\family typewriter 
~/.lyx/layouts
\family default 
.
\layout Enumerate

Rerun 
\family sans 
Options\SpecialChar \menuseparator
Reconfigure
\family default 
 in LyX, then restart LyX.
\layout Enumerate

Open a regular new file, not from a template.
 Does AASTeX appear in 
\family sans 
Layout\SpecialChar \menuseparator
Document\SpecialChar \menuseparator
Class
\family default 
?
\layout Standard

If you get a warning from an existing AASTeX document about not being able
 to find the AASTeX layout or a message about 
\begin_inset Quotes eld
\end_inset 

You should not mix title layouts with normal ones
\begin_inset Quotes erd
\end_inset 

, things haven't been installed correctly.
\layout Subsubsection

LaTeX error processing a table 
\layout Standard

LyX, by default, attempts to center the table caption/title.
 This seems to produce a bad interaction in AASTeX so you should click somewhere
 in the caption/title, then select 
\family sans 
Layout\SpecialChar \menuseparator
Paragraph
\family default 
, then set the 
\family sans 
Alignment
\family default 
 to 
\family sans 
Block
\family default 
.
 This took care of it for me.
\layout Subsubsection

References
\begin_inset LatexCommand \label{cite}

\end_inset 


\layout Standard

A few things: 1) I have noticed some funny spacing in the reference entries
 in the text.
 When you enter the bibliography item data, make sure their is 
\emph on 
no
\emph default 
 space between the last author and the parenthesis setting off the year;
 
\emph on 
e.g.
 
\emph default 
type
\family typewriter 
 Ressler(1992)
\family default 
, not 
\family typewriter 
Ressler (1992)
\family default 
.
 2) I am really unhappy that I can't make 
\family typewriter 

\backslash 
citet
\family default 
 and 
\family typewriter 

\backslash 
citep
\family default 
 more automatic, but that would require changes to the LyX source code.
 For now you can do one of two things: a) enter all your citations using
 the built-in 
\family sans 
Insert\SpecialChar \menuseparator
Citation Reference
\family default 
 mechanism; at least you can take advantage of the automatic insertions.
 Then edit the exported LaTeX file by hand changing the 
\family typewriter 

\backslash 
cite
\family default 
 entries to the appropriate 
\family typewriter 

\backslash 
citet
\family default 
 or 
\family typewriter 

\backslash 
citep
\family default 
 commands before you submit it (
\family typewriter 

\backslash 
cite
\family default 
 is currently equivalent to 
\family typewriter 

\backslash 
citet
\family default 
, so you wouldn't necessarily have to change those).
 Or b) you can simply enter all your citations as ERT using the same key
 for the argument that you used in the bibliography popup, 
\emph on 
e.g.

\emph default 
 
\family typewriter 

\backslash 
citet{key}
\family default 
.
 Neither choice is pleasant, but until LyX's citation mechanism understands
 
\family typewriter 
natbib
\family default 
, we'll have to put up with it.
 3) Entering the references at all is not obvious.
 The easiest thing is to start typing your first reference at the end of
 the document, then mark it as type 
\family sans 
References
\family default 
.
 That will put a small gray box in front of what you just typed.
 Click on the box to fill in the rest of the information.
 For new references, go to the end of an existing reference and press return.
 That will create a new line with its own box, etc.
\layout Subsubsection

Including EPS files
\layout Standard

With all due respect to Chris Biemesderfer and the others who have helped
 to write the AASTeX package, the figure handling mechanism smells really
 foul.
 You can insert the 
\family typewriter 

\backslash 
plotone
\family default 
, etc.
 commands as ERT into a Figure Float box, but I never have much luck getting
 the layout right.
 My advice would be to avoid all EPS inclusions in the manuscript you submit
 to the journal, but then use the standard LyX EPS file inclusion mechanism
 when you want to make your nicer looking preprints.
 LyX will insert a 
\family typewriter 

\backslash 
usepackage{graphics}
\family default 
 command into the LaTeX preamble and handle the figures in the standard
 LaTeX2e way.
 Anyone who attempts to print your AASTeX 5.0 manuscript must have a LaTeX2e
 installation anyway, so why not take advantage of the infinitely better
 graphics handling mechanism? If they complain about LaTeX2e or the graphics
 package, point out that it appears in the second edition of Lamport (1994),
 so it was time to upgrade five years ago.
\layout Subsubsection

Things I could have done, but didn't
\layout Standard

There are a few 
\begin_inset Quotes eld
\end_inset 

pretty
\begin_inset Quotes erd
\end_inset 

 things I could have implemented, but chose not to.
 For instance, I saw no point in double-spacing the text in the LyX window,
 even though it is double-spaced in the paper manuscript.
 Also, I chose not to make separate layouts for the preprint and preprint2
 styles.
 Since I assume you will spend most of your time in the plain manuscript
 mode anyway, I decided not to chew up more disk space with this.
 If you feel strongly that I should make such layouts, I will adhere to
 the spirit of the rules laid out by the Mudgeeraba Creek Emu-Riding and
 Boomerang-Throwing Association:
\layout Quotation


\begin_inset Quotes eld
\end_inset 

Decisions of the judges will be final unless shouted down by a really overwhelmi
ng majority of the crowd present.
 Abusive and obscene language may not be used by contestants when addressing
 members of the judging panel, or, conversely, by members of the judging
 panel when addressing contestants (unless struck by a boomerang).
\begin_inset Quotes erd
\end_inset 


\layout Subsection

Final Caveat
\layout Standard

To mangle the infamous quote by Donald Knuth about a computer algorithm,
 
\begin_inset Quotes eld
\end_inset 

I have only proved this to be correct, I have not actually tried it.
\begin_inset Quotes erd
\end_inset 

 I believe following the above procedures will produce an acceptable AASTeX
 document, but as of this writing (July 25, 1999), I have not yet submitted
 a paper using it.
 Hopefully in the next few weeks \SpecialChar \ldots{}

\layout Section

Koma-Script
\layout Standard

by 
\noun on 
Bernd Rellermeyer
\layout Subsection

Overview
\layout Standard

The LyX document classes
\emph on 
 article (koma-script)
\emph default 
, 
\emph on 
report (koma-script)
\emph default 
, 
\emph on 
book
\emph default 
 
\emph on 
(koma-script)
\emph default 
, and 
\emph on 
letter
\emph default 
 
\emph on 
(koma-script)
\emph default 
 correspond to the LaTeX document classes
\family typewriter 
 scrartcl.cls
\family default 
, 
\family typewriter 
scrreprt.cls
\family default 
, 
\family typewriter 
scrbook.cls
\family default 
, and.
 
\family typewriter 
scrlettr.cls
\family default 
, resp.
 of the Koma-Script family.
 They are replacements for the standard document classes 
\family typewriter 
article.cls
\family default 
, 
\family typewriter 
report.cls
\family default 
, 
\family typewriter 
book.cls
\family default 
, and 
\family typewriter 
letter.cls
\family default 
, resp., and fit better to European typography conventions in a number of
 points.
\layout Itemize

Standard character size is 11pt in 
\emph on 
article (koma-script)
\emph default 
, 
\emph on 
report (koma-script)
\emph default 
, and 
\emph on 
book (koma-script)
\emph default 
, and 12pt in 
\emph on 
letter (koma-script)
\emph default 
.
\layout Itemize

Headings, labels of the description environment, and a number of elements
 of the 
\emph on 
letter (koma-script) 
\emph default 
document class are set in a bold sans serif font.
\begin_float footnote 
\layout Standard

There is a big difference between the bold sans serif old cm fonts and new
 ec fonts, especially in the appearance of headings.
 In comparison, the ec bold sans serif fonts look a bit thin.
 Here the LaTeX package 
\family typewriter 
cmsd.sty by 
\family default 
\shape smallcaps 
Walter Schmidt
\shape default 
 helps to produce the 
\begin_inset Quotes eld
\end_inset 

usual
\begin_inset Quotes erd
\end_inset 

 appearance when using the ec fonts.
\end_float 
 The numbering of chapter headings is made in the same way as the numbering
 of section headings, that is without the extra line 
\begin_inset Quotes eld
\end_inset 

Chapter\SpecialChar \ldots{}

\begin_inset Quotes erd
\end_inset 

.
 In addition, the appearance of the headings can be modified by using a
 number of options (in LyX to be entered in the field 
\family sans 
E
\bar under 
x
\bar default 
tra
\protected_separator 
Options
\family default 
 of the popup 
\family sans 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator

\bar under 
D
\bar default 
ocument
\family default 
).
 A detailed German description of these options can be found in the Koma-Script
 documentation 
\emph on 
scrguide
\emph default 
.
\layout Itemize

The main means in the Koma-Script document classes to design the type area
 are the options 
\family sans 
BCOR
\family default 
 and 
\family sans 
DIV
\family default 
 (in LyX to be entered in the field 
\family sans 
E
\bar under 
x
\bar default 
tra
\protected_separator 
Options
\family default 
 of the popup 
\family sans 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator

\bar under 
D
\bar default 
ocument
\family default 
).
 They make a clearer modification of page margins possible as do the options
 of the popup 
\family sans 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator

\bar under 
D
\bar default 
ocument
\family default 
.
 A detailed German description of these and other type area options can
 be found in the Koma-Script documentation 
\emph on 
scrguide
\emph default 
.
\layout Itemize

The LaTeX document classes of the Koma-Script family define a number of
 additional commands.
 Those part of it which makes sense in LyX is implemented in corresponding
 paragraph types.
\layout Standard

A detailed German description of the LaTeX document classes of the Koma-Script
 family can be found in the Koma-Script documentation 
\emph on 
scrguide
\emph default 
.
\begin_float footnote 
\layout Standard

There is an English translation 
\emph on 
screnggu
\emph default 
, but it is not a complete one.
\end_float 
 The following sections describe only those aspects, which are relevant
 in LyX.
\layout Subsection

article (koma-script), report (koma-script), and book (koma-script)
\layout Standard

The document classes 
\emph on 
article (koma-script)
\emph default 
, 
\emph on 
report (koma-script)
\emph default 
, and 
\emph on 
book
\emph default 
 
\emph on 
(koma-script)
\emph default 
 are implemented in the layout files 
\family typewriter 
scrartcl.layout
\family default 
, 
\family typewriter 
scrreprt.layout
\family default 
, and 
\family typewriter 
scrbook.layout
\family default 
, resp.
 They contain all the paragraph types of the corresponding standard document
 classes 
\emph on 
article
\emph default 
, 
\emph on 
report
\emph default 
, and 
\emph on 
book
\emph default 
, resp., partly modified, with the exception of the LyX specific 
\family sans 
List
\family default 
-type, which is replaced by the new 
\family sans 
Labeling
\family default 
-type having the same functionality.
 Beside the 
\family sans 
Labeling
\family default 
-Type there is a number of new paragraph types added.
 They are 
\emph on 
not
\emph default 
 part of 
\emph on 
letter (koma-script)
\emph default 
.
\layout Itemize


\family sans 
Addchap
\family default 
, 
\family sans 
Addsec
\family default 
: are equivalents to 
\family sans 
Chapter*
\family default 
 and 
\family sans 
Section*
\family default 
, resp., additionally inserting an entry in the table of contents.
 
\family sans 
Addchap
\family default 
 is not contained in 
\emph on 
article (koma-script)
\emph default 
.
\layout Itemize


\family sans 
Addchap*
\family default 
, 
\family sans 
Addsec*
\family default 
: behave exactly as 
\family sans 
Addchap
\family default 
 and 
\family sans 
Addsec
\family default 
, resp., additionally clearing running heads.

\family sans 
 Addchap*
\family default 
 is not contained in 
\emph on 
article (koma-script)
\emph default 
.
\layout Itemize


\family sans 
Minisec
\family default 
: generates a heading directly above the following paragraph in the standard
 character size without affecting the structure of the document.
\layout Standard

The following types, together with the standard types 
\family sans 
Title
\family default 
, 
\family sans 
Author
\family default 
, and 
\family sans 
Date
\family default 
, form the title area of the document.
 They must be entered ahead of the first 
\begin_inset Quotes eld
\end_inset 

ordinary
\begin_inset Quotes erd
\end_inset 

 paragraph.
\begin_float footnote 
\layout Standard

The corresponding LaTeX commands must appear before the 
\family typewriter 

\backslash 
maketitle
\family default 
 command.
\end_float 
 When such a type is used more than once, the latter usage overwrites the
 former one, that means, for every type only the latest usage is valid.
 The order of the different types however has, like 
\family sans 
Title
\family default 
, 
\family sans 
Author
\family default 
, and 
\family sans 
Date
\family default 
, no effect on the appearance of the produced document.
\layout Itemize


\family sans 
Subject
\family default 
: produces a centered paragraph above the ordinary title (
\family sans 
Title
\family default 
, 
\family sans 
Author
\family default 
, 
\family sans 
Date
\family default 
) for the subject of the document.
\layout Itemize


\family sans 
Publishers
\family default 
: produces a centered paragraph below the ordinary title (
\family sans 
Title
\family default 
, 
\family sans 
Author
\family default 
, 
\family sans 
Date
\family default 
) for the publishers' name.
\layout Itemize


\family sans 
Dedication
\family default 
: in 
\emph on 
report (koma-script)
\emph default 
 and 
\emph on 
book (koma-script)
\emph default 
 produces a centered paragraph on its own page behind the title page, or
 in 
\emph on 
article (koma-script)
\emph default 
 produces a centered paragraph below the ordinary title (
\family sans 
Title
\family default 
, 
\family sans 
Author
\family default 
, 
\family sans 
Date
\family default 
, 
\family sans 
Publishers
\family default 
) for a dedication.
\layout Itemize


\family sans 
Titlehead
\family default 
: produces a left aligned paragraph above the ordinary title (
\family sans 
Title
\family default 
, 
\family sans 
Author
\family default 
, 
\family sans 
Date
\family default 
, 
\family sans 
Subject
\family default 
) for a document`s head.
\layout Itemize


\family sans 
Uppertitleback
\family default 
: produces in a double-sided print in 
\emph on 
report (koma-script)
\emph default 
 and 
\emph on 
book (koma-script)
\emph default 
 a left-aligned paragraph at the bottom of the title page`s back or has
 no effect in a single-sided print or in 
\emph on 
article (koma-script)
\emph default 
.
\layout Itemize


\family sans 
Lowertitleback
\family default 
: produces in a double-sided print in 
\emph on 
report (koma-script)
\emph default 
 and 
\emph on 
book (koma-script)
\emph default 
 a left-aligned paragraph at the top of the title page`s back or has no
 effect in a single-sided print or in 
\emph on 
article (koma-script)
\emph default 
.
\layout Itemize


\family sans 
Extratitle
\family default 
: produces a special 
\begin_inset Quotes eld
\end_inset 

dirty
\begin_inset Quotes erd
\end_inset 

 page ahead of the actual document containing a paragraph without special
 formatting.
\layout Standard

The layout files for the document classes 
\emph on 
article (koma-script)
\emph default 
, 
\emph on 
report (koma-script)
\emph default 
, and 
\emph on 
book (koma-script)
\emph default 
 do include the file 
\family typewriter 
scrmacros.inc
\family default 
.
 This is thought of as a place to define your own types.
 Copy s
\family typewriter 
crmacros.inc
\family default 
 in your personal layout directory and edit the file!
\layout Subsection

letter (koma-script)
\layout Standard

The document class 
\emph on 
letter (koma-script)
\emph default 
 is implemented in the layout file 
\family typewriter 
scrlettr.layout
\family default 
.
 It contains all the paragraph types of the corresponding standard document
 class 
\emph on 
letter
\emph default 
, partly modified, with the exception of the LyX specific types 
\family sans 
LyX-Code
\family default 
 and 
\family sans 
Comment
\family default 
 and the 
\family sans 
List
\family default 
 type, which is replaced by the new 
\family sans 
Labeling
\family default 
 type.
 In addition, it contains, in contrast to the standard document class, the
 standard types 
\family sans 
LaTeX
\family default 
, 
\family sans 
Quotation
\family default 
, 
\family sans 
Quote
\family default 
, and 
\family sans 
Verse
\family default 
.
 Furthermore, there are a number of new letter specific types.
\layout Standard

The appearance of the letter produced by this document class can be controlled
 by a number of LaTeX commands (in LyX to be entered in 
\family sans 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator

\bar under 
L
\bar default 
aTeX
\protected_separator 
Preamble
\family default 
).
\begin_float footnote 
\layout Standard

For example, the standard appearance of the letter`s heading, consisting
 of name and address, is quite self-willed.
 An 
\begin_inset Quotes eld
\end_inset 

ordinary
\begin_inset Quotes erd
\end_inset 

 heading is produced by the following LaTeX commands in the preamble:
\layout LyX-Code


\backslash 
firsthead{
\backslash 
parbox[b]{
\backslash 
textwidth}
\layout LyX-Code


\protected_separator 

\protected_separator 
{
\backslash 
ignorespaces
\protected_separator 

\backslash 
fromname
\backslash 

\backslash 

\protected_separator 

\backslash 
ignorespaces
\protected_separator 

\backslash 
fromaddress}} 
\layout LyX-Code


\backslash 
nexthead{
\backslash 
parbox[b]{
\backslash 
textwidth}
\layout LyX-Code


\protected_separator 

\protected_separator 
{
\backslash 
ignorespaces
\protected_separator 

\backslash 
fromname
\protected_separator 

\backslash 
hfill
\protected_separator 

\backslash 
ignorespaces
\protected_separator 

\backslash 
pagename
\backslash 

\protected_separator 

\backslash 
thepage}}
\end_float 
 A detailed German description of such LaTeX commands can be found in the
 Koma-Script documentation 
\emph on 
scrguide
\emph default 
.
 With it, the letter's author can produce his personal letter layout.
\layout Standard

The types 
\family sans 
Letter 
\family default 
and 
\family sans 
Opening
\family default 
 define the beginning of the letter and must be used in every letter.
 To emphasize them in the LyX document class, they are marked with the letter
 
\shape italic 
L
\shape default 
 or 
\shape italic 
O
\shape default 
, resp.
 in the left margin.
 It is possible to write any number of letters in one file.
 An 
\family sans 
Opening
\family default 
 type produces a new letter using the same addressee and a 
\family sans 
Letter
\family default 
 type produces a new addressee.
 The types 
\family sans 
Closing
\family default 
, 
\family sans 
PS
\family default 
, 
\family sans 
CC
\family default 
, and 
\family sans 
Encl
\family default 
 are ordinary paragraph types and can also be used several times in one
 and the same letter.
\layout Itemize


\family sans 
Letter
\family default 
: produces a paragraph for the addressee and implicitly defines the beginning
 of the letter.
\layout Itemize


\family sans 
Opening
\family default 
: produces a paragraph for the form of address and implicitly produces a
 new letter.
\layout Itemize


\family sans 
Closing
\family default 
: produces a paragraph for a close.
\layout Itemize


\family sans 
PS
\family default 
: produces a paragraph for a postscript.
\layout Itemize


\family sans 
CC
\family default 
: produces a paragraph for a distribution list.
\layout Itemize


\family sans 
Encl
\family default 
: produces a paragraph for enclosures.
\layout Standard

The types 
\family sans 
Name
\family default 
, 
\family sans 
Signature
\family default 
, 
\family sans 
Address
\family default 
,
\family sans 
 Telephone
\family default 
, 
\family sans 
Place
\family default 
, 
\family sans 
Backaddress
\family default 
, 
\family sans 
Specialmail
\family default 
, 
\family sans 
Location
\family default 
, 
\family sans 
Title
\family default 
, and 
\family sans 
Subject
\family default 
 are input types provided with a label to enter information, which will
 be processed by the document class.
\begin_float footnote 
\layout Standard

It could be seen as a matter of inconsequence, that the types 
\family sans 
Letter
\family default 
 and 
\family sans 
Opening
\family default 
 described above are not such input types as well.
 Because of the special meaning of those types, however, I have implemented
 them as ordinary paragraph types with a one letter mark in the left margin.
 Moreover, it would affect my feeling of symmetry, if the 
\family sans 
Opening
\family default 
 type and the 
\family sans 
Closing
\family default 
 type had such a serious different appearance.
\end_float 
 The types must be used ahead of the corresponding 
\family sans 
Opening
\family default 
 type.
\layout Standard

An implementation of these types in a WYSIWYG fashion does not seem to make
 sense, because the real appearance of the produced letter does not only
 depend on the usage of the particular type, but also on other factors.
 For example, a signature entered in the 
\family sans 
Signature
\family default 
 type will in the standard behavior appear in the produced letter only,
 when in the same letter also a 
\family sans 
Closing
\family default 
 type is used.
 The entered value of the 
\family sans 
Telephone
\family default 
 type will in the standard behavior not appear in the produced letter at
 all.
 The possibility to design the letter`s heading freely is already indicated
 in a footnote above.
\layout Standard

The input types can also be used as empty paragraphs.
 This makes sense e.
\protected_separator 
g.
 for the 
\family sans 
Signature
\family default 
 type.
 If the 
\family sans 
Signature
\family default 
 type is not used at all, in the standard behavior the value of the 
\family sans 
Name
\family default 
 type is used as signature, whereas if an empty 
\family sans 
Signature
\family default 
 type is used, no signature value is defined.
\layout Standard

By using the input types it is possible to write a letter template, containing
 filled input types with your personal dates (name, address, etc.) and empty
 input types for other dates you want to enter.
\layout Itemize


\family sans 
Name
\family default 
: sender's name, in the standard behavior appears as a centered paragraph
 in small caps in the letter`s heading.
\layout Itemize


\family sans 
Signature
\family default 
: sender's signature, in the standard behavior appears below the 
\family sans 
Closing
\family default 
 type.
 If no 
\family sans 
Signature
\family default 
 type is used, the value of the 
\family sans 
Name
\family default 
 type appears instead.
\layout Itemize


\family sans 
Address
\family default 
: sender's address, in the standard behavior appears in a centered paragraph
 in the letter`s heading below the sender's name.
\layout Itemize


\family sans 
Telephone
\family default 
: sender's telephone number, in the standard behavior only sets the LaTeX
 variable 
\family typewriter 

\backslash 
telephonenum
\family default 
.
\layout Itemize


\family sans 
Place
\family default 
: place of the letter`s making.
\layout Itemize


\family sans 
Date
\family default 
: date of the letter`s making.
 
\family sans 
Place
\family default 
 and 
\family sans 
Date
\family default 
, in the standard behavior, produce the place and the date in a right-aligned
 line below the addressee's field.
 If an empty 
\family sans 
Date
\family default 
 type is used, neither place nor date appear, independent of the value of
 the 
\family sans 
Place
\family default 
 type.
 If no 
\family sans 
Date
\family default 
 type is used, the date of the letter `s production is used.
\layout Itemize


\family sans 
Backaddress
\family default 
: sender`s back address, in the standard behavior appears above the addressee's
 field in a small sans serif font.
\layout Itemize


\family sans 
Specialmail
\family default 
: special mail information, in the standard behavior appears underlined
 above the addressee's field below the back address.
\layout Itemize


\family sans 
Location
\family default 
: additional information, in the standard behavior appears on right side
 below the addressee`s field.
\layout Itemize


\family sans 
Title
\family default 
: the letter's title, in the standard behavior appears in a big, bold, sans
 serif font above the subject.
\layout Itemize


\family sans 
Subject
\family default 
: the letter's subject, in the standard behavior appears in a bold font
 above the 
\family sans 
Opening
\family default 
 paragraph.
\layout Standard

The types 
\family sans 
Yourref
\family default 
, 
\family sans 
Yourmail
\family default 
, 
\family sans 
Myref
\family default 
, 
\family sans 
Customer
\family default 
, and 
\family sans 
Invoice
\family default 
 produce a business letter like line above the 
\family sans 
Title
\family default 
 line containing the fields 
\begin_inset Quotes eld
\end_inset 

Your ref.
\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 

Your letter of
\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 

Our ref.
\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 

Customer no.
\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 

Invoice no.
\begin_inset Quotes erd
\end_inset 

, and 
\begin_inset Quotes eld
\end_inset 

Date
\begin_inset Quotes erd
\end_inset 

.
 For the date field, the value of the 
\family sans 
Date
\family default 
 type is used.
 If one of these 
\begin_inset Quotes eld
\end_inset 

business letter types
\begin_inset Quotes erd
\end_inset 

 is used, the value of the 
\family sans 
Place
\family default 
 type however does not appear, but only the LaTeX variable 
\family typewriter 

\backslash 
fromplace
\family default 
 is set.
 The ordinary output of place and date in a right-aligned line below the
 addressee`s field is suppressed.
 The types are implemented as input types provided with a label and must
 be used ahead of the corresponding 
\family sans 
Opening
\family default 
 type.
\layout Itemize


\family sans 
Yourref
\family default 
: Your ref.
\layout Itemize


\family sans 
Yourmail
\family default 
: Your letter of.
\layout Itemize


\family sans 
Myref
\family default 
: Our ref.
\layout Itemize


\family sans 
Customer
\family default 
: Customer no.
\layout Itemize


\family sans 
Invoice
\family default 
: Invoice no.
\layout Subsection

Problems
\layout Standard

Visualizing the Koma-Script document classes in LyX, the LyX internals cause
 some problems.
\layout Itemize

The chapter number of a 
\family sans 
Chapter
\family default 
 type appears on a line of its own above the chapter heading instead of
 appearing in the same line ahead of it.
 The cause for that is the LyX internal behavior for the labeltype 
\family sans 
Counter_Chapter
\family default 
 in the layout file.
\layout Itemize

The headings of the types 
\family sans 
Addchap
\family default 
 and 
\family sans 
Addsec
\family default 
 are only put in the 
\begin_inset Quotes eld
\end_inset 

true
\begin_inset Quotes erd
\end_inset 

 LaTeX table of contents, but not in the LyX table of contents (
\family sans 
\bar under 
E
\bar default 
dit\SpecialChar \menuseparator
T
\bar under 
a
\bar default 
ble
\protected_separator 
of
\protected_separator 
Contents
\family default 
).
\layout Itemize

The paragraphs in a 
\emph on 
letter
\emph default 
 document class appear in a skip separation mode, not indented.
 This is the standard behavior, no special LaTeX commands are needed for
 that.
 But in the 
\family sans 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator

\bar under 
D
\bar default 
ocument
\family default 
 popup the corresponding radio button indicates 
\family sans 
\bar under 
I
\bar default 
ndent
\family default 
.
 A 
\family sans 
S
\bar under 
k
\bar default 
ip
\family default 
 value always has the effect that extra LaTeX commands are inserted in the
 document to produce the gap, which is not what is wanted in this case.
\layout Section

Springer two-column Journals (
\family sans 
ejour2
\family default 
)
\layout Standard

by 
\noun on 
Martin Vermeer
\layout Subsection

Description
\layout Standard

These are the class and layout files for the two-column journal format used
 by Springer Verlag.
 It is reasonably well tested only for the Journal of Geodesy.
 Install the files in the proper directories, reconfigure LaTeX (in the
 teTeX case by running texhash), reconfigure LyX and it should work.
\layout Standard

If you want a reference list conforming to 
\begin_inset Quotes eld
\end_inset 

(author, year)
\begin_inset Quotes erd
\end_inset 

 rather than numbered entries, put the 
\family typewriter 
JG
\family default 
 option in the documentclass options list.
 Then, you can refer to an entry by putting the name and year within red
 LaTeX brackets, so it looks like
\layout Description


\series medium 
[1]
\series default 
 
\latex latex 
{
\latex default 
P.
 Murphy, 1879
\latex latex 
}
\latex default 
 The luck of the Irish.
 Journal of Irreproducible Results.
\begin_float footnote 
\layout Standard

Here I did not use a real bibliography entry, since it would come out bad
 in the book style of this documentation.
 Note that the braces do not show up in the printed version of this document.
\end_float 
\layout Subsection

Credits
\layout Standard

These files were originally made on the basis of an older style file for
 LaTeX 2.09 found on the Springer Verlag web site.
\layout Standard

I have asked Springer for permission to publish this modified style file,
 or alternatively, asked them to post it on their web site -- after necessary
 improvements.
\layout Standard

As I received no response, I must assume that Springer have *abandoned*
 the package -- which was provided free -- and that I am free to adopt it.
 If any representative from Springer reads this: drop me a line!
\layout Subsection

Bugs
\layout Standard

A remaining bug is that (Author,year) with the 
\family typewriter 
JG
\family default 
 option only works in English i.e.
 without using Babel.
 There may be more.
\layout Section

Slides [aka 
\noun on 
Sli
\noun default 
TeX] 
\begin_inset LatexCommand \label{sec:slitex}

\end_inset 


\layout Standard

by 
\noun on 
John Weiss
\noun default 
 
\layout Subsection

Introduction
\layout Standard

This section describes how to use LyX to make slides for overhead projectors.
 There are two document classes that can do this: the default slides class
 and the 
\family sans 
Foil
\family default 
TeX slides class.
 This section documents the former.
\layout Standard

I'm going to say this again, nice and clear, so that there's no misunderstanding
:
\layout Standard
\added_space_top bigskip \added_space_bottom bigskip \align center 

\size large 
This section documents the class 
\begin_inset Quotes eld
\end_inset 


\family sans 
slides (default)
\family default 

\begin_inset Quotes erd
\end_inset 

 
\emph on 
only.
\layout Standard

If you're looking for the documentation for 
\begin_inset Quotes eld
\end_inset 


\family sans 
slides (FoilTeX)
\family default 

\begin_inset Quotes erd
\end_inset 

, check out section
\protected_separator 

\begin_inset LatexCommand \ref{sec:foiltex}

\end_inset 

.
 The 
\family sans 
foils 
\family default 
class [
\begin_inset Quotes eld
\end_inset 


\family sans 
slides (FoilTeX)
\family default 

\begin_inset Quotes erd
\end_inset 

] is actually somewhat better than the default 
\family sans 
slides
\family default 
 class,
\begin_float footnote 
\layout Standard

\SpecialChar \ldots{}
or so I've been told repeatedly by its advocates.
 Having never used it, I have no idea if this claim is true or not.
\end_float 
 which this section documents.
\layout Standard

This class is the LaTeX2e improvement of the old 
\noun on 
Sli
\noun default 
TeX package.
 Every LaTeX2e distribution includes this class [which I'll just refer to
 as 
\begin_inset Quotes eld
\end_inset 


\family sans 
slides
\family default 

\begin_inset Quotes erd
\end_inset 

 from now on], so you're bound to have it.
 As I noted earlier, there are other classes, such as 
\family sans 
foils
\family default 
, which also produce slides for overhead projectors and do a better job
 at it.
 However, there are some things which 
\family sans 
slides
\family default 
 can do which the others can't, such as generate overlays.
 Read on to learn more!
\layout Subsection

Getting Started 
\begin_inset LatexCommand \label{sec:slidesetup}

\end_inset 


\layout Standard

Obviously, to use this document class, you need to select 
\begin_inset Quotes eld
\end_inset 


\family sans 
slides (default)
\family default 

\begin_inset Quotes erd
\end_inset 

 from the 
\family sans 
\bar under 
C
\bar default 
lass
\family default 
 entry in the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup.
 There are some other special things you should know about this class:
\layout Itemize

Don't bother changing the options 
\family sans 
Sides and Columns
\family default 
 on the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup.
 They're not supported by the 
\family sans 
slides
\family default 
 class, anyways.
\layout Itemize

The 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup option 
\family sans 
\bar under 
P
\bar default 
agestyle
\family default 
 behaves a bit differently for this class.
 The possible choices and what they do are as follows:
\begin_deeper 
\layout Description


\family sans 
plain
\family default 
 The final output contains page numbers in the lower right corner.
\layout Description


\family sans 
headings
\family default 
 Like 
\family sans 
plain
\family default 
, but also prints out any time markers you've put in.
 This is the default.
\layout Description


\family sans 
empty
\family default 
 The final output contains no page numbers, time markers, or alignment markers.
\end_deeper 
\layout Itemize

The 
\family sans 
slides
\family default 
 class has an extra option: 
\family typewriter 
clock
\family default 
.
 To use it, put 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
clock
\family default 

\begin_inset Quotes erd
\end_inset 

 in the 
\family sans 
E
\bar under 
x
\bar default 
tra
\protected_separator 
Options
\family default 
 box on the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup.
\begin_deeper 
\layout Standard

Using this options allows you to add time markers to 
\family sans 
Note
\family default 
s.
 See section
\protected_separator 

\begin_inset LatexCommand \ref{sec:slideNote}

\end_inset 

 for more details.
\end_deeper 
\layout Standard

You can also use the template file 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
slides.lyx
\family default 

\begin_inset Quotes erd
\end_inset 

 to automatically set up a document to use the 
\family sans 
slides 
\family default 
class [using 
\family sans 
\bar under 
F
\bar default 
ile\SpecialChar \menuseparator
New
\protected_separator 
from
\protected_separator 

\bar under 
t
\bar default 
emplate
\family default 
 to open your new document].
 The template file also contains some examples of the special paragraph
 environments used by this class.
 I'll describe those next.
\layout Subsection

Paragraph Environments
\layout Subsubsection

Supported Environments
\layout Standard

The first thing you'll notice when you start up a new 
\family sans 
slides 
\family default 
document is the font size and type: it's the equivalent of the size 
\begin_inset Quotes eld
\end_inset 


\family sans 
Largest
\family default 

\begin_inset Quotes erd
\end_inset 

 in the 
\family sans 
Sans
\protected_separator 
Serif
\family default 
 font.
 This is also what's used in the output.
 Think of this as a 
\begin_inset Quotes eld
\end_inset 

visual cue
\begin_inset Quotes erd
\end_inset 

 to remind you that this is a slide.
 Your final slides will use a larger font; ergo, you'll have less space.
 Of course, the larger default screen font isn't WYSIWYG, only a reminder.
\layout Standard

The next thing that becomes obvious is the changes to the paragraph environment
 pull-down box [at the far-left end of the toolbar].
 Most of the paragraph environments you're used to seeing are missing.
 There are also four new ones.
 That's because the 
\family sans 
slides
\family default 
 class itself only supports certain paragraph environments:
\layout Itemize


\family sans 
Standard
\layout Itemize


\family sans 
Itemize
\layout Itemize


\family sans 
Enumerate
\layout Itemize


\family sans 
Description
\layout Itemize


\family sans 
List
\layout Itemize


\family sans 
LaTeX
\layout Itemize


\family sans 
Quotation
\layout Itemize


\family sans 
Quote
\layout Itemize


\family sans 
Verse
\layout Itemize


\family sans 
Caption
\layout Itemize


\family sans 
LyX-Code
\layout Itemize


\family sans 
Comment
\layout Standard

All of the other standard environments, including the section-heading environmen
ts, aren't used in the 
\family sans 
slides
\family default 
 class.
\layout Standard

On the other hand, you'll notice the following new environments:
\begin_float footnote 
\layout Standard

In prior versions of this class, there was the mandatory 
\family sans 
EndAllSlides
\family default 
 paragraph environment.
 
\family sans 
EndAllSlides
\family default 
 is deprecated; it will convert to a 
\family sans 
Comment
\family default 
.
 You should probably remove it.
\end_float 
\layout Itemize


\family sans 
Slide
\layout Itemize


\family sans 
Overlay
\layout Itemize


\family sans 
Note
\layout Itemize


\family sans 
InvisibleText
\layout Itemize


\family sans 
VisibleText
\layout Standard

These five are kind of quirky, due to a 
\begin_inset Quotes eld
\end_inset 

feature
\begin_inset Quotes erd
\end_inset 

 in LyX.
 You see, LyX doesn't permit you to nest any other paragraph environment
 into an empty environment.
 Now, that's fine and dandy, but it means that you wouldn't be able to start
 a slide with anything except plain text.
 To deal with this, I've performed a little 
\begin_inset Quotes eld
\end_inset 

LaTeX magic.
\begin_inset Quotes erd
\end_inset 

 
\layout Subsubsection

Quirks of the New Environments 
\begin_inset LatexCommand \label{sec:slideQuirk}

\end_inset 


\layout Standard

All five of the new paragraph environments are somewhat quirky due to inherent
 limitiations in the current version of LyX.
 As I just mentioned, LyX forbids environments that begin with another environme
nt.
 To get around this, the 
\family sans 
Slide
\family default 
 environment isn't a paragraph environment as described in the 
\emph on 
User's Guide
\emph default 
.
 
\layout Standard

You should consider 
\family sans 
Slide
\family default 
, 
\family sans 
Overlay
\family default 
, and 
\family sans 
Note
\family default 
 to be 
\begin_inset Quotes eld
\end_inset 

pseudo-environments.
\begin_inset Quotes erd
\end_inset 

 They look like a section heading or a 
\begin_inset Quotes eld
\end_inset 


\family sans 
Caption
\family default 
,
\begin_inset Quotes erd
\end_inset 

 but really begin a [and, if necessary, end the previous] paragraph environment.
 Likewise, treat 
\family sans 
InvisibleText
\family default 
 and 
\family sans 
VisibleText
\family default 
 as 
\begin_inset Quotes eld
\end_inset 

pseudo-commands.
\begin_inset Quotes erd
\end_inset 

 These two perform some action.
\layout Standard

A common feature of all five environments, 
\family sans 
Slide
\family default 
, 
\family sans 
Overlay
\family default 
, 
\family sans 
Note
\family default 
, 
\family sans 
InvisibleText
\family default 
 and 
\family sans 
VisibleText
\family default 
, is a rather long-ish label.
 The text following this label --- ordinarily the contents of the paragraph
 environment --- is utterly irrelevant for 
\family sans 
Slide
\family default 
, 
\family sans 
Overlay
\family default 
, 
\family sans 
Note
\family default 
, 
\family sans 
InvisibleText
\family default 
 and 
\family sans 
VisibleText
\family default 
.
 LyX completely ignores it.
 In fact, you can leave these five environments completely empty.
 
\layout Standard

While you don't 
\emph on 
have
\emph default 
 to put any text after the rather long-ish label, you might want to.
 This could be a short description of the contents of the 
\family sans 
Slide
\family default 
, for example.
 In that case, enter in your descriptive comment and hit 
\family sans 
Return
\family default 
 as you normally would.
\layout Standard

If, on the other hand, you don't want to enter in any descriptive text,
 you'll hit another LyX quirk.
 LyX, like nature, abhors a vacuum, and will not let you start a new paragraph
 environment until you put something in the old one.
 So, do this:
\layout Itemize

Start entering the text that will 
\emph on 
follow
\emph default 
 the new 
\family sans 
Slide
\family default 
, 
\family sans 
Overlay
\family default 
, 
\family sans 
Note
\family default 
, 
\family sans 
InvisibleText
\family default 
 or 
\family sans 
VisibleText
\family default 
.
 
\layout Itemize

Now move to the beginning of that paragraph.
 
\layout Itemize

Next, hit 
\family sans 
Return
\family default 
.
 
\layout Itemize

Finally, change this new, empty paragraph to a 
\family sans 
Slide
\family default 
, 
\family sans 
Overlay
\family default 
, 
\family sans 
Note
\family default 
, 
\family sans 
InvisibleText
\family default 
 or 
\family sans 
VisibleText
\family default 
.
 
\layout Standard

Some future version of LyX will, hopefully, resolve this quirkiness\SpecialChar \ldots{}

\layout Subsection

Making a Presentation with 
\family sans 
Slide
\family default 
,
\family sans 
 Overlay
\family default 
 and 
\family sans 
Note
\layout Subsubsection

Using the 
\family sans 
Slide
\family default 
 Environment
\layout Standard

If you're expecting this section to teach you how to actually make a presentatio
n, you'll be sorely disappointed.
 Naturally, I'll describe all of the ways the 
\family sans 
slides
\family default 
 class can assist you in preparing the materials for a presentation.
 Filling in the contents, however, is up to you.
 [Then again, that 
\emph on 
is
\emph default 
 the LyX philosophy.]
\layout Standard

Choosing the 
\family sans 
Slide
\family default 
 environment [in the manner described in section
\protected_separator 

\begin_inset LatexCommand \ref{sec:slideQuirk}

\end_inset 

] tells LyX to begin a new slide [duh].
 The label for this environment/
\begin_inset Quotes erd
\end_inset 

pseudo-command
\begin_inset Quotes erd
\end_inset 

 is an 
\begin_inset Quotes eld
\end_inset 

ASCII line,
\begin_inset Quotes erd
\end_inset 

 in cool blue, followed by the label, 
\begin_inset Quotes eld
\end_inset 

NewSlide:
\begin_inset Quotes erd
\end_inset 

.
 Any text or paragraph environments that follow this one go on the new slide.
 It's that simple.
\layout Standard

Slides are probably the only time you'll need to forcibly end pages in LyX.
 In fact, you'll want to, once you finish entering the contents of one slide.
 If you've entered more text than can physically fit on a slide, the extra
 overflows onto a new slide.
 I don't recommend doing this, however, since the overflow slide won't have
 any page number on it.
 Furthermore, it may interfere with any 
\family sans 
Overlay
\family default 
 you've made to accompany the oversized 
\family sans 
Slide
\family default 
.
\layout Standard

The 
\family sans 
Overlay
\family default 
 and 
\family sans 
Note
\family default 
 environments work the same way as the 
\family sans 
Slide 
\family default 
environment.
 They both create an 
\begin_inset Quotes eld
\end_inset 

ASCII line
\begin_inset Quotes erd
\end_inset 

 followed by a label [
\begin_inset Quotes eld
\end_inset 

NewOverlay:
\begin_inset Quotes erd
\end_inset 

 and 
\begin_inset Quotes eld
\end_inset 

NewNote:
\begin_inset Quotes erd
\end_inset 

, respectively].
 The color is a stunning magenta instead of blue, and the 
\begin_inset Quotes eld
\end_inset 

ASCII line
\begin_inset Quotes erd
\end_inset 

 will look different, in style and in length.
 The label fonts of all three also differ from one another.
\layout Standard

As with a 
\family sans 
Slide
\family default 
, if the contents of a 
\family sans 
Note
\family default 
 or 
\family sans 
Overlay
\family default 
 exceed the physical size of a slide or sheet of paper, the extra will overflow
 onto a new sheet.
 Again, you should avoid this.
 It defeats the whole purpose of 
\family sans 
Note
\family default 
s and 
\family sans 
Overlay
\family default 
s.
\layout Subsubsection

Using 
\family sans 
Overlay
\family default 
 with 
\family sans 
Slide
\layout Standard

The idea behind an 
\family sans 
Overlay
\family default 
 is a slide that sits atop another slide.
 Perhaps you wish to discuss a figure on the main 
\family sans 
Slide
\family default 
 before displaying the text associated with it.
 One way to accomplish this is tape a flap of dark paper over the part of
 the 
\family sans 
Slide
\family default 
 you want to display later.
 This method fails, however, if you wish to overlap one graph with another,
 for example.
 You would then have to fumble while speaking to align the two separate,
 overlapping 
\family sans 
Slide
\family default 
s to align the two graphs.
 The use of an 
\family sans 
Overlay
\family default 
 environment in both cases makes life much easier.
\layout Standard

Each 
\family sans 
Overlay
\family default 
 receives the page number of its 
\begin_inset Quotes eld
\end_inset 

parent
\begin_inset Quotes erd
\end_inset 

 
\family sans 
Slide
\family default 
, appended by 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
-a
\family default 

\begin_inset Quotes erd
\end_inset 

.
\begin_float footnote 
\layout Standard

Presumably, mutliple 
\family sans 
Overlay
\family default 
s would have 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
-a
\family default 

\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
-b
\family default 

\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
-c
\family default 

\begin_inset Quotes erd
\end_inset 

, etc.
\protected_separator 
appended to the page number of the parent 
\family sans 
Slide
\family default 
.
 
\end_float 
 Clearly, you want the contents of both the 
\family sans 
Slide
\family default 
 and the 
\family sans 
Overlay
\family default 
 to each fit on a single physical slide! You should probably consider an
 
\family sans 
Overlay
\family default 
 as 
\begin_inset Quotes eld
\end_inset 

part of
\begin_inset Quotes erd
\end_inset 

 a 
\family sans 
Slide
\family default 
.
 Indeed, the LyX 
\family sans 
slides
\family default 
 class provides a visual cue for this: the label at the start of an 
\family sans 
Overlay
\family default 
 is shorter than that at the start of a 
\family sans 
Slide
\family default 
.
 Lastly, when you generate printable output, you'll find alignment markers
 in all four corners of both the 
\family sans 
Overlay
\family default 
 page and its parent 
\family sans 
Slide
\family default 
.
 These will assist you in lining up the two physical slides.
\layout Standard

The major problem in overlaying two slides is aligning the contents of the
 two transparencies.
 How much space should you leave for that graph on the second slide? Worse
 still, what if you want a graph and a sentence on second slide, but there
 is text on the main transparency that goes in between them? You could try
 and insert vertical space of the right size.
 The better way is to use 
\family sans 
InvisibleText
\family default 
 and 
\family sans 
VisibleText
\family default 
.
\layout Standard

As their names imply, 
\family sans 
InvisibleText
\family default 
 and 
\family sans 
VisibleText
\family default 
 are two command-like paragraph environments that make all subsequent text
 invisible and visible, respectively.
 Note from section
\protected_separator 

\begin_inset LatexCommand \ref{sec:slideQuirk}

\end_inset 

 that you don't place anything 
\emph on 
into
\emph default 
 these two environments, however.
 When you create an 
\family sans 
InvisibleText
\family default 
, it inserts a centered, sky-blue label into the page reading 
\begin_inset Quotes eld
\end_inset 

<Invisible Text Follows>
\begin_inset Quotes erd
\end_inset 

.
 For paragraphs following this label, the parts of the 
\family sans 
Slide
\family default 
 [or 
\family sans 
Overlay
\family default 
; it doesn't matter which] where they would be contain instead blank space.
 
\layout Standard

For 
\family sans 
VisibleText
\family default 
, the corresponding centered label is 
\begin_inset Quotes eld
\end_inset 

<Visible Text Follows>
\begin_inset Quotes erd
\end_inset 

 in blazing green.
 Paragraphs following this label behave normally.
 Note that the beginning of a new 
\family sans 
Slide
\family default 
, 
\family sans 
Overlay
\family default 
, or 
\family sans 
Note
\family default 
 automatically shuts off an 
\family sans 
InvisibleText
\family default 
.
 It's therefore not necessary to use 
\family sans 
VisibleText
\family default 
 at the end of a 
\family sans 
Slide
\family default 
.
\layout Standard

By now, it should be obvious how to create overlay transparencies using
 the proper combination of 
\family sans 
InvisibleText
\family default 
 and 
\family sans 
VisibleText
\family default 
 on a 
\family sans 
Slide
\family default 
 and 
\family sans 
Overlay
\family default 
:
\layout Enumerate

Create a 
\family sans 
Slide
\family default 
, including everything that will appear on it, whether on the main slide
 or on the 
\family sans 
Overlay
\family default 
.
\layout Enumerate

Before each figure or paragraph that will appear only on the 
\family sans 
Overlay
\family default 
, insert an 
\family sans 
InvisibleText
\family default 
 environment.
 If necessary, insert a 
\family sans 
VisibleText
\family default 
 environment after the 
\family sans 
Overlay
\family default 
-only text.
\layout Enumerate

Start an 
\family sans 
Overlay
\family default 
 immediately following the 
\family sans 
Slide
\family default 
.
\layout Enumerate

Copy the contents of this 
\family sans 
Slide
\family default 
 into the 
\family sans 
Overlay
\family default 
.
\layout Enumerate

Within the 
\family sans 
Overlay
\family default 
, change all of the 
\family sans 
InvisibleText
\family default 
 lines to 
\family sans 
VisibleText
\family default 
 and vice-versa.
\layout Standard

That's it.
 You've just made an 
\family sans 
Overlay
\family default 
.
\layout Standard

There's one problem with the way I've designed the LyX 
\family sans 
slides
\family default 
 class: you can't make text in the middle of a paragraph invisible, nor
 make text in the middle of an invisible paragraph visible again.
 To accomplish this feat, you'll need to use some inlined LaTeX codes.
\begin_float footnote 
\layout Standard

The commands of interest are: 
\layout Itemize


\family typewriter 
{
\backslash 
invisible \SpecialChar \ldots{}
 }
\layout Itemize


\family typewriter 
{
\backslash 
visible \SpecialChar \ldots{}
 }
\layout Standard

\SpecialChar \ldots{}
and need to be marked as TeX.
 The text whose 
\begin_inset Quotes eld
\end_inset 

visibility
\begin_inset Quotes erd
\end_inset 

 you wish to change goes in between the brackets [and after the 
\family typewriter 

\backslash 
invisible
\family default 
 or 
\family typewriter 

\backslash 
visible
\family default 
 command].
 If you don't know how to mark text as TeX, see the apprpriate section of
 the 
\emph on 
User's Guide
\emph default 
.
\end_float 
\layout Subsubsection

Using 
\family sans 
Note
\family default 
 with 
\family sans 
Slide
\family default 
 
\begin_inset LatexCommand \label{sec:slideNote}

\end_inset 


\layout Standard

Like an 
\family sans 
Overlay
\family default 
, a 
\family sans 
Note
\family default 
 is associated with a 
\begin_inset Quotes eld
\end_inset 

parent
\begin_inset Quotes erd
\end_inset 

 
\family sans 
Slide
\family default 
.
 Here, too, the LyX 
\family sans 
slides
\family default 
 class provides visual cues.
 The label for a 
\family sans 
Note
\family default 
 is shorter than that of a 
\family sans 
Slide
\family default 
 [yet longer than that of an 
\family sans 
Overlay
\family default 
] and, like the label of an 
\family sans 
Overlay
\family default 
 is shockingly magenta.
 Additionally, the printed 
\family sans 
Note
\family default 
 has the page number of its 
\begin_inset Quotes eld
\end_inset 

parent
\begin_inset Quotes erd
\end_inset 

 
\family sans 
Slide
\family default 
, appended by 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
-
\family default 
1
\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
-
\family default 
2
\begin_inset Quotes erd
\end_inset 

, 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
-
\family default 
3
\begin_inset Quotes erd
\end_inset 

, etc.
 You can have multiple 
\family sans 
Note
\family default 
s associated with a single 
\family sans 
Slide
\family default 
, and, as with 
\family sans 
Slide
\family default 
 and 
\family sans 
Overlay
\family default 
, you'll probably want to break up long 
\family sans 
Note
\family default 
s so that they fit on a single sheet of paper.
\layout Standard

The purpose of a 
\family sans 
Note
\family default 
 is obvious: it contains anything additional you might want to say about
 a 
\family sans 
Slide
\family default 
.
 It could also be used as a sheet of reminders for a particular 
\family sans 
Slide
\family default 
.
 In the case of the latter, you might want to make use of time markers.
 Currently, the LyX 
\family sans 
slides
\family default 
 class has no 
\begin_inset Quotes eld
\end_inset 

native
\begin_inset Quotes erd
\end_inset 

 support for time markers, a 
\noun on 
Sli
\noun default 
TeX feature.
 So, you'll have to resort to using the LaTeX codes.
\layout Standard

To use time markers, you'll need to specify the extra class option 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
clock
\family default 

\begin_inset Quotes erd
\end_inset 

 [see section
\protected_separator 

\begin_inset LatexCommand \ref{sec:slidesetup}

\end_inset 

].
 This option turns on timing marks, which will appear in the lower-left-hand
 corner of every 
\family sans 
Note
\family default 
 you generate.
 To set what appears in the time marker, you use the LaTeX commands 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
settime{}
\family default 

\begin_inset Quotes erd
\end_inset 

 and 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
addtime{}
\family default 

\begin_inset Quotes erd
\end_inset 

.
 The arguments of both commands are time measured in seconds.
 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
settime{}
\family default 

\begin_inset Quotes erd
\end_inset 

 sets the time marker to a given time.
 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
addtime{}
\family default 

\begin_inset Quotes erd
\end_inset 

 increments the time marker by the specified amount.
 Using time markers and 
\family sans 
Note
\family default 
s in this fashion, you can remind yourself how much time to spend on a particula
r 
\family sans 
Slide
\family default 
.
\layout Standard

There's one last feature to describe.
 Clearly, you'd like to print out all of your 
\family sans 
Slide
\family default 
s and 
\family sans 
Overlay
\family default 
s on transparencies while printing all of your 
\family sans 
Note
\family default 
s on plain paper.
 However, a 
\family sans 
Note
\family default 
 
\emph on 
must
\emph default 
 follow the 
\family sans 
Slide
\family default 
 with which it is associated.
 What's a person to do?
\layout Standard

Luckily, there are two LaTeX commands that allow you to select what to print
 out.
 Both must be placed into the preamble of your document.
 The command 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
onlyslides{
\backslash 
slides}
\family default 

\begin_inset Quotes erd
\end_inset 

 will cause the output to contain only the 
\family sans 
Slide
\family default 
s and 
\family sans 
Overlay
\family default 
s.
 Correspondingly, the command 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
onlynotes{
\backslash 
notes}
\family default 

\begin_inset Quotes erd
\end_inset 

 prevents the output of anything but 
\family sans 
Note
\family default 
s.
 I'd advise placing both commands in the preamble and initially comment
 both out.
 You can then preview your entire presentation as you write.
 When you're done writing, you can then uncomment one of the two to select
 what you want to print.
 I like to uncomment 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
onlyslides{
\backslash 
slides}
\family default 

\begin_inset Quotes erd
\end_inset 

 , print to a file with 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
-slides
\family default 

\begin_inset Quotes erd
\end_inset 

 in its name, comment it back out, then uncomment 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
onlynotes{
\backslash 
notes}
\family default 

\begin_inset Quotes erd
\end_inset 

 and print to a 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
*-notes.ps
\family default 

\begin_inset Quotes erd
\end_inset 

 file.
 I can then send either file to a printer, loading transparencies or plain
 paper as appropriate.
\layout Standard

You can also provide other arguments to the 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
onlyslides{}
\family default 

\begin_inset Quotes erd
\end_inset 

 and 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
onlynotes{}
\family default 

\begin_inset Quotes erd
\end_inset 

 commands.
 See a good LaTeX book for details.
\layout Subsection

The 
\family sans 
slides
\family default 
 Class Template File
\layout Standard

I have also provided a template file, 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
slides.lyx
\family default 

\begin_inset Quotes erd
\end_inset 

, with the 
\family sans 
slides
\family default 
 class.
 To use it, begin your new presentation with 
\family sans 
\bar under 
F
\bar default 
ile
\begin_inset Formula \( \rightarrow  \)
\end_inset 

New
\protected_separator 
from
\protected_separator 

\bar under 
t
\bar default 
emplate
\family default 
.
 Your new LyX presentation file will contain an example 
\family sans 
Slide
\family default 
 -- 
\family sans 
Overlay
\family default 
 --
\family sans 
 Note
\family default 
 triplet.
 The 
\family sans 
Slide
\family default 
 and 
\family sans 
Overlay
\family default 
 additionally contain an example of the use of 
\family sans 
InvisibleText
\family default 
 and 
\family sans 
VisibleText
\family default 
.
 Lastly, the preamble will contain:
\layout LyX-Code

% Uncomment to print out only slides and overlays
\layout LyX-Code

%
\layout LyX-Code

%
\backslash 
onlyslides{
\backslash 
slides}
\newline 

\protected_separator 

\layout LyX-Code

% Uncomment to print out only notes
\layout LyX-Code

%
\layout LyX-Code

%
\backslash 
onlynotes{
\backslash 
notes}
\layout Standard

One final thing: I created this class to support the LaTeX2e 
\begin_inset Quotes eld
\end_inset 


\noun on 
Sli
\noun default 
TeX emulation
\begin_inset Quotes erd
\end_inset 

 class, one of the built-in LaTeX2e classes.
 Neither I nor the rest of the LyX Team endorse or oppose the use of this
 built-in slide class.
 It's here if you want it or need it.
 There exist other LaTeX2e classes for creating presentations, such as the
 
\family sans 
Foils
\family default 
 class [see section
\protected_separator 

\begin_inset LatexCommand \ref{sec:foiltex}

\end_inset 

] or the 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
seminar
\family default 

\begin_inset Quotes erd
\end_inset 

 package [present on some TeX distributions].
 The latter is not yet supported under LyX.
\begin_float footnote 
\layout Standard

Perhaps you can take on the task\SpecialChar \ldots{}

\end_float 
 I know nothing about these other classes.
 Try them out to see what sort of alternative they provide.
\layout Section

Foils [aka 
\family sans 
Foil
\family default 
\noun on 
TeX
\noun default 
]
\begin_inset LatexCommand \label{sec:foiltex}

\end_inset 


\layout Standard

by 
\noun on 
Allan Rae
\layout Subsection

Introduction
\layout Standard

This section describes how to use LyX to make slides for overhead projectors.
 There are two document classes that can do this: the default slides class
 and the 
\family sans 
Foil
\family default 
TeX slides class.
 This section documents the latter.
\layout Standard

I'm going to say this again, nice and clear, so that there's no misunderstanding
:
\layout Standard
\added_space_top bigskip \added_space_bottom bigskip \align center 

\size large 
This section documents the class 
\begin_inset Quotes eld
\end_inset 


\family sans 
slides (FoilTeX)
\family default 

\begin_inset Quotes erd
\end_inset 

 
\emph on 
only.
\layout Standard

If you're looking for the documentation for 
\begin_inset Quotes eld
\end_inset 


\family sans 
slides (default)
\family default 

\begin_inset Quotes erd
\end_inset 

, check out section
\protected_separator 

\begin_inset LatexCommand \ref{sec:slitex}

\end_inset 

.
 If your machine doesn't have the 
\family sans 
foils 
\family default 
class [
\begin_inset Quotes eld
\end_inset 


\family sans 
slides (FoilTeX)
\family default 

\begin_inset Quotes erd
\end_inset 

] installed, you'll probably have to use the default 
\family sans 
slides
\family default 
 class, which isn't quite as good as 
\family sans 
foils.
\layout Standard

The 
\family sans 
foils
\family default 
 class is designed for use with version 2.1 of the 
\family sans 
foils.cls
\family default 
 LaTeX class file which is now an integral part of LaTeX2e.
\layout Subsection

Getting Started
\layout Standard

Obviously, to use this document class, you need to select 
\begin_inset Quotes eld
\end_inset 


\family sans 
slides (FoilTeX)
\family default 

\begin_inset Quotes erd
\end_inset 

 from the 
\family sans 
\bar under 
C
\bar default 
lass
\family default 
 entry in the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup.
 There are some settings in the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup that you should know about that are specific to this class:
\layout Itemize

Don't change the options 
\family sans 
Sides
\family default 
 and 
\family sans 
Columns
\family default 
 on the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup.
 They're ignored by the 
\family sans 
foils
\family default 
 class.
\layout Itemize

The default font size is 20pt with the other options being 17pt, 25pt and
 30pt.
\layout Itemize

The default font is 
\family sans 
sans
\family default 
 
\family sans 
serif
\family default 
 but all math equations are still typeset in the usual roman font.
\layout Itemize


\family sans 
Foil
\family default 
TeX supports A4 and Letter paper sizes as well as a special size for working
 with 35mm slides.
 It doesn't support A5, B5, legal or executive paper sizes.
\layout Itemize

Don't bother changing the 
\family sans 
Float Placement
\family default 
 settings because they are ignored anyway.
 All floats appear where they are defined in the text.
\layout Itemize

The 
\family sans 
\bar under 
P
\bar default 
agestyle
\family default 
 setting behaves a bit differently for this class.
 
\family sans 
Foil
\family default 
TeX provides extensive footer and header capabilities including a user-defined
 logo.
 See section 
\begin_inset LatexCommand \ref{sec:foilfoot}

\end_inset 

 for more details.
 The title page is treated differently to all other pages in the document
 and is 
\emph on 
always
\emph default 
 unnumbered and 
\emph on 
always
\emph default 
 has the logo centered at the bottom of the page (if one is defined).
 The possible page style choices and what they do are as follows:
\begin_deeper 
\layout List
\labelwidthstring MMMMMMM


\family sans 
\series bold 
empty
\family default 
\series default 
 The final output contains no page numbers, or other headers or footers
 (except footnotes of course).
 
\layout List
\labelwidthstring MMMMMMM


\family sans 
\series bold 
plain
\family default 
\series default 
 The final output contains page numbers centered at the bottom of the page.
 No other headings or footers (other than footnotes).
\layout List
\labelwidthstring MMMMMMM


\series bold 
foilheadings
\series default 
 Page numbers in lower right corner.
 Additional headers and footers are also shown.
 This is also the default.
\layout List
\labelwidthstring MMMMMMM


\series bold 
fancy
\series default 
 Gives you access to the 
\family sans 
fancyheadings
\family default 
 package although its use with 
\family sans 
Foil
\family default 
TeX is discouraged by the writer of the 
\family sans 
Foil
\family default 
TeX package because of some potential page layout clashes.
\end_deeper 
\layout Subsubsection

Extra Options
\layout Standard

The following options may be used in the 
\family sans 
Extra
\protected_separator 
Options
\family default 
 box of the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup.
\layout List
\labelwidthstring MMMMMMx


\series bold 
35mmSlide
\series default 
 This sets up the page layout for 7.33in.
 by 11in.
 paper, which is about the same aspect ratio as a 35mm slide, making it
 a bit easier to work with this medium.
\layout List
\labelwidthstring MMMMMMx


\series bold 
headrule
\series default 
 Places a rule across the page below the header on every page except the
 title page.
\layout List
\labelwidthstring MMMMMMx


\series bold 
footrule
\series default 
 Places a rule across the page above the footer on every page except the
 title page.
\layout List
\labelwidthstring MMMMMMx


\series bold 
dvips
\series default 
 This is automatically set each time you create a new 
\family sans 
foils
\family default 
 document.
 This option tells 
\family sans 
Foil
\family default 
TeX to use the dvips driver to rotate those pages that are set as landscape
 foils.
\layout List
\labelwidthstring MMMMMMx


\series bold 
landscape
\series default 
 Simply changes the page dimensions to those of a landscape page but doesn't
 do any rotation.
 Thus if you use this option you need to use an external program to rotate
 each page or feed your paper through your printer as landscape.
 Note that this option effectively reverses the roles of the 
\family sans 
Foilhead
\family default 
 and 
\family sans 
Rotatefoilhead
\family default 
 environments (don't worry these are described in the next section).
\layout List
\labelwidthstring MMMMMMx


\series bold 
leqno
\series default 
 Equation numbers on the left.
\layout List
\labelwidthstring MMMMMMx


\series bold 
fleqn
\series default 
 Flush-left equations.
\layout Subsection

Supported Environments
\layout Standard

Most of the environments commonly supported in other classes are also supported
 by the 
\family sans 
foils
\family default 
 class.
 There are several additional environments provided by 
\family sans 
Foil
\family default 
TeX as well as a couple added by LyX.
 The following environments are shared with other classes:
\layout LaTeX


\backslash 
begin{multicols}{2}
\layout Itemize


\family sans 
Standard
\layout Itemize


\family sans 
Itemize
\layout Itemize


\family sans 
Enumerate
\layout Itemize


\family sans 
Description
\layout Itemize


\family sans 
List
\layout Itemize


\family sans 
LaTeX
\layout Itemize


\family sans 
LyX-Code
\layout Itemize


\family sans 
Verse
\layout Itemize


\family sans 
Quote
\layout Itemize


\family sans 
Quotation
\layout Itemize


\family sans 
Title
\layout Itemize


\family sans 
Author
\layout Itemize


\family sans 
Date
\layout Itemize


\family sans 
Abstract
\layout Itemize


\family sans 
Bibliography
\layout Itemize


\family sans 
Address
\layout Itemize


\family sans 
RightAddress
\layout Itemize


\family sans 
Caption
\layout Itemize


\family sans 
Comment
\layout LaTeX


\backslash 
end{multicols}
\layout Standard

That is, all the major environments apart from the sectioning environments.
 Since foils are essentially self-contained sections, with a title and body,
 
\family sans 
Foil
\family default 
TeX provides specific commands for starting new foils and these are:
\layout Itemize


\family sans 
Foilhead
\layout Itemize


\family sans 
Rotatefoilhead
\layout Standard

LyX also provides slightly modified versions of these two environments called:
\layout Itemize


\family sans 
ShortFoilhead
\layout Itemize


\family sans 
ShortRotatefoilhead
\layout Standard

and the differences will be explained in the next section.
\layout Standard

Since foils are often used in presenting ideas or new theorems and such
 
\family sans 
Foil
\family default 
TeX also provides a comprehensive box of goodies for presenting them:
\layout LaTeX


\backslash 
begin{multicols}{2}
\layout Itemize


\family sans 
Theorem
\layout Itemize


\family sans 
Lemma
\layout Itemize


\family sans 
Corollary
\layout Itemize


\family sans 
Proposition
\layout Itemize


\family sans 
Definition
\layout Itemize


\family sans 
Proof
\layout Itemize


\family sans 
Theorem*
\layout Itemize


\family sans 
Lemma*
\layout Itemize


\family sans 
Corollary*
\layout Itemize


\family sans 
Proposition*
\layout Itemize


\family sans 
Definition*
\layout LaTeX


\backslash 
end{multicols}
\layout Standard

The starred versions are unnumbered while the unstarred versions are numbered.
 There are also two list environments added by LyX and these are:
\layout Itemize


\family sans 
TickList
\layout Itemize


\family sans 
CrossList
\layout Standard

There are also a few commands provided by 
\family sans 
Foil
\family default 
TeX that aren't directly supported by LyX but I'll tell you what they do
 and how to use them in section
\protected_separator 

\begin_inset LatexCommand \ref{sec:unsuppfoils}

\end_inset 

.
\layout Subsection

Building a Set of Foils
\layout Standard

This section will give a simple introduction to using the different environments
 to build a set of foils.
 If you want to see an example set of foils take a look at the 
\family typewriter 
Foils.lyx
\family default 
 file accessible from the 
\family sans 
\bar under 
F
\bar default 
ile\SpecialChar \menuseparator

\bar under 
O
\bar default 
pen\SpecialChar \ldots{}

\family default 
 popup under the 
\family sans 
Examples
\family default 
 button.
 
\layout Subsubsection

Give It a Title Page
\layout Standard

Unlike other classes that provide 
\family sans 
Title
\family default 
, 
\family sans 
Author
\family default 
, 
\family sans 
Date
\family default 
 and 
\family sans 
Abstract
\family default 
 environments, 
\family sans 
foils
\family default 
 creates the title on a page of its own.
 If you leave out the 
\family sans 
Date
\family default 
 environment LaTeX will substitute the current date (every time you regenerate
 the output).
\layout Subsubsection

Start a New Foil
\layout Standard

As I mentioned earlier, there are four ways of starting a new foil.
 For portrait foils you should use 
\family sans 
Foilhead
\family default 
 or 
\family sans 
ShortFoilhead.

\family default 
 The difference between these two environments is the amount of space between
 the title of the foil (the foilhead) and the body of the foil.
\layout Standard

Landscape foils are generated using the 
\family sans 
Rotatefoilhead
\family default 
 and 
\family sans 
ShortRotatefoilhead
\family default 
 environments.
 Again the only difference is the spacing between foilhead and body.
 Both of the short versions have 0.5 inches less separation between the foilhead
 and the body.
 
\layout Standard

One problem with the support for landscape foils is the requirement that
 you have to use the 
\family typewriter 
dvips
\family default 
 driver to generate the PostScript® output otherwise the foils won't be
 rotated.
 It is possible to get landscape foils even if you haven't got the 
\family typewriter 
dvips
\family default 
 driver provided you can feed your foils sideways through your printer ;-)
\layout Subsubsection

Theorems, Lemmas, Proofs and more
\layout Standard

Due to a small bug in LyX you can't have two of the same type of these environme
nts directly following each other.
 They must be separated by something.
 If you try, you will just be extending the previous environment as if you
 had merged the two environments together.
 So, how do you get around this problem? The simplest option is to insert
 some text between the two environments or add a 
\family sans 
LaTeX
\family default 
 environment between the two with just a 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
%
\family default 

\begin_inset Quotes erd
\end_inset 

 in it.
 This will force LyX to produce two separate environments and hence the
 correct LaTeX output.
 An example is provided in the example file included with the LyX distribution.
 Remember, this problem only occurs if you are trying to place two of the
 same type of theorem-like environments one directly after the other.
\layout Subsubsection

Lists
\layout Standard

You get all the commonly supported list styles found in other classes as
 well as two new ones.
 I'll only describe the new ones here.
 If you want to find out more about the other list environments check out
 the 
\emph on 
User's Guide.

\emph default 
 If you intend to use itemized lists you might also want to read about the
 
\family sans 
Itemize
\protected_separator 
Bullet
\protected_separator 
Selection
\family default 
 popup described above in section
\protected_separator 

\begin_inset LatexCommand \ref{sec:bullet}

\end_inset 

.
\layout Standard

The two new list styles, 
\family sans 
TickList 
\family default 
and 
\family sans 
CrossList
\family default 
, are designed to make it easier for you to create lists of do's and don'ts
 or right and wrong by providing dedicated environments that use a tick
 or a cross as the label of the list.
 These lists are in fact dedicated variants of the 
\family sans 
Itemize
\family default 
 environment.
 They do however require that you have the 
\family typewriter 
psnfss
\family default 
 packages installed.
\layout Subsubsection

Figures and Tables
\layout Standard


\family sans 
Foil
\family default 
TeX redefines the floating tables and figures so that they appear exactly
 where they are in the text rather than pushing them to the top of the page
 or to some user specified location.
 In fact if you change the float placement settings they are simply ignored.
\layout Subsection

Unsupported 
\family sans 
Foil
\family default 
TeX Goodies
\begin_inset LatexCommand \label{sec:unsuppfoils}

\end_inset 


\layout Standard

All the commands mentioned below need to be set in a 
\family sans 
LaTeX
\family default 
 environment or as 
\family sans 
TeX
\family default 
 within another environment.
\layout Subsubsection

Lengths
\layout Standard

All lengths are adjusted using the 
\family typewriter 

\backslash 
setlength{
\family default 
\emph on 
lengthname
\family typewriter 
\emph default 
}{
\family default 
\emph on 
newlength
\family typewriter 
\emph default 
}
\family default 
 command.
 Where 
\emph on 
lengthname
\emph default 
 should be replaced by the name given to the length you want to change and
 
\emph on 
newlength
\emph default 
 is the length value.
 All lengths should be specified in units of length such as inches (
\family typewriter 
in
\family default 
), millimeters (
\family typewriter 
mm
\family default 
) or points (
\family typewriter 
pt
\family default 
) or relative to some document or font-based length such as 
\family typewriter 

\backslash 
textwidth
\family default 
.
 
\layout Standard

It's possible to change the spacing between a foilhead and the body of the
 foil by adjusting the length specified by 
\family typewriter 

\backslash 
foilheadskip
\family default 
.
 For example, to make 
\emph on 
all
\emph default 
 foilheads 0.5 inches closer to their bodies put the following in the preamble:
 
\family typewriter 

\backslash 
setlength{
\backslash 
foilheadskip}{-0.5in}
\layout Standard

The spacings around floats can be adjusted by setting these lengths:
\layout List
\labelwidthstring MMMMMMMMMMM


\family typewriter 

\backslash 
abovefloatskip 
\family default 
Separation between the text and the top of the float
\layout List
\labelwidthstring MMMMMMMMMMM


\family typewriter 

\backslash 
abovecaptionskip 
\family default 
Separation between the float and the caption
\layout List
\labelwidthstring MMMMMMMMMMM


\family typewriter 

\backslash 
belowcaptionskip 
\family default 
Separation between the caption and the following text
\layout List
\labelwidthstring MMMMMMMMMMM


\family typewriter 

\backslash 
captionwidth
\family default 
 You can make the captions narrower than the surrounding text by adjusting
 this length.
 Best done relative to 
\family typewriter 

\backslash 
textwidth
\family default 
.
\layout Standard

There are also several title page related lengths that you may find useful
 if you have a long title or several authors:
\layout List
\labelwidthstring MMMMMMMMMMM


\family typewriter 

\backslash 
abovetitleskip
\family default 
 Separation from headers to 
\family sans 
Title
\layout List
\labelwidthstring MMMMMMMMMMM


\family typewriter 

\backslash 
titleauthorskip
\family default 
 between 
\family sans 
Title
\family default 
 and 
\family sans 
Author
\family default 
 environments
\layout List
\labelwidthstring MMMMMMMMMMM


\family typewriter 

\backslash 
authorauthorskip
\family default 
 between multiple 
\family sans 
Author
\family default 
 lines
\layout List
\labelwidthstring MMMMMMMMMMM


\family typewriter 

\backslash 
authordateskip
\family default 
 between the 
\family sans 
Author
\family default 
 and the 
\family sans 
Date
\layout List
\labelwidthstring MMMMMMMMMMM


\family typewriter 

\backslash 
dateabstractskip
\family default 
 between the 
\family sans 
Date
\family default 
 and the 
\family sans 
Abstract
\layout Standard

The last length related command affects all the list environments.
 If you place
\family typewriter 
 
\backslash 
zerolistvertdimens
\family default 
 
\emph on 
inside
\emph default 
 a list environment then all the vertical spacing between the list items
 is removed.
 Note that this is a command not a length so it doesn't require 
\family typewriter 

\backslash 
setlength
\family default 
 like the stuff mentioned above.
\layout Subsubsection

Headers and Footers
\begin_inset LatexCommand \label{sec:foilfoot}

\end_inset 


\layout Standard


\family sans 
Foil
\family default 
TeX provides some powerful header and footer capabilities that are best
 set in the preamble although they may be set at any point in a document.
 If you want to change these settings in your document the best place to
 do so is at the very top of a foil, 
\emph on 
i.e.

\emph default 
 straight after the foilhead.
\layout Standard


\family typewriter 

\backslash 
MyLogo{}
\family default 
 and 
\family typewriter 

\backslash 
Restriction{}
\family default 
 are two commands used to control the left-footer.
 The first is meant to allow you to include a graphic logo on your foils
 and defaults to 
\begin_inset Quotes eld
\end_inset 

-Typeset by 
\family sans 
Foil
\family default 
TeX-
\begin_inset Quotes erd
\end_inset 

.
 While the second is meant to provide a classification for the audience,
 
\emph on 
e.g.

\emph default 
 Confidential.
 It is empty by default.
\layout Standard

The 
\family typewriter 

\backslash 
LogoOn
\family default 
 and 
\family typewriter 

\backslash 
LogoOff
\family default 
 commands control whether the logo in the 
\family typewriter 

\backslash 
MyLogo
\family default 
 definition appear on a given page.
 If you put 
\family typewriter 

\backslash 
LogoOff
\family default 
 in the preamble then none of the foils will have the logo on them.
 If you don't want the logo on a particular page place the 
\family typewriter 

\backslash 
LogoOff
\family default 
 directly after the foilhead of that page and the 
\family typewriter 

\backslash 
LogoOn
\family default 
 directly after the next foilhead.
\layout Standard

The remaining corners are controlled by:
\layout List
\labelwidthstring MMMMMMMMM


\family typewriter 

\backslash 
rightfooter{}
\family default 
 which defaults to page numbers
\layout List
\labelwidthstring MMMMMMMMM


\family typewriter 

\backslash 
rightheader{}
\family default 
 the top right corner
\layout List
\labelwidthstring MMMMMMMMM


\family typewriter 

\backslash 
leftheader{}
\family default 
 the top left corner
\layout Standard

If you decide to use the 
\family sans 
fancy
\family default 
 page style setting in the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup you should probably add 
\family typewriter 

\backslash 
let
\backslash 
headwidth
\backslash 
textwidth
\family default 
 to your preamble so headers and footers on landscape pages are correctly
 placed when rotated.
 This is due to some clashes between the page layouts provided by the 
\family sans 
fancyheadings
\family default 
 package and the 
\family sans 
foils
\family default 
 class.
\layout Section

Latex8 (IEEE Conference Papers)
\layout Standard

by 
\noun on 
Allan Rae
\layout Subsection

Introduction
\layout Standard

Since this class is specifically for writing submissions to IEEE sponsored
 conferences I strongly recommend that you get a copy of their Authors Kit.
 The 
\family sans 
latex.sty
\family default 
 package and associated bibliography style file is included in the kit.
 The Authors Kit is usually sent out by email once your initial submission
 has been accepted.
 There is a lot of useful information in the Authors Kit explaining formatting
 restrictions and so on and I will assume you have read this since that
 means I don't have to repeat it all here.
\layout Subsection

Getting Started
\layout Standard

[AR.
 more to come]
\layout Subsection

Supported Environments
\layout LaTeX


\backslash 
begin{multicols}{2}
\layout Itemize

Standard
\layout Itemize

Title
\layout Itemize

Author
\layout Itemize

E-mail
\layout Itemize

Affiliation
\layout Itemize

Abstract
\layout Itemize

Section
\layout Itemize

SubSection
\layout Itemize

Caption
\layout LaTeX


\backslash 
end{multicols}
\layout Subsection

Differences Between Screen and Paper
\layout Standard

There are slight differences in appearance mainly with the presentation
 of section counters.
 On screen the trailing period of the section counter is missing but it
 will appear in the output so don't let this worry you.
\layout Section

Hollywood (Hollywood spec scripts)
\layout Standard

by 
\shape smallcaps 
Garst Reese
\layout Subsection

Introduction
\layout Standard

Getting the format of a Hollywood script right is a 
\begin_inset Quotes eld
\end_inset 

rite of passage.
\begin_inset Quotes erd
\end_inset 

 It is designed to make the readers focus on content and to be easy and
 familiar for the actors to read.
 Each page of a script should be one minute of film.
 Nothing goes in a script that you cannot see or hear on screen.
 The courier 12 pt font should be used throughout.
 No italics.
\layout Subsection

Special problems
\layout Standard

Always preview the script to find where to insert page breaks.
 Speakers' lines should NEVER break in mid-sentence.
 If a speaker's lines continue over a page break, repeat the 
\family sans 
Speaker
\family default 
 title followed by (Cont'd).
\layout Subsection

Special features
\layout Standard

Insert the 
\family sans 
Speaker
\family default 
 names as labels then cross-reference the label to insert the name.
 The cross-reference pop-up will show the current cast of characters.
 You can use this to insert the speaker name in narratives also.
\layout Subsection

Paper size and Margins
\layout Standard

USLetter, left 1.6in, right 0.75in, top 0.5in, bottom 0.75in
\layout Subsection

Environments
\layout Standard

The following environments are available.
 You can use hollywood.bind to get the bind keys shown at the right.
\layout Itemize


\family sans 
Standard
\newline 

\family default 
Used where nothing else works.
 Try to avoid it.
\layout Itemize


\family sans 
FADE_IN
\family default 
:
\hfill 

\family sans 
M-z S-I
\family default 

\newline 
Usually followed by something like 
\begin_inset Quotes eld
\end_inset 

on Sally waking up.
\begin_inset Quotes erd
\end_inset 


\layout Itemize


\family sans 
INT:
\hfill 
M-z i
\newline 

\family default 
Introduces a new INTERIOR camera set-up.
 Always followed by DAY or NIGHT, or something similar to define the lighting
 required.
 Everthing on this line in CAPS.
\layout Itemize


\family sans 
EXT:
\hfill 
M-z e
\newline 

\family default 
Introduces a new EXTERIOR camera set-up.
 Everthing on this line in CAPS.
\layout Itemize


\family sans 
Speaker
\hfill 
M-z s
\newline 

\family default 
The character speaking.
\layout Itemize


\family sans 
Parenthetical
\hfill 
M-z p
\newline 

\family default 
Instructions to the speaker.
 The () are automatically inserted, but only the ( will show in LyX.
 Both will be printed.
\layout Itemize


\family sans 
Dialogue
\hfill 
M-z d
\newline 

\family default 
What the 
\family sans 
Speaker
\family default 
 says.
\layout Itemize


\family sans 
Transition
\hfill 
M-z t
\newline 

\family default 
Camera movement instuction.
 e.g.
 CUT TO:
\layout Itemize


\family sans 
FADE OUT:
\hfill 
M-z S-I
\layout Itemize


\family sans 
Author
\hfill 
M-z S-A
\layout Itemize


\family sans 
Title
\hfill 
M-z S-T
\layout Itemize


\family sans 
Right_Address
\hfill 
M-z r
\layout Subsection

Script jargon
\layout Itemize

(O.S) --- off screen
\layout Itemize

(V.0) --- voice over
\layout Itemize

b.g.
 --- background
\layout Itemize

C.U.
 --- close-up
\layout Itemize

PAN --- camera movement
\layout Itemize

INSERT --- cut to close-up of
\layout Section

Broadway
\layout Standard

by 
\shape smallcaps 
Garst Reese
\layout Subsection

Introduction
\layout Standard

Broadway is for writing plays.
 The format is more decorative than Hollywood, and much less standardized.
 This format should be suitable for workshops.
\layout Subsection

Special problems
\layout Standard

The same as in Hollywood.
\layout Subsection

Special features
\layout Standard

Insert the 
\family sans 
Speaker
\family default 
 names as labels then cross-reference the label to insert the name.
 The cross-reference pop-up will show the current cast of characters.
\layout Subsection

Paper size and Margins
\layout Standard

USLetter, left 1.6in, right 0.75in, top 0.5in, bottom 0.75in
\layout Subsection

Environments
\layout Standard

The following environments are available.
 You can use broadway.bind to get the bind keys shown at the right.
\layout Itemize


\family sans 
Standard
\newline 

\family default 
You should not have to use this, but it is here for anything that does not
 fit otherwise.
\layout Itemize


\family sans 
Narrative
\hfill 
M-z n
\newline 

\family default 
Used to describe stage setting and the action.
 First use of speaker names in all CAPs.
\layout Itemize


\family sans 
ACT
\hfill 
M-z a
\newline 

\family default 
Automatically numbered.
 On screen it will be arabic, but will print as Roman.
\layout Itemize


\family sans 
ACT*
\hfill 
M-z S at
\newline 

\family default 
Subtitle for 
\family sans 
ACT.
 
\family default 
It is just centered text.
\layout Itemize


\family sans 
SCENE
\hfill 
M-z S-S
\newline 

\family default 
Not automatically numbered.
 You supply the number.
 This is because I couldn't figure out how.
\layout Itemize


\family sans 
AT_RISE:
\hfill 
M-z S-R
\newline 

\family default 
A special case of Narrative to describe the setting and action as the curtain
 rises.
\layout Itemize


\family sans 
Speaker
\hfill 
M-z s
\newline 

\family default 
The speaker's (actor's) title, centered in all CAPS.
\layout Itemize


\family sans 
Parenthetical
\hfill 
M-z p
\newline 

\family default 
Instructions to the speaker.
 The parentheses are automatically inserted.
 The ( will appear on screen, but both will be in the printed play.
 This environment is only used within 
\family sans 
Dialogue
\family default 
.
\layout Itemize


\family sans 
Dialogue
\hfill 
M-z d
\newline 

\family default 
What the Speaker says.
\layout Itemize


\family sans 
CURTAIN
\hfill 
M-z S-C
\newline 

\family default 
The curtain comes down.
\layout Itemize


\family sans 
Title
\hfill 
M-z S-T
\layout Itemize


\family sans 
Author
\hfill 
M-z S-A
\layout Itemize


\family sans 
Right_Address
\hfill 
M-z r
\layout Standard

Hello there.
\layout Section

RevTeX4
\layout Standard

The 
\family sans 
Revtex
\protected_separator 
4
\family default 
 textclass works with the American Physical Sociey's RevTeX 4.0 (the 
\begin_inset Formula \( \beta  \)
\end_inset 

 release of May, 1999) class.
\layout Standard

LyX has a 
\family sans 
Revtex
\family default 
 textclass, which works with RevTeX 3.1.
 However, v3.1 is basically obsolete, as it works with LaTeX 2.09.
 That means that it doesn't interact very well with LyX, which requires
 LaTeX2e, although it has been kludged to work.
 Since RevTeX 4.0 has been designed to work much more cleanly with LaTeX2e,
 LyX with the 
\family sans 
RevTeX
\protected_separator 
4
\family default 
 textclass should also be pretty easy to use.
\layout Standard

These documents are supposed to be used in 
\emph on 
addition
\emph default 
 to the RevTeX 4.0 documents, so we don't describe any of the special RevTeX
 macros, and assume you'll know what to put in the preamble if necessary.
\layout Subsection

Installation
\layout Standard

All you need to do is install RevTeX 4, as described in the package's README
 file.
 the package can be found at 
\begin_inset LatexCommand \url[The RevTeX 4 Web Site]{http://publish.aps.org/revtex4/}

\end_inset 

.
 Install it somewhere that LaTeX can see it.
 Test it by trying to LaTeX a short RevTeX 4 document in some random directory
 (i.e., not the directory where you installed the class file.) Then, if you
 reconfigure LyX, it will find the class file and let you use the RevTeX4
 textclass.
\layout Standard

Probably the easiest way to get started is either to import a RevTeX 4 document
 using 
\family typewriter 
reLyX
\family default 
, or to use the 
\family sans 
Revtex
\protected_separator 
4
\family default 
 template, found in the templates directory.
\layout Subsection

Preamble Matter
\layout Standard

Optional arguments to 
\family typewriter 

\backslash 
documentclass
\family default 
, like 
\begin_inset Quotes eld
\end_inset 

preprint
\begin_inset Quotes erd
\end_inset 

 and 
\begin_inset Quotes eld
\end_inset 

aps
\begin_inset Quotes erd
\end_inset 

, go in the 
\family sans 
E
\bar under 
x
\bar default 
tra
\protected_separator 
Options
\family default 
 field in the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup, as usual.
 Remember that in RevTeX, at least one optional argument is required! 
\layout Standard

Other preamble matter, like 
\family typewriter 

\backslash 
draft
\family default 
 etc.
 goes in the 
\family sans 
Latex
\protected_separator 
Preamble
\family default 
 popup, also as usual.
\layout Subsection

Layouts
\layout Standard

The layouts basically correspond to the commands in RevTeX4.0.
 For example, the Email layout corresponds to 
\family typewriter 

\backslash 
email{}
\family default 
.
 Note that (at least as of RevTeX 4.0 Beta), the 
\family sans 
Address
\family default 
 and 
\family sans 
Affiliation
\family default 
 layouts are exactly equivalent, so you shouldn't need to use both.
\begin_float footnote 
\layout Standard

In case you're curious, both were included so that 
\family typewriter 
reLyX
\family default 
 would be able to translate both 
\family typewriter 

\backslash 
address
\family default 
 and 
\family typewriter 

\backslash 
affiliation
\family default 
.
\end_float 
\layout Subsection

Important Notes
\layout Standard

There are a couple of important unique aspects of RevTeX 4 which might cause
 bugs that will be even more confusing in LyX.
\layout Standard

In RevTeX, the 
\family typewriter 

\backslash 
thanks
\family default 
 command goes 
\emph on 
outside
\emph default 
 the 
\family typewriter 

\backslash 
author
\family default 
 command.
 The LyX equivalent is that there is a separate Thanks layout.
 Do 
\emph on 
not
\emph default 
 write footnotes in the 
\family sans 
Author
\family default 
 layout, or weird things may happen.
 See the RevTeX 4 documentation for more details.
\layout Standard

Also, the 
\family sans 
Author
\protected_separator 
Email
\family default 
, 
\family sans 
Author
\protected_separator 
URL
\family default 
, and 
\family sans 
Thanks
\family default 
 layouts must be placed 
\emph on 
in between
\emph default 
 the 
\family sans 
Author
\family default 
 layout and the corresponding 
\family sans 
Address
\family default 
 (or equivalent 
\family sans 
Affiliation
\family default 
) layout.
 If you put the 
\family sans 
Thanks
\family default 
 after the 
\family sans 
Address
\family default 
, the LaTeX won't compile.
\layout Subsection

Drawbacks
\layout Standard

The main problem with this layout is that you can't use the optional arguments
 to layouts like Email and Title.
 (The problem is not unique to this layout; in LyX 1.0, you can't use optional
 arguments to the Section layouts.) This means that after you export that
 file to LaTeX (which you'll need to do eventually to send it in to APS),
 you'll need to edit the LaTeX file with a text editor to add the optional
 arguments to set, e.g., the running title for the page headers.
 Lacking these layouts makes the 
\family typewriter 

\backslash 
altaffiliation
\family default 
 (and the equivalent 
\family typewriter 

\backslash 
altaddress
\family default 
) useless, so the corresponding layouts don't exist, and will have to be
 added by hand.
 This drawback will be fixed in LyX 1.2.
 
\layout Chapter

LyX Features Requiring Additional Software
\layout Section

Using LyX with SGML-Tools (aka LinuxDoc)
\layout Standard

by 
\noun on 
Paul Evans
\layout Subsection

Overview
\layout Standard

LinuxDoc is a document class available in LyX.
 You can use it to produce documents in the so-called Standardized General
 Mark-up Language (SGML) in the particular format used by the Linux Documentatio
n Project.
 That is obviously helpful if you are contributing to that project.
 You can use the SGML format with the 
\family typewriter 
sgml-tools
\family default 
 package of scripts and programs (to produce other formats, including Latex,
 HTML, plain text, man pages and\SpecialChar \ldots{}
).
 You may therefore prefer to use this document class if you want to write
 something that can be easily translated into other formats.
\layout Standard

You will find that LinuxDoc has fewer layout options than the other text
 classes in LyX.
 This is mainly so that the translations into other formats have a chance
 of making some sense.
 In this section we describe:
\layout Itemize

how to setup and use a document in LinuxDoc
\layout Itemize

how to use the tags in LinuxDoc to layout your document
\layout Itemize

how to use the SGML packages to produce the various formats
\layout Itemize

how to sort out some problems.
\layout Subsection

Preparing and using a LinuxDoc document
\layout Subsubsection

Getting started
\layout Standard

You start by selecting the LinuxDoc class using the 
\family sans 
Document
\protected_separator 
Layout
\family default 
 popup.

\family sans 
 
\family default 
Then you will find that there are fewer paragraph environments than for
 most other classes.
 You can see them on the pull down box on the left of the tool bar.
 How to use them is described in section
\protected_separator 

\begin_inset LatexCommand \ref{sec:sgmlparas}

\end_inset 

.
\layout Standard

You 
\emph on 
must
\emph default 
 enter a title for the document, followed by an author, marking each with
 the appropriate paragraph environment.
 If you don't do this, you will get errors when you try to print the file.
 You can then enter the date and an abstract.
 The document proper must start with a Section paragraph environment rather
 than any standard layout.
\layout Standard

After that you can prepare a document as usual using the available range
 of paragraph environments.
 See section
\protected_separator 

\begin_inset LatexCommand \ref{sec:sgmlparas}

\end_inset 

 for the full list and their uses.
\layout Subsubsection

Output from LinuxDoc
\layout Standard

You can print and save these documents in the normal way.
 To use the other features of the SGML package you need to save your document
 as LinuxDoc; this is a version in which the document is translated into
 the basic sgml tags.
 Use
\family sans 
 
\bar under 
F
\bar default 
ile\SpecialChar \menuseparator

\bar under 
E
\bar default 
xport\SpecialChar \menuseparator
as
\protected_separator 
LinuxDoc.

\family default 
 You will get a file with the same name and a 
\family typewriter 
.sgml
\family default 
 extension rather than a 
\family typewriter 
.lyx
\family default 
 extension.
 See
\protected_separator 

\begin_inset LatexCommand \ref{sec:sgmloperate}

\end_inset 

 on how you than make use of this file.
\layout Subsection

Using the paragraph environments in LinuxDoc
\layout Subsubsection

The Structure of a LinuxDoc Document
\layout Standard

There is a formal structure for LinuxDoc which limits how you can place
 tags.
 There are two parts to all documents: 
\layout Description

Header: this is everything up to the first time you insert a Section layout
 marker.
 It can include title, author, date, abstract and ToC.
 You must include the first two.
\layout Description

Body: from the beginning of the first section onwards.
 All other tags are allowed.
 
\layout Subsubsection

The LinuxDoc Paragraph Environments
\layout Standard


\begin_inset LatexCommand \label{sec:sgmlparas}

\end_inset 

Here is a list of all the tags you will find listed on the layout bar in
 the order they come there, with some comments where the purpose or use
 is not obvious:
\layout Itemize


\family sans 
Standard:
\family roman 
 works as described in [cross reference]
\layout Itemize


\family sans 
Title
\family default 
: This will appear at the top left of the document when printed, above a
 heavy horizontal rule, although you will not see this on the LyX screen.
\layout Itemize


\family sans 
Section, Subsection, Subsubsection, Paragraph and Subparagraph:
\family default 
 all do what you would expect and in the usual order.
 Whether they are numbered or not is controlled by the 
\family sans 
Section
\protected_separator 
number
\protected_separator 
depth
\family default 
 setting.
 You cannot get the equivalent number free versions in any other way; there
 is no 
\family sans 
Section*
\family default 
 or similar
\layout Itemize


\family sans 
Enumerate:
\family default 
 As usual this produces a numbered and indented list as described in the
 
\emph on 
User's Guide
\emph default 
.
\layout Itemize


\family sans 
Itemize: 
\family roman 
Again much the same as in the other classes: see the 
\emph on 
User's Guide
\emph default 
.
\layout Itemize


\family sans 
Description
\family default 
: As explained in the 
\emph on 
User's Guide
\emph default 
.
 Remember that if you want the bold element at the start of a description
 to be more than one word then you need to put protected spaces between
 the words.
 
\layout Itemize


\family sans 
Verbatim: 
\family default 
As usual.
\layout Itemize


\family sans 
Code: similar to the Lyx-Code
\family roman 
 environment
\layout Itemize


\family sans 
Author
\family default 
: Anything you mark with this will appear on the left of the heading of
 the document, under the heavy rule.
\layout Itemize


\family sans 
Date:
\family default 
 Anything you mark with this will appear on the right of the heading under
 the rule.
 You do not have to make this a date.
 Any text can be entered, e.
\protected_separator 
g.
 a version number.
\layout Itemize


\family sans 
Abstract
\family default 
: You can use this to produce a free standing paragraph after the author
 and date, and before the first section.
 You are only allowed one such paragraph.
\begin_float footnote 
\layout Standard


\emph on 
Author's note.
 
\emph default 
This needs checking ---
\emph on 
pe.
\end_float 
\layout Itemize


\family sans 
Displaymath
\family default 
:
\begin_float footnote 
\layout Standard


\emph on 
Author's note: 
\emph default 
I have not yet checked this ---
\emph on 
pe.
\end_float 
\layout Subsubsection

Other document features
\layout Standard

You can also use the 
\family sans 
Layout 
\family default 
menu to set fonts or to emphasis words.
 You can also use the table of contents as usual; see the corresponding
 section of the 
\emph on 
User's Guide
\emph default 
.
 Although you will find some some other features on the menus e.
\protected_separator 
g.
 inserting footnotes.
 There is some doubt about whether these will work correctly.
\begin_float footnote 
\layout Standard


\emph on 
Author's note: 
\emph default 
Again still checking to see whether this is my system
\emph on 
 ---pe.
\end_float 
\layout Subsubsection

Cross references and HTML 
\layout Standard

On the
\family sans 
 Insert
\family default 
 menu you will find two new options relating to the inclusion of URL addresses.
 If you use either option you will find some highlighted TeX code inserted
 into your document in three separate blocks with spaces available between.
 The blocks will be:
\layout Quote


\family typewriter 

\backslash 
htmlurl{
\family default 
 or 
\family typewriter 

\backslash 
url{
\family roman 

\hfill 
space
\family default 
 
\family typewriter 

\hfill 
}{
\family roman 

\hfill 
space
\hfill 

\family typewriter 
}
\layout Standard

You insert a full HTML tag between the first and second blocks.
 This can be 
\begin_inset LatexCommand \url{http://any.address}

\end_inset 

 or other valid tags such as 
\begin_inset LatexCommand \url{mailto:me@my.address}

\end_inset 


\family typewriter 
.
\family default 
Then y
\family roman 
ou 
\family default 
insert some description between the second and third blocks.
 The differences are:
\layout Itemize


\family sans 
URL:
\family roman 
 both the HTML tag and the description will appear in the document
\layout Itemize


\family sans 
HTML
\protected_separator 
URL: 
\family roman 
only the description appears in the printed version
\layout Subsection

Using the LinuxDoc Sgml scripts
\layout Standard


\begin_inset LatexCommand \label{sec:sgmloperate}

\end_inset 

You can use LinuxDoc as a text class without any additional scripts or programs,
 but there is not much point in doing this.
 All you will get is a document that looks like a 
\emph on 
Linux Documentation Project Howto
\family sans 
\emph default 
.
 
\family default 
To do the document translation you need to get and install the 
\family typewriter 
sgml-tools-1.0.x.tar.gz 
\family default 
(with 
\begin_inset Formula \( x\geq 3 \)
\end_inset 

) package from 
\family roman 
the SGML-Tools WWW Page
\family default 
 at
\layout LyX-Code


\family roman 

\begin_inset LatexCommand \url{http://pobox.com/~cg/sgmltools}

\end_inset 


\family default 
 
\layout Standard

Alternatively, you can go to the 
\family typewriter 
sunsite
\family default 
 archive at
\begin_float footnote 
\layout Standard

Note that, at the time of this writing (01/1998), version 1.0.3 of sgml-tools
 has not yet been made available at 
\family typewriter 
sunsite
\family default 
.
\end_float 
\layout LyX-Code


\family roman 

\begin_inset LatexCommand \url{ftp://sunsite.unc.edu/pub/Linux/utils/text/sgml-tools-1.0.x.tar.gz}

\end_inset 


\layout Standard


\family roman 
The
\family default 
 file 
\family typewriter 
sgml-tools-1.0.x.tar.gz
\family default 
 contains everything that you need to write SGML documents and convert them
 to groff, LaTeX, HTML, GNU info, LyX, and RTF\SpecialChar \@.

\layout Standard

This package was renamed from 
\family typewriter 
linuxdoc-sgml-1.5.tar.gz
\family default 
 in January 1997.
\layout Standard

Follow the instructions in that package on how to install it and how to
 use it.
 All this has to be done outside of LyX, before you can use the 
\family sans 
\bar under 
F
\bar default 
ile\SpecialChar \menuseparator

\bar under 
E
\bar default 
xport\SpecialChar \menuseparator
as
\protected_separator 
LinuxDoc 
\family roman 
option.
\layout Subsection

Troubleshooting LinuxDoc
\layout Standard

When you print or preview a LinuxDoc document some checking is done of the
 tags before LaTeX is run.
 Some errors are trapped here, especially those concerning the structure
 of the document.
 LyX may produce an error message, but not leave an error box in the document
 for you to open.
 You may have to look at the files directly to discover what is wrong.
 Most problems seem to come from the use of options that are not fully available
 in the text class.
\layout Section

Fax Support
\layout Standard

by 
\noun on 
Jürgen Vigna
\layout Subsection

Sending Faxes from within LyX
\layout Standard

First of all we have to mention that you only are able to fax LyX documents
 if you have working fax software installed on your system (e.
\protected_separator 
g.
 HylaFax, efax, mgetty+sendfax, \SpecialChar \ldots{}
).
 LyX works only as a graphical front end for these programs!
\layout Standard

According to what fax software you are using, you have to set some commands
 in the 
\family typewriter 
lyxrc
\family default 
 file to tell LyX how it should be addressed.
 This commands are:
\layout Description


\family typewriter 

\backslash 
fax_command:
\family default 
 This defines the command LyX has to execute in order to send a facsimile.
 The command should be able to process PostScript® files, as it is this
 LyX produces.
 The command string can contain some special tokens: 
\begin_deeper 
\layout Description


\family typewriter 
$$Host:
\family default 
 the string is substituted by the contents of the environment variable FAX_SERVE
R
\layout Description


\family typewriter 
$$Comment:
\family default 
 the string is substituted by the contents of the comment box
\layout Description


\family typewriter 
$$Enterprise:
\family default 
 the string is substituted by the contents of the enterprise field
\layout Description


\family typewriter 
$$Name:
\family default 
 the string is substituted by the contents of the dest.
 name field
\layout Description


\family typewriter 
$$Phone:
\family default 
 the string is substituted by the contents of the fax.
 no.
 field
\layout Description


\family typewriter 
$$FName:
\family default 
 the string is substituted with the filename which should be sent
\end_deeper 
\layout Paragraph

Examples:
\layout Standard

Assume you write a file named 
\emph on 

\begin_inset Quotes eld
\end_inset 


\family typewriter 
\emph default 
newfile.lyx
\family default 

\begin_inset Quotes erd
\end_inset 

 and would like to fax this file directly from within LyX.
 You have the HylaFax-Software installed and your FAX_SERVER environment
 variable is set to 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
faxhost.mydomain
\family default 

\begin_inset Quotes erd
\end_inset 

, and you inserted these values in the 
\family sans 
fax
\family default 
 popup:
\layout List
\labelwidthstring 00.00.0000


\family sans 
Fax.
\protected_separator 
no:
\family default 
 +39-2-444666
\layout List
\labelwidthstring 00.00.0000


\family sans 
Dest.
\protected_separator 
Name:
\family default 
 Someone
\layout List
\labelwidthstring 00.00.0000


\family sans 
Enterprise:
\family default 
 Startrek
\layout List
\labelwidthstring 00.00.0000


\family sans 
Comment:
\family default 
 This comment string
\layout Standard

With this given, this setting
\layout LyX-Code


\backslash 
fax_command 
\begin_inset Quotes eld
\end_inset 

sendfax -n -h '$$Host' -c '$$Comment' 
\layout LyX-Code

-x '$$Enterprise' -d '$$Name'@'$$Phone' '$$FName'
\begin_inset Quotes erd
\end_inset 


\layout Standard

would execute this command:
\layout LyX-Code

sendfax -n -h faxhost.mydomain -c 'This comment string' 
\layout LyX-Code

-x 'Startrek' -d 'Someone'@'+39-2-444666' 
\layout LyX-Code

<tempfile-path>/newfile.ps
\layout Description


\family typewriter 

\backslash 
phone_book:
\family default 
 This is the filename of the phone book you can create with the 
\family sans 
fax
\family default 
 form.
 It defaults to 
\family typewriter 
$HOME/.lyx/phonebook.
\layout Paragraph

Examples:
\layout LyX-Code


\backslash 
phone_book myphonebook
\layout Standard

writes and reads the phone book from the file 
\family typewriter 
$HOME/.lyx/myphonebook
\layout LyX-Code


\backslash 
phone_book /var/lib/phonebook
\layout Standard

writes and reads the phone book from the file 
\family typewriter 
/var/lib/phonebook
\layout Description


\family typewriter 

\backslash 
fax_program:
\family default 
 With this program you can force LyX to call an external program to send
 your facsimiles (e.
\protected_separator 
g.
 tkhylafax), instead of the built-in 
\family sans 
fax
\family default 
 form.
 Only 
\family typewriter 
$$FName
\family default 
 is allowed as special token.
\layout Paragraph

Examples:
\layout LyX-Code


\backslash 
fax_program 
\begin_inset Quotes eld
\end_inset 

tkhylafax '$$Fname' 
\begin_inset Quotes erd
\end_inset 


\layout Standard


\series medium 
Assume the same as above, then this command is executed:
\layout LyX-Code

tkhylafax <tempfile-path>/newfile.ps
\layout Section

Check TeX
\layout Standard

by 
\noun on 
Asger Alstrup
\layout Subsection

Introduction
\layout Standard

Under the 
\family sans 
Edit
\family default 
 menu, you'll find a 
\family sans 
C
\bar under 
h
\bar default 
eck
\protected_separator 
TeX
\family default 
 command.
 This feature requires you to have the 
\family typewriter 
chktex
\family default 
 program installed, and is grayed out if you don't have it.
 You can get it from your nearest CTAN mirror, or over the Web from 
\begin_inset LatexCommand \url{http://www.ifi.uio.no/~jensthi/chktex/}

\end_inset 

.
\layout Standard

The 
\family sans 
ChkTeX
\family default 
 package is a program that was written by 
\noun on 
Jens T.
 Berger Thielemann
\noun default 
 in frustration because some constructs in LaTeX are sometimes non-intuitive,
 and easy to forget.
 The program runs over your LaTeX file and checks the integrity of the file,
 and flags some common errors.
 In other technical words, it is 
\family typewriter 
Lint
\family default 
 for LaTeX.
\layout Standard

Well, what is a syntax checker doing in LyX which is supposed to produce
 correct LaTeX anyways? The answer is simple: Just as 
\family typewriter 
Lint
\family default 
 not only checks the 
\emph on 
syntax
\emph default 
 of C programs, but also does 
\emph on 
semantic
\emph default 
 checks for type-errors, 
\family sans 
ChkTeX
\family default 
 catches some common 
\emph on 
typographic
\emph default 
 errors, in addition to the syntactical ones.
 Specifically, 
\family sans 
ChkTeX
\family default 
 is capable of detecting several common errors, such as
\layout Itemize

Ellipsis detection:
\newline 
Use \SpecialChar \ldots{}
 instead of ...
\layout Itemize

No space in front of/after parenthesis:
\newline 
( wrong spacing )
\layout Itemize

Enforcement of normal space after common abbreviations:
\newline 
e.
 g.
 is too wide spacing.
\layout Itemize

Enforcement of end-of-sentence space when the last sentence ends with a
 capital letter:
\newline 
This is a TEST.
 And this is wrong spacing.
\layout Itemize

Space in front of labels and similar commands:
\newline 
The label should stick right up to the text to avoid falling to a wrong
 page.
 
\begin_inset LatexCommand \label{sec:chktex}

\end_inset 

 
\begin_float footnote 
\layout Standard

This footnote is in danger of falling off to a wrong page
\end_float 
 The label is separated too much.
\layout Itemize

Space in front of references, instead of hard spaces:
\newline 
In you are in bad luck, the text will break right between the referenced
 text and reference number, and that's a pity.
 See section 
\begin_inset LatexCommand \ref{sec:chktex}

\end_inset 

.
\layout Itemize

Use of 
\begin_inset Quotes eld
\end_inset 

x
\begin_inset Quotes erd
\end_inset 

 instead of 
\begin_inset Formula \( \times  \)
\end_inset 

 between numbers:
\newline 
2x2 looks cheap compared to 
\begin_inset Formula \( 2\times 2 \)
\end_inset 

.
\layout Standard

and more \SpecialChar \ldots{}
 It is an invaluable tool when you are 
\begin_inset Quotes eld
\end_inset 

finishing up
\begin_inset Quotes erd
\end_inset 

 your document before printing, and you should run it right after the obligatory
 spelling check, and before you go fine tuning the typesetting.
\layout Subsection

How to use it
\layout Standard

If you have the program installed, usage is as simple as choosing 
\family sans 
\bar under 
E
\bar default 
dit\SpecialChar \menuseparator
C
\bar under 
h
\bar default 
eck
\protected_separator 
TeX
\family default 
.
 This will make LyX generate a LaTeX file of your document, start 
\family sans 
ChkTeX
\family default 
 to check it, and then make LyX insert 
\begin_inset Quotes eld
\end_inset 

error boxes
\begin_inset Quotes erd
\end_inset 

 with the warnings from 
\family sans 
ChkTeX
\family default 
, if there were any.
 The warnings will be placed close to the point of the mistake, and you
 can quickly find them by using the 
\family sans 
\bar under 
E
\bar default 
dit\SpecialChar \menuseparator
Go
\protected_separator 
to
\protected_separator 

\bar under 
E
\bar default 
rror
\family default 
 menu-item, or the shortcut key 
\family sans 
C-g
\family default 
 from the default 
\family typewriter 
cua
\family default 
 bind file.
 Open the error boxes by clicking on them with the mouse, or use the shortcut
 key 
\family sans 
C-i
\family default 
 from 
\family typewriter 
cua
\family default 
 bindings, or the corresponding 
\family sans 
C-o
\family default 
 for the alternate 
\family typewriter 
emacs
\family default 
 bind file.
 Read the warning and correct the mistake, if it is a mistake.
 If you have trouble understanding what the warning is about, you can safely
 ignore it.
 Remember that there is a hidden layer between the document on screen and
 the technical details in invoking 
\family sans 
ChkTeX
\family default 
, and this gap can make some warnings seem arcane or just right down plain
 silly.
\layout Standard

This document is an excellent testing bed for the feature, and it should
 provide quite a few warnings for you to fiddle with.
 Since computers are only so smart, expect most of the warnings to be false
 alarms, though.
\layout Subsection

How to fine tune it
\layout Standard

Sometimes, you'll find that 
\family sans 
ChkTeX
\family default 
 makes more noise than suits your mood.
 Then you can choose not to use it, wait until your mood changes, or try
 to customize 
\family sans 
ChkTeX
\family default 
 to get better along with you.
 Another choice in the most desperate situations is to use 
\family sans 
\bar under 
E
\bar default 
dit\SpecialChar \menuseparator
Floats
\protected_separator 
&
\protected_separator 

\bar under 
I
\bar default 
nsets\SpecialChar \menuseparator

\bar under 
R
\bar default 
emove
\protected_separator 
all
\protected_separator 
error
\protected_separator 
boxes
\family default 
, which will get rid of all warnings instantly.
\layout Standard

Although 
\family sans 
ChkTeX
\family default 
 
\emph on 
is
\emph default 
 very configurable and extensible, you shouldn't expect to solve all problems
 with 
\family sans 
ChkTeX
\family default 
 in LyX this way.
 Since LyX has to generate a somewhat special LaTeX file to be able to match
 the line numbers from the 
\family sans 
ChkTeX
\family default 
 output
\begin_float footnote 
\layout Standard

You can inspect the specific output from 
\family sans 
chktex
\family default 
 by using 
\family sans 
Edit\SpecialChar \menuseparator
View
\protected_separator 
LaTeX
\protected_separator 
Log
\family default 
 right after a 
\family sans 
chktex
\family default 
 run.
\end_float 
 to the internal document structure, some of the warnings will not seen
 to appear correctly.
 There are two things you can do about this:
\layout Itemize

Fine tune the 
\family sans 
ChkTeX
\family default 
 invocation command line in your 
\family typewriter 
lyxrc
\family default 
 file, or the global 
\family sans 
ChkTeX
\family default 
 installation configuration file (usually with the file 
\family typewriter 
/usr/local/share/chktexrc
\family default 
).
 See below to learn what warnings can be enabled and disabled on the command
 line.
 
\layout Itemize

Export your document as a raw LaTeX file using 
\family sans 
\bar under 
F
\bar default 
ile\SpecialChar \menuseparator

\bar under 
E
\bar default 
xport\SpecialChar \menuseparator
as 
\bar under 
L
\bar default 
aTeX
\family default 
 and run 
\family typewriter 
chktex
\family default 
 manually on that.
 Invoked in this way, it can be a hassle to find the corresponding place
 in the document inside LyX, but with a little patience, you should be able
 to do it.
\layout Standard

Here follows the warning messages that can be enabled and disabled using
 the 
\family typewriter 

\backslash 
chktex_command
\family default 
 setting in your 
\family typewriter 
lyxrc
\family default 
 file.
 Use 
\family typewriter 
-n#
\family default 
 to disable a warning, and 
\family typewriter 
-w#
\family default 
 to enable a warning.
 The emphasized entries are disabled by default, because the default is
 "
\family typewriter 
chktex -n1 -n3 -n6 -n9 -n22 -n25 -n30 -n38
\family default 
".
\layout Standard

Notice that you should only use the options that enable and disable warnings,
 because LyX relies on some of the other command line parameters to be set
 in a specific way to have a chance to communicate with 
\family typewriter 
chktex
\family default 
.
\layout Enumerate


\size small 
\emph on 
Command terminated with space.
\layout Enumerate


\size small 
Non-breaking space (
\begin_inset Quotes eld
\end_inset 


\family typewriter 
~
\family default 

\begin_inset Quotes erd
\end_inset 

) should have been used.
\layout Enumerate


\size small 
\emph on 
You should enclose the previous parenthesis with 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
{}
\family default 

\begin_inset Quotes erd
\end_inset 

.
\layout Enumerate


\size small 
Italic correction (
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
/
\family default 

\begin_inset Quotes erd
\end_inset 

) found in non-italic buffer.
\layout Enumerate


\size small 
Italic correction (
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
/
\family default 

\begin_inset Quotes erd
\end_inset 

) found more than once.
\layout Enumerate


\size small 
\emph on 
No italic correction (
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
/
\family default 

\begin_inset Quotes erd
\end_inset 

) found.
\layout Enumerate


\size small 
Accent command 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
cmd
\family default 

\begin_inset Quotes erd
\end_inset 

 needs use of 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
cmd
\family default 

\begin_inset Quotes erd
\end_inset 

.
\layout Enumerate


\size small 
Wrong length of dash may have been used.
\layout Enumerate


\size small 
\emph on 

\begin_inset Quotes eld
\end_inset 


\family typewriter 
%s
\family default 

\begin_inset Quotes erd
\end_inset 

 expected, found 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
%s
\family default 

\begin_inset Quotes erd
\end_inset 

.
\layout Enumerate


\size small 
Solo 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
%s
\family default 

\begin_inset Quotes erd
\end_inset 

 found.
\layout Enumerate


\size small 
You should use 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
%s
\family default 

\begin_inset Quotes erd
\end_inset 

 to achieve an ellipsis.
\layout Enumerate


\size small 
Inter-word spacing (
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
 
\family default 

\begin_inset Quotes eld
\end_inset 

) should perhaps be used.
\layout Enumerate


\size small 
Inter-sentence spacing (
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
@
\family default 

\begin_inset Quotes erd
\end_inset 

) should perhaps be used.
\layout Enumerate


\size small 
Could not find argument for command.
\layout Enumerate


\size small 
No match found for 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
%s
\family default 

\begin_inset Quotes erd
\end_inset 

.
\layout Enumerate


\size small 
Math mode still on at end of LaTeX file.
\layout Enumerate


\size small 
Number of 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
char
\family default 

\begin_inset Quotes erd
\end_inset 

 doesn't match the number of 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
char
\family default 

\begin_inset Quotes erd
\end_inset 

.
\layout Enumerate


\size small 
You should use either 
\family typewriter 

\begin_inset Quotes eld
\end_inset 


\family default 
 or 
\family typewriter 

\begin_inset Quotes erd
\end_inset 


\family default 
 as an alternative to 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
"
\family default 

\begin_inset Quotes erd
\end_inset 

.
\layout Enumerate


\size small 
You should use "
\family typewriter 
'
\family default 
" (ASCII 39) instead of "
\family typewriter 
´
\family default 
" (ASCII 180).
\layout Enumerate


\size small 
User-specified pattern found.
\layout Enumerate


\size small 
This command might not be intended.
\layout Enumerate


\size small 
\emph on 
Comment displayed.
\layout Enumerate


\size small 
Either 
\family typewriter 
''
\backslash 
,'
\family default 
 or 
\family typewriter 
'
\backslash 
,''
\family default 
 will look better.
\layout Enumerate


\size small 
Delete this space to maintain correct page references.
\layout Enumerate


\size small 
\emph on 
You might wish to put this between a pair of 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
{}
\family default 

\begin_inset Quotes erd
\end_inset 

.
\layout Enumerate


\size small 
You ought to remove spaces in front of punctuation.
\layout Enumerate


\size small 
Could not execute LaTeX command.
\layout Enumerate


\size small 
Don't use 
\family typewriter 

\backslash 
/
\family default 
 in front of small punctuation.
\layout Enumerate


\family typewriter 
\size small 
$
\backslash 
times$
\family default 
 may look prettier here.
\layout Enumerate


\size small 
\emph on 
Multiple spaces detected in output.
\layout Enumerate


\size small 
This text may be ignored.
\layout Enumerate


\size small 
Use 
\family typewriter 

\begin_inset Quotes eld
\end_inset 


\family default 
 to begin quotation, not 
\family typewriter 
'
\family default 
.
\layout Enumerate


\size small 
Use 
\family typewriter 
'
\family default 
 to end quotation, not 
\family typewriter 

\begin_inset Quotes eld
\end_inset 


\family default 
.
\layout Enumerate


\size small 
Don't mix quotes.
\layout Enumerate


\size small 
You should perhaps use 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
cmd
\family default 

\begin_inset Quotes erd
\end_inset 

 instead.
\layout Enumerate


\size small 
You should put a space in front of/after parenthesis.
\layout Enumerate


\size small 
You should avoid spaces in front of/after parenthesis.
\layout Enumerate


\size small 
\emph on 
You should not use punctuation in front of/after quotes.
\layout Enumerate


\size small 
Double space found.
\layout Enumerate


\size small 
You should put punctuation outside inner/inside display math mode.
\layout Enumerate


\size small 
You ought to not use primitive TeX in LaTeX code.
\layout Enumerate


\size small 
You should remove spaces in front of 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
%s
\family default 

\begin_inset Quotes erd
\end_inset 


\layout Enumerate


\size small 

\begin_inset Quotes eld
\end_inset 


\family typewriter 
%s
\family default 

\begin_inset Quotes erd
\end_inset 

 is normally not followed by 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
%c
\family default 

\begin_inset Quotes erd
\end_inset 

.
\layout Standard

In later versions of LyX, we hope to provide a more complete interface to
 this tool (and it's smaller cousin 
\family typewriter 
lacheck
\family default 
) to exploit the full power of it.
 But it's not exactly useless as it is now: go try it on one of your existing
 documents of a certain length and be surprised.
\layout Section

Version Control in LyX
\layout Standard

by
\noun on 
 Lars Gullik Bjønnes
\layout Subsection

Introduction
\layout Standard

A friend of mine wanted to try LyX for a group project.
 When he didn't find support for version control or file locking, he dropped
 it.
 This angered me a bit, so I thought that I should at least make support
 for RCS (with the possibility of CVS and/or SCCS as a future improvement.)
 This has now been done.
 LyX now supports some of the most basic RCS commands.
 If you need to something a bit more sophisticated you will have to do that
 manually in an xterm.
\layout Standard

Before you begin to use the version control features in LyX, you should
 read 
\begin_inset Quotes eld
\end_inset 

rcsintro
\begin_inset Quotes erd
\end_inset 

 (a man file, read it with 
\family typewriter 
man rcsintro
\family default 
.) This file describes all the basic features of RCS.
 You should especially notice the comment about a RCS directory, and the
 notion of a master RCS file (the file ending in ,v.)
\layout Standard

The implementation in LyX assumes a recent version of the GNU RCS package---no
 guarantees are made for older versions.
\layout Subsection

RCS commands in LyX
\layout Standard

The following sections describe the RCS commands supported by LyX.
 You can find them in the 
\family sans 
\bar under 
E
\bar default 
dit\SpecialChar \menuseparator

\bar under 
V
\bar default 
ersion
\protected_separator 
Control
\family default 
 submenu.
\layout Subsubsection


\family sans 
Register
\layout Standard

If your document is not under revision control, this is the only item shown
 in the menu.
 And if it is under revision control, the 
\family sans 
Register
\family default 
 item is grayed out.
 
\layout Standard

This command registers your document with RCS.
 You are asked interactively to supply an initial description of the document.
 The document is now set in Read-Only mode and you have to 
\family sans 
Check
\protected_separator 
Out
\protected_separator 
For
\protected_separator 
Edit
\family default 
, before making any changes to it.
 A document under revision control has a 
\begin_inset Quotes eld
\end_inset 

[RCS:<version> <locker>]
\begin_inset Quotes erd
\end_inset 

 item tagged to the filename in the minibuffer.
\layout Standard

RCS command that is run: 
\family typewriter 
ci -q -u -i -t-"<initial description>" <file-name>
\layout Standard

Read 
\family typewriter 
man ci
\family default 
 to understand the switches.
 
\layout Subsubsection


\family sans 
Check In Changes
\layout Standard

When you are finished editing a file, you check in your changes.
 When you do this, you are asked for a description of the changes.
 This is stored in the history log.
 The version number is bumped, your changes are applied to the master RCS
 file, the document is unlocked and set to Read-Only mode.
 
\layout Standard

RCS command: 
\family typewriter 
ci -q -u -m"<description>" <file-name>
\layout Subsubsection


\family sans 
Check Out For Edit
\layout Standard

By doing this you lock the document so that only you can edit it.
 This will also make the document Read-Write only for you.
 You will usually continue editing for a while and when you are finished
 you check in your changes.
 The status line is changed to reflect that you have locked the file.
 
\layout Standard

RCS command: 
\family typewriter 
co -q -l <file-name>
\layout Subsubsection


\family sans 
Revert To Last Version
\layout Standard

This will discard all changes made to the document since the last check
 in.
 You get a warning before changes are discarded.
\layout Standard

RCS command: 
\family typewriter 
co -f -u<version> <file-name>
\layout Subsubsection


\family sans 
Undo Last Checkin
\layout Standard

This makes as if the last check in never happened.
 No changes are made to the document loaded into LyX, but the last version
 is removed from the master RCS file.
 
\layout Standard

RCS command: 
\family typewriter 
rcs -o<version> <file-name>
\layout Subsubsection


\family sans 
Show History
\layout Standard

This show the complete history of the RCS document.
 The output of 
\family typewriter 
rlog <file-name>
\family default 
 is shown in a browser.
 See 
\family typewriter 
man rlog
\family default 
 for more info.
\layout Section

Literate Programming
\layout Standard

By 
\noun on 
Edmar Wienskoski Jr.

\noun default 
 (edmar-w-jr@technologist.com)
\layout Subsection

Introduction
\layout Standard

The main purpose of this documentation is to show you how to use LyX for
 literate programming.
 Where it is assumed that you are familiar with this programming technique,
 and know what 
\begin_inset Quotes eld
\end_inset 

tangling
\begin_inset Quotes erd
\end_inset 

 and 
\begin_inset Quotes eld
\end_inset 

weaving
\begin_inset Quotes erd
\end_inset 

 means.
 If that is not the case, please follow the web links provided in the following
 sections.
 There is a lot of good documentation out there covering old development
 history to the latest tools tips.
\layout Standard

It is also assumed that you are familiar with LyX itself to a point that
 you are comfortable changing your 
\family typewriter 
lyxrc
\family default 
 file, and X resources file.
 If that is not the case please refer to other LyX documentation to cover
 your specific needs.
\layout Subsection

Literate Programming
\layout Standard

From the Literate Programming FAQ : 
\layout Quotation

Literate programming is the combination of documentation and source together
 in a fashion suited for reading by human beings.
 In fact, literate programs should be enjoyable reading, even inviting!
 (Sorry Bob, I couldn't resist!) In general, literate programs combine source
 and documentation in a single file.
 Literate programming tools then parse the file to produce either readable
 documentation or compilable source.
 The WEB style of literate programming was created by D.E.
 Knuth during the development of his TeX typesetting software.
 
\layout Standard

Another excerpt says:
\layout Quotation


\emph on 
How is literate programming different from verbose commenting?
\layout Quotation

There are three distinguishing characteristics.
 In order of importance, they are: 
\begin_deeper 
\layout Itemize

flexible order of elaboration 
\layout Itemize

automatic support for browsing 
\layout Itemize

typeset documentation, especially diagrams and mathematics 
\end_deeper 
\layout Standard

Now that I sparked your curiosity, take a look in the references.
\layout Subsubsection

References
\layout Standard

The complete Literate Programming FAQ can be found at:
\layout Quote

http://shelob.ce.ttu.edu/daves/faq.html
\layout Standard

The FAQ lists 23 (twenty three !) different literate programming tools.
 Where some are specialized or 
\begin_inset Quotes eld
\end_inset 

tailored
\begin_inset Quotes erd
\end_inset 

 for particular programming languages, while other have general scope.
 I selected 
\noun on 
Noweb
\noun default 
 for my own use for several reasons:
\layout Itemize

It can generate the documentation either in latex or html.
\layout Itemize

It has a open architecture, i.e., it is easy to plug in new filters and to
 perform special processing that you may need.
 
\layout Itemize

There is a good selection of filters available already (the html is one
 of them).
\layout Itemize

It is free.
\layout Standard

The Noweb web page can be found at: 
\layout Quote

http://www.cs.virginia.edu/~nr/noweb
\layout Standard

Starting from there you can reach many other interesting links and even
 some literate program examples.
\layout Subsection

LyX and Literate Programming
\layout Standard

Some changes to LyX were required to enable it to interact with Noweb.
 Those changes were rather simple, and were done in a 
\begin_inset Quotes eld
\end_inset 

Noweb independent
\begin_inset Quotes erd
\end_inset 

 way, i.e., I expect that you will be able to use this new LyX feature with
 some other literate programming tool of your choice by just re-configuring
 your lyxrc file.
\layout Subsubsection

Generating documents and code (weaving and tangling)
\layout Paragraph

Selecting the document class
\layout Standard

If you have installed Noweb and LyX successfully, whenever you open a new
 document or try to change the document class of an existing one, you will
 find that there are three new document classes available:
\layout Itemize

Article (Noweb)
\layout Itemize

Book (Noweb)
\layout Itemize

Report (Noweb)
\layout Standard

You must select one of them to create your literate documents from.
 
\layout Standard

Note that literate documents are not limited to these three classes.
 New classes can be generated from other styles like letter or in combination
 with other class variations like Article (AMS).
 I have limited the choice to these three because I didn't want to clog
 the list of options with all possible variations.
 If you have special needs that cannot be covered by one of the existing
 classes, let me know and I will arrange to insert a new entry, or teach
 you how to do it.
\begin_float footnote 
\layout Standard

It is very simple, it involves the creation of a file with four lines, and
 re-running of the auto configuration.
\end_float 
 Moreover, if you use a literate tool other than Noweb you may need to create
 a new set of document classes for it.
\layout Paragraph

Typing code in
\layout Standard

LyX enables you to write code with a layout named 
\noun on 
Scrap
\noun default 
.
\begin_float footnote 
\layout Standard

The equivalent Noweb term is 
\begin_inset Quotes eld
\end_inset 

Chunk
\begin_inset Quotes erd
\end_inset 

.
 For historical reasons, I got used to the term 
\begin_inset Quotes eld
\end_inset 

scrap
\begin_inset Quotes erd
\end_inset 

 introduced by other literate tool named Nuweb, which I used for many years
 before rendering myself to Noweb.
\end_float 
 Noweb delimits scraps like this
\layout LyX-Code

<<My scrap>>=
\layout LyX-Code


\protected_separator 
 code
\layout LyX-Code


\protected_separator 
 more code
\layout LyX-Code


\protected_separator 
 even more code
\layout LyX-Code


\protected_separator 
 @
\layout Standard

The problem is that whatever is written in between the << and the 
\family typewriter 
@
\family default 
 must be taken literally, i.e., LyX should be prevented from making any special
 interpretation of what has been written.
 For that reason, I defined a new layout named Scrap, that works like a
 LaTeX paragraph but has a free spacing capability.
 In other words, it is a combination of the LaTeX and the LyX-Code layouts.
 
\layout Standard

The down side of this 
\begin_inset Quotes eld
\end_inset 

semi-hack
\begin_inset Quotes erd
\end_inset 

 is that consecutive paragraphs of code will be spaced with one empty line
 in the source code and also in the printed documentation.
 Of course I don't want this.
 The work around is to enter each line of code within a single Scrap, with
 a newline (ctrl-return).
 The example above will look like this:
\begin_float footnote 
\layout Standard

If you have a printed version of this document you will not see any difference
 between the previous example and this one.
\end_float 
\layout LyX-Code

<<My scrap>>=
\newline 

\protected_separator 
 code
\newline 

\protected_separator 
 more code
\newline 

\protected_separator 
 even more code
\newline 

\protected_separator 
 @
\layout Standard

This layout works fine.
 The only real inconvenience is that you have to type ctrl-return instead
 of a plain return.
\begin_float footnote 
\layout Standard

It is in my list of 
\begin_inset Quotes eld
\end_inset 

improvements
\begin_inset Quotes erd
\end_inset 

 to fix that.
\end_float 
 If you want to preserve the code's indentation, you will have to type ctrl-spac
e to enter a blank character.
 I believe these problems are a small price to pay for the benefits LyX
 brings to you for typing, compiling, and debugging your literate program.
 
\layout Paragraph

Generating the documentation
\layout Standard

At this point you already have a new document file with a proper document
 class, and with some code and text on it.
 How do I print it ? The answer is simple, you select 
\begin_inset Quotes eld
\end_inset 

Update dvi
\begin_inset Quotes erd
\end_inset 

 or 
\begin_inset Quotes eld
\end_inset 

Update PostScript
\begin_inset Quotes erd
\end_inset 

 or 
\begin_inset Quotes eld
\end_inset 

View dvi
\begin_inset Quotes erd
\end_inset 

, etc.
 Just like you would do for a plain document.
 No special procedure is required.
\layout Standard

To help orientate you, I will now explain what happens inside LyX:
\layout Enumerate

When the "Update dvi" menu option is chosen, a latex file is generated.
 
\begin_deeper 
\layout Standard

If the document is of any literate class the generated file will be named
 with an extension name defined by 
\family typewriter 

\backslash 
literate_extension
\family default 
, otherwise the file will have the usual 
\family typewriter 
.tex 
\family default 
extension.
\end_deeper 
\layout Enumerate

Note that the only difference so far is in the name of the file, no special
 processing is required by LyX.
 Given that you formatted the code using the Scrap layout that, by itself,
 takes care of the business.
\layout Enumerate

If the document is of any literate class LyX will execute: 
\begin_deeper 
\layout LyX-Code


\begin_inset Quotes eld
\end_inset 


\backslash 
literate_command
\begin_inset Quotes erd
\end_inset 

 < 
\emph on 
filename
\emph default 
 >
\emph on 
 filename
\emph default 
.out
\layout LyX-Code


\begin_inset Quotes eld
\end_inset 


\backslash 
literate_error_filter
\begin_inset Quotes erd
\end_inset 

 < 
\emph on 
filename
\emph default 
.out > 
\emph on 
filename
\emph default 
.log
\layout Standard

Otherwise it will just skip this step.
\end_deeper 
\layout Enumerate

Finally, LaTeX is invoked and the regular post processing continues as in
 a plain document.
\layout Standard

The purpose of the 
\family typewriter 

\backslash 
literate_command 
\family default 
is to transform the newly created 
\family typewriter 
.nw 
\family default 
file into a 
\family typewriter 
.tex
\family default 
 file.
\layout Standard

The purpose of the
\family typewriter 
 
\backslash 
literate_error_filter
\family default 
 command is to help LyX display error boxes when the 
\family typewriter 

\backslash 
literate_command
\family default 
 reports any errors.
 This filter can be a C program, a script, or any thing you want.
 Its job is to identify error messages from your literate tool, in our case
 Noweb, and convert them to a common format that LyX understands.
 A separate document, 
\family typewriter 
Literate.lyx
\family default 
, in the examples directory (accessed with the 
\family sans 
Examples
\family default 
 button in the file popup), has a literate C program that can be used to
 parse Noweb error messages.
 This scheme introduces one more command for the user to configure, but
 has the advantage of 
\begin_inset Quotes eld
\end_inset 

literate tool
\begin_inset Quotes erd
\end_inset 

 independence.
 Moreover, if you don't bother to set it, you can still use the system,
 you just loose the ability to have a nice display and interaction with
 the error messages.
\layout Paragraph

Generating the code
\layout Standard

When the "Build Program" File menu option is chosen or the corresponding
 button in the toolbar is pressed, a latex file with extension 
\family typewriter 

\backslash 
literate_extension
\family default 
 is generated just like step 1 above.
 Then LyX invokes 
\family typewriter 

\backslash 
build_command
\family default 
 to generate the code and 
\family typewriter 

\backslash 
build_error_filter
\family default 
 to process the compilation error messages, as in step 3 above.
 
\layout Standard

Note that no special processing is required from LyX.
 
\layout Standard

Also note that I am assuming that you are familiar with Noweb.
 In this case you will know what to do to get an executable file starting
 from a noweb file (
\family typewriter 
.nw
\family default 
 extension).
 It is likely that you will create a makefile for that purpose.
 For that reason, after LyX creates the noweb file, it invokes the command
 defined by 
\family typewriter 

\backslash 
build_program
\family default 
, with a default of 
\begin_inset Quotes eld
\end_inset 

make
\begin_inset Quotes erd
\end_inset 

.
 In case you want to process your literate file with a script, or some other
 program, just insert in your lyxrc file an entry with:
\layout LyX-Code


\backslash 
build_command 
\begin_inset Quotes eld
\end_inset 

my_script my_arguments
\begin_inset Quotes erd
\end_inset 


\layout Standard

The 
\family typewriter 

\backslash 
build_error_filter
\family default 
 differs from the 
\family typewriter 

\backslash 
literate_error_filter
\family default 
 only in that the former will identify error messages from your compiler.
 The same example program mentioned before can also parse gcc, or xlc error
 messages.
 If you have a different compiler you may want to change this program or
 create a new one.
 Again, the same comments from the previous section are valid here: this
 is optional, you can skip it if you can afford to loose the LyX error handling
 feature.
\layout Standard

In summary, the "Build Program" internal function sequence is pretty much
 like the "Update dvi" one but involving different commands.
 See schematic:
\layout LyX-Code

"Update dvi" 
\protected_separator 

\protected_separator 
 -> generate .tex 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
-> invoke -> show latex errors
\layout LyX-Code

on plain doc 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 file
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\backslash 
latex 
\layout LyX-Code


\protected_separator 

\protected_separator 

\layout LyX-Code

"Update dvi" 
\protected_separator 

\protected_separator 

\protected_separator 
-> generate same -> invoke 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
-> invoke -> show latex errors
\layout LyX-Code

on literate doc 
\protected_separator 
 
\protected_separator 
file with .nw 
\protected_separator 

\protected_separator 
 
\backslash 
literate_command 
\backslash 
 
\protected_separator 

\backslash 
latex 
\layout LyX-Code


\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 

\protected_separator 
 extension 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\backslash 
_______ -> show literate errors
\layout LyX-Code


\protected_separator 

\protected_separator 

\layout LyX-Code

"Build Program"
\protected_separator 
-> generate same -> invoke 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
-> show compilation error
\layout LyX-Code

on literate doc
\protected_separator 
 
\protected_separator 
 file with .nw 
\protected_separator 
 
\protected_separator 

\backslash 
build_command 
\layout LyX-Code


\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 

\protected_separator 
 
\protected_separator 
 extension 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
 
\protected_separator 
( make )
\layout Subsubsection

Configuring LyX
\layout Standard

There are five new controls that you can put in your lyxrc file:
\layout Description


\family typewriter 

\backslash 
literate_command
\family default 
 specifies which literate tool you are going to use.
 During normal LyX configuration, the auto configuration script will try
 to find the noweb package for you.
 If the search is successful, the default value for this control is set
 to:
\begin_deeper 
\layout LyX-Code

noweave -delay -index
\layout Standard

Otherwise the default value is set to 
\begin_inset Quotes eld
\end_inset 

none
\begin_inset Quotes erd
\end_inset 

.
\end_deeper 
\layout Description


\family typewriter 

\backslash 
literate_extension
\family default 
 specifies the filename extension to be used for literate documents.
 Some literate tools requires specific file extension names.
 The default is set during configuration as either 
\begin_inset Quotes eld
\end_inset 

.nw
\begin_inset Quotes erd
\end_inset 

 or 
\begin_inset Quotes eld
\end_inset 

none
\begin_inset Quotes erd
\end_inset 

, depending on whether the auto configuration found the noweb package or
 not.
\layout Description


\family typewriter 

\backslash 
build_command
\family default 
 defaults to 
\begin_inset Quotes eld
\end_inset 

make
\begin_inset Quotes erd
\end_inset 

.
 You need to create a makefile to do the tangling, compilation, etc.
 
\begin_deeper 
\layout Standard

Another way is to maintain the makefile or building script itself as part
 of the document.
 That way every project can be compiled with the same command line:
\layout LyX-Code

notangle -Rbuild-script 
\emph on 
filename
\emph default 
.nw | sh
\layout Standard

To use this scheme, create a script named 
\family typewriter 
project-build
\family default 
 that executes the command above:
\layout LyX-Code

#!/bin/sh
\layout LyX-Code

notangle -Rbuild-script $1 | sh
\layout Standard

Finally set LyX to execute the 
\family typewriter 
project-build
\family default 
 script:
\layout LyX-Code


\backslash 
build_command project-build
\layout Standard

Every time you start a new project, define a scrap with name 
\family typewriter 
build-script
\family default 
 that will do the compilation for that project.
 Whenever you select 
\begin_inset Quotes eld
\end_inset 

Build Program
\begin_inset Quotes erd
\end_inset 

, LyX will extract that scrap (
\family typewriter 
notangle -Rbuild-script...
\family default 
) and execute it (
\family typewriter 
...|sh
\family default 
).
\end_deeper 
\layout Description


\family typewriter 

\backslash 
literate_error_filter
\family default 
 defaults to 
\begin_inset Quotes eld
\end_inset 

cat
\begin_inset Quotes erd
\end_inset 

.
 If you compile the program given in 
\family typewriter 
Literate_example.lyx
\family default 
, you can set:
\begin_deeper 
\layout LyX-Code


\backslash 
literate_error_filter 
\begin_inset Quotes eld
\end_inset 

listerrors n
\begin_inset Quotes erd
\end_inset 


\layout Standard

to process Noweb(noweave) error messages
\end_deeper 
\layout Description


\family typewriter 

\backslash 
build_error_filter
\family default 
 defaults to 
\begin_inset Quotes eld
\end_inset 

cat
\begin_inset Quotes erd
\end_inset 

.
 If you compile the program given in 
\family typewriter 
Literate_example.lyx
\family default 
, you can set: 
\begin_deeper 
\layout LyX-Code


\backslash 
build_error_filter 
\begin_inset Quotes eld
\end_inset 

listerrors b
\begin_inset Quotes erd
\end_inset 


\layout Standard

to process both Noweb(notangle) error messages and gcc error messages.
\end_deeper 
\layout Subsubsection

Debug extensions
\layout Standard

There is also a new function implemented in the LyX server, the 
\begin_inset Quotes eld
\end_inset 

server-goto-file-row" function, to be used with ddd/gdb or other debugger.
 
\layout Standard

When debugging code with ddd/gdb, it is possible to invoke a text editor
 at the current execution position with a single key stroke.
 The default ddd configuration for that is shift-ctrl-V.
 It happens that you can define the editor command line invocation in ddd
 by accessing the edit\SpecialChar \menuseparator
preferences\SpecialChar \menuseparator
helpers window and changing the "Edit Sources"
 entry.
\layout Standard

I take advantage of the new created LyX server function and this ddd feature,
 and set 
\begin_inset Quotes eld
\end_inset 

Edit Sources
\begin_inset Quotes erd
\end_inset 

 to:
\layout Quote

echo "LYXCMD:monitor:server-goto-file-row:@FILE@ @LINE@" >~/.lyxpipe.in
\layout Standard

With this, whenever you are using ddd and find a point in the program that
 you want to edit, you just press shift-ctrl-V (in the ddd window), and
 ddd you forward this information to LyX through the LyX server and then
 the LyX window will show the same file with the cursor at the same position
 ddd was pointing to.
 No more guessing or long scrolling to locate a point in the program back
 from debugging !
\layout Standard

Note however that you must enable the LyX server to get this feature working
 (it is disabled by default).
 To enable it, insert in your lyxrc file:
\layout Quote


\backslash 
serverpipe "/home/<your home directory>/.lyxpipe"
\layout Standard

Read the LyX server documentation for further information.
\layout Subsubsection

Toolbar extensions
\layout Standard

I created six new buttons that can be added to your LyX toolbar.
 Five of these buttons are short cuts to layout styles: Standard, Section,
 LaTeX, LyX-Code, and Scrap.
 I created those because they are the ones I use most and I was tired of
 scrolling the layout menu looking for the one I wanted.
 The last one is a short cut to the 
\begin_inset Quotes eld
\end_inset 

Build Program
\begin_inset Quotes erd
\end_inset 

 File menu entry.
 
\layout Standard

LyX has a range of buttons that are available for tool bar customization.
 In my toolbar I like to combine the six short cuts above with two more:
 One for 
\begin_inset Quotes eld
\end_inset 

Update dvi
\begin_inset Quotes erd
\end_inset 

 and the other for 
\begin_inset Quotes eld
\end_inset 

View dvi
\begin_inset Quotes erd
\end_inset 

 File menu entries.
 Here is how it looks like:
\layout LyX-Code


\backslash 
begin_toolbar
\layout LyX-Code


\backslash 
layouts
\layout LyX-Code


\backslash 
add layout Standard
\layout LyX-Code


\backslash 
add layout Section
\layout LyX-Code


\backslash 
add layout LaTeX
\layout LyX-Code


\backslash 
add layout LyX-Code
\layout LyX-Code


\backslash 
add layout Scrap
\layout LyX-Code


\backslash 
separator
\layout LyX-Code


\backslash 
add buffer-view
\layout LyX-Code


\backslash 
add buffer-typeset
\layout LyX-Code


\backslash 
add build-program
\layout LyX-Code


\backslash 
separator
\layout LyX-Code

.
\layout LyX-Code

.
\layout LyX-Code

.
\layout LyX-Code


\backslash 
end_toolbar
\layout Subsubsection

Colors customization
\layout Standard

There are a number of colors in LyX that can be customized.
 For each one there are two ways to do it: either by inserting a line in
 your X resource files, or by adding a flag in the LyX command line.
\layout Standard

One of the things that bothers people is the LaTeX font color.
 The default color is red, since the scraps uses LaTeX font, and there is
 a lot of scraps in literate documents, you may get tired of seeing everything
 in red.
 Example:
\layout Itemize

In the X resource file:
\begin_deeper 
\layout Quote

lyx*LatexColor: gold
\end_deeper 
\layout Itemize

In the command line:
\begin_deeper 
\layout Quote

lyx -LatexColor gold
\end_deeper 
\layout Standard

The next thing is the visible presence of the newline character in the screen.
 You can choose the color of this particular character and make it blend
 in the background.
 I recommend you choosing a color that is close to the background but not
 equal, that way you still can see it is there, but it is not bothering
 you anymore.
 Example:
\layout Itemize

In the X resource file:
\begin_deeper 
\layout Quote

lyx*BackgroundColor: gray20
\layout Quote

lyx*NewLineColor: gray35 
\end_deeper 
\layout Itemize

In the command line:
\begin_deeper 
\layout Quote

lyx -BackgroundColor gray20 -NewLineColor gray35 
\end_deeper 
\layout Standard

If you don't like a bright clear background burning your eyes all day long,
 you can reverse background and foreground colors with this:
\layout Itemize

In the X resource file:
\begin_deeper 
\layout Quote

lyx*Reverse: 1
\end_deeper 
\layout Itemize

In the command line:
\begin_deeper 
\layout Quote

lyx -Reverse 1
\end_deeper 
\layout Standard

The problem with all those color alterations is that you may need to change
 other colors as well to ensure that math, inset, etc, are 
\begin_inset Quotes eld
\end_inset 

normal
\begin_inset Quotes erd
\end_inset 

 with respect to the rest.
 The following is the selection I use in my own X resource file.
 It is just a suggestion.
 I encourage you to try to find the color set that work best for you.
\layout LyX-Code

lyx*Reverse:
\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 
 1
\layout LyX-Code

lyx*MathColor:
\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 
 green
\layout LyX-Code

lyx*LatexColor:
\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 
 gold
\layout LyX-Code

lyx*OnOffLineColor:
\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 
 magenta
\layout LyX-Code

lyx*InsetColor:
\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 
 yellow
\layout LyX-Code

lyx*LightedColor:
\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 
 gray50
\layout LyX-Code

lyx*NewLineColor:
\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 

\protected_separator 
 gray35
\layout LyX-Code

lyx*BackgroundColor:
\protected_separator 

\protected_separator 

\protected_separator 
 gray20
\layout Chapter

Secrets of the LaTeX Masters
\layout Standard

Though LyX is a powerful tool, it cannot hope to support everything that
 can be done with pure TeX/LaTeX.
 However, many familiar dirty TeX and LaTeX tricks can be done within LyX,
 as long as you are not afraid to use that 
\begin_inset Quotes eld
\end_inset 

TeX
\begin_inset Quotes erd
\end_inset 

 button on the toolbar or add things to the LaTeX preamble (under 
\bar under 
L
\family sans 
\bar default 
ayout\SpecialChar \menuseparator

\family default 
\bar under 
L
\family sans 
\bar default 
aTeX
\protected_separator 
Preamble
\family default 
).
 This section lists some tips, tricks, and otherwise cool ideas to give
 your document that extra little flair.
 
\emph on 
Do try this at home
\emph default 
, just start with something a little smaller and less important than your
 dissertation!
\layout Standard

Most ideas in this section require less common files in your LaTeX installation.
 If you have a system like teTeX, most will already be available.
 A few, however, will need to be downloaded from one of the CTAN archives.
 Often, there are several ways to do something, or several LaTeX style files
 which do the same thing.
 We do not endorse one choice over another, we simply claim that we have
 done a particular task with a particular file.
 Put on your wizard hat, keep an eye out for dragons, and let us begin.
\layout Section

Tricks for Footnotes and Margin Notes
\layout Standard

suggested by 
\noun on 
Robin Socha
\layout Subsection

Footnotes 
\layout Standard

LyX cannot yet take care of setting the footnote numbering back to 1 after
 each section in the 
\begin_inset Quotes eld
\end_inset 


\family sans 
article
\family default 

\begin_inset Quotes erd
\end_inset 


\family roman 
 document class or changing the counter style.
 You'll need to insert LaTeX commands like the following to achieve that:
\layout Standard


\latex latex 

\backslash 
setcounter{footnote}{0}
\latex no_latex 
 Using 
\family typewriter 

\backslash 
setcounter{footnote}{0}
\family roman 
 will set the counter back to 1
\begin_float footnote 
\layout Standard

The counter has been set back to 1.
\end_float 
.
\layout Standard

The following command will change the numbering to small letters.
 Take a look at the next footnote in your xdvi or ghostview 
\latex latex 

\backslash 
renewcommand{
\backslash 
thefootnote}{
\backslash 
alph{footnote}}
\latex default 
:
\begin_float footnote 
\layout Standard

This is an example for a footnote with alphabetic numbering.
\newline 
Use
\family typewriter 
 
\backslash 
renewcommand{
\backslash 
thefootnote {
\backslash 
alph{footnote}} 
\family roman 
to get this.
\end_float 
\layout Standard

The next command sets the counter style back to default, i.e.
 
\family typewriter 

\backslash 
arabic
\family default 
\latex latex 

\backslash 
renewcommand {
\backslash 
thefootnote} {
\backslash 
arabic{footnote}}
\begin_float footnote 
\layout Standard

Use
\family typewriter 
 
\backslash 
renewcommand{
\backslash 
thefootnote}{
\backslash 
arabic{footnote}}
\family roman 
 to set the counter--style back to LyX's default, i.e.
 
\backslash 
arabic.
\end_float 
.
\layout Standard

You can use 
\family typewriter 

\backslash 
arabic
\family default 
, 
\family typewriter 

\backslash 
roman
\family default 
, 
\family typewriter 

\backslash 
Roman
\family default 
, 
\family typewriter 

\backslash 
alph
\family default 
 or 
\family typewriter 

\backslash 
Alph
\family default 
 and others as counter styles.
 Just replace the LaTeX command in the above example and rerun TeX to see
 what those styles can do.
 
\layout Subsection

Margin Notes
\layout Standard

Here are two examples of neat things you can do to margin notes using LaTeX
 commands.
\layout Standard

The following command will make a vertical line appear alongside your text-
\latex no_latex 
--great for 
\latex default 

\begin_inset Quotes eld
\end_inset 

thumbing
\begin_inset Quotes erd
\end_inset 

: 
\family typewriter 

\backslash 
marginpar{
\backslash 
rule[-10mm]{30mm}{5mm}}
\family roman 
.
\family default 
\latex latex 

\backslash 
marginpar{
\backslash 
rule[-10mm]{30mm}{5mm}}
\layout Standard

Check your dvi- or ghostview--output to see what the following command does.
 
\layout Standard


\latex latex 

\backslash 
reversemarginpar
\latex default 
 Right, it lets you insert a margin note on the 
\begin_inset Quotes eld
\end_inset 

wrong
\begin_inset Quotes erd
\end_inset 

 side of a two sided document.
\begin_float margin 
\layout Standard


\backslash 
reverse
\latex latex 

\backslash 
-
\latex default 
marginpar
\latex latex 
 
\end_float 
\layout Section

Multiple Columns
\layout Standard

by 
\noun on 
Lars Gullik Bjønnes
\layout Subsection

Purpose
\layout Standard

The aim for this chapter is to show how the LaTeX package 
\family typewriter 
multicol
\family default 
 can be used in a LyX document.
 As LyX doesn't support the 
\family typewriter 
multicol
\family default 
 package natively yet, we have to use some small hacks.
 By reading this section it should be obvious how to do this.
\layout Subsection

Examples
\layout Subsubsection

Two columns
\layout Standard

If you want to have two columns in your text, you have use LaTeX mode to
 insert 
\family typewriter 

\backslash 
begin{multicols}{2}
\family default 
 at the point where you want the two column layout to start, and then 
\family typewriter 

\backslash 
end{multicols}
\family default 
 where you want it to end.
 Like this:
\layout Standard


\latex latex 

\backslash 
begin{multicols}{2}
\layout Standard
\noindent 

\series bold 
\size small 
The Adventure of the Empty House
\series default 

\newline 
by 
\noun on 
Sir Arthur Conan Doyle
\layout Standard


\size small 
It was in the spring of the year 1894 that all London was interested, and
 the fashionable world dismayed, by the murder of the Honourable Ronald
 Adair under most unusual and inexplicable circumstances.
 The public has already learned those particulars of the crime which came
 out in the police investigation, but a good deal was suppressed upon that
 occasion, since the case for the prosecution was so overwhelmingly strong
 that it was not necessary to bring forward all the facts.
 Only now, at the end of nearly ten years, am I allowed to supply those
 missing links which make up the whole of that remarkable chain.
 The crime was of interest in itself, but that interest was as nothing to
 me compared to the inconceivable sequel, which afforded me the greatest
 shock and surprise of any event in my adventurous life.
 Even now, after this long interval, I find myself thrilling as I think
 of it, and feeling once more that sudden flood of joy, amazement, and increduli
ty which utterly submerged my mind.
 Let me say to that public, which has shown some interest in those glimpses
 which I have occasionally given them of the thoughts and actions of a very
 remarkable man, that they are not to blame me if I have not shared my knowledge
 with them, for I should have considered it my first duty to do so, had
 I not been barred by a positive prohibition from his own lips, which was
 only withdrawn upon the third of last month.
\layout Standard


\latex latex 

\backslash 
end{multicols}
\layout Subsubsection

Multiple columns
\layout Standard

The same pattern is used when you want more than two columns:
\layout Standard


\latex latex 

\backslash 
begin{multicols}{3}
\layout Standard


\size footnotesize 
It can be imagined that my close intimacy with Sherlock Holmes had interested
 me deeply in crime, and that after his disappearance I never failed to
 read with care the various problems which came before the public.
 And I even attempted, more than once, for my own private satisfaction,
 to employ his methods in their solution, though with indifferent success.
 There was none, however, which appealed to me like this tragedy of Ronald
 Adair.
 As I read the evidence at the inquest, which led up to a verdict of willful
 murder against some person or persons unknown, I realized more clearly
 than I had ever done the loss which the community had sustained by the
 death of Sherlock Holmes.
 There were points about this strange business which would, I was sure,
 have specially appealed to him, and the efforts of the police would have
 been supplemented, or more probably anticipated, by the trained observation
 and the alert mind of the first criminal agent in Europe.
 All day, as I drove upon my round, I turned over the case in my mind and
 found no explanation which appeared to me to be adequate.
 At the risk of telling a twice-told tale, I will recapitulate the facts
 as they were known to the public at the conclusion of the inquest.
\layout Standard


\latex latex 

\backslash 
end{multicols}
\layout Standard

You can have have more than 3 columns if you want to, but that might not
 be very pleasant for the eye.
\layout Subsubsection

Columns inside columns
\layout Standard

You can even have columns inside columns:
\layout Standard


\latex latex 

\backslash 
begin{multicols}{2}
\layout Standard


\size footnotesize 
The Honourable Ronald Adair was the second son of the Earl of Maynooth,
 at that time governor of one of the Australian colonies.
 Adair's mother had returned from Australia to undergo the operation for
 cataract, and she, her son Ronald, and her daughter Hilda were living together
 at 427 Park Lane.
\layout Standard


\latex latex 

\backslash 
begin{multicols}{2}
\layout Standard


\size footnotesize 
The youth moved in the best society--had, so far as was known, no enemies
 and no particular vices.
 He had been engaged to Miss Edith Woodley, of Carstairs, but the engagement
 had been broken off by mutual consent some months before, and there was
 no sign that it had left any very profound feeling behind it.
 For the rest {sic} the man's life moved in a narrow and conventional circle,
 for his habits were quiet and his nature unemotional.
 Yet it was upon this easy-going young aristocrat that death came, in most
 strange and unexpected form, between the hours of ten and eleven-twenty
 on the night of March 30, 1894.
\layout Standard


\latex latex 

\backslash 
end{multicols}
\layout Standard


\size footnotesize 
Ronald Adair was fond of cards--playing continually, but never for such
 stakes as would hurt him.
 He was a member of the Baldwin, the Cavendish, and the Bagatelle card clubs.
 It was shown that, after dinner on the day of his death, he had played
 a rubber of whist at the latter club.
 He had also played there in the afternoon.

\size default 
 
\size footnotesize 
The evidence of those who had played with him-- Mr.
 Murray, Sir John Hardy, and Colonel Moran--showed that the game was whist,
 and that there was a fairly equal fall of the cards.
 Adair might have lost five pounds, but not more.
 His fortune was a considerable one, and such a loss could not in any way
 affect him.
 He had played nearly every day at one club or other, but he was a cautious
 player, and usually rose a winner.
 It came out in evidence that, in partnership with Colonel Moran, he had
 actually won as much as four hundred and twenty pounds in a sitting, some
 weeks before, from Godfrey Milner and Lord Balmoral.
 So much for his recent history as it came out at the inquest.
\layout Standard


\latex latex 

\backslash 
end{multicols}
\layout Subsection

Advanced Examples
\layout Standard

As you probably know 
\family typewriter 
multicol
\family default 
 has several customizing variables.
 The following examples shows how these can be used from LyX.
\layout Subsubsection

Preface and Skip
\layout Standard

If there is less than 5cm left on the page, a page break will be inserted
 before this bit, which has a preface text above the two columns: 
\layout Standard


\latex latex 

\backslash 
begin{multicols}{2}[And the story continues and continues and continues
 and continues\SpecialChar \ldots{}
][5cm]
\layout Standard


\size small 
On the evening of the crime, he returned from the club exactly at ten.
 His mother and sister were out spending the evening with a relation.
 The servant deposed that she heard him enter the front room on the second
 floor, generally used as his sitting-room.
 She had lit a fire there, and as it smoked she had opened the window.
 No sound was heard from the room until eleven-twenty, the hour of the return
 of Lady Maynooth and her daughter.
 Desiring to say good-night, she attempted to enter her son's room.
 The door was locked on the inside, and no answer could be got to their
 cries and knocking.
 Help was obtained, and the door forced.
 The unfortunate young man was found lying near the table.
 His head had been horribly mutilated by an expanding revolver bullet, but
 no weapon of any sort was to be found in the room.
 On the table lay two bank notes for ten pounds each and seventeen pounds
 ten in silver and gold, the money arranged in little piles of varying amount.
 There were some figures also upon a sheet of paper, with the names of some
 club friends opposite to them, from which it was conjectured that before
 his death he was endeavouring to make out his losses or winnings at cards.
\layout Standard


\latex latex 

\backslash 
end{multicols}
\layout Subsubsection

Preface and sections
\layout Standard

What if you want the preface to be a sectioning command? That can be done,
 but only through LaTeX commands inside the parameters for the 
\family typewriter 
multicols
\family default 
 command.
 Because of this, the section command can not be provided by LyX:
\layout Standard


\latex latex 

\backslash 
begin{multicols}{2}[
\backslash 
subsubsection{This is the sectioning command as a preface}][5cm]
\layout Standard


\size small 
A minute examination of the circumstances served only to make the case more
 complex.
 In the first place, no reason could be given why the young man should have
 fastened the door upon the inside.
 There was the possibility that the murderer had done this, and had afterwards
 escaped by the window.
 The drop was at least twenty feet, however, and a bed of crocuses in full
 bloom lay beneath.
 Neither the flowers nor the earth showed any sign of having been disturbed,
 nor were there any marks upon the narrow strip of grass which separated
 the house from the road.
 Apparently, therefore, it was the young man himself who had fastened the
 door.
 But how did he come by his death? No one could have climbed up to the window
 without leaving traces.
 Suppose a man had fired through the window, he would indeed be a remarkable
 shot who could with a revolver inflict so deadly a wound.
 Again, Park Lane is a frequented thoroughfare; there is a cab stand within
 a hundred yards of the house.
 No one had heard a shot.
 And yet there was the dead man and there the revolver bullet, which had
 mushroomed out, as soft-nosed bullets will, and so inflicted a wound which
 must have caused instantaneous death.
 Such were the circumstances of the Park Lane Mystery, which were further
 complicated by entire absence of motive, since, as I have said, young Adair
 was not known to have any enemy, and no attempt had been made to remove
 the money or valuables in the room.
\layout Standard


\latex latex 

\backslash 
end{multicols}
\layout Subsubsection

Free Space
\layout Standard

The 
\family typewriter 
multicol
\family default 
 package demands that a certain amount of space is available before and
 after a multicolumn section.
 In addition 
\family typewriter 
multicol
\family default 
 inserts a given space in front of and after the multicol section.
 The commands to change the default settings for this must be given just
 before the 
\family typewriter 

\backslash 
begin{multicols}
\family default 
.
 This example puts a space of 3 cm in front of and after the multicolumn
 text:
\layout Standard


\latex latex 

\backslash 
setlength{
\backslash 
multicolsep}{3cm}
\backslash 
begin{multicols}{2}
\layout Standard


\size small 
All day I turned these facts over in my mind, endeavouring to hit upon some
 theory which could reconcile them all, and to find that line of least resistanc
e which my poor friend had declared to be the starting-point of every investigat
ion.
 I confess that I made little progress.
 In the evening I strolled across the Park, and found myself about six o'clock
 at the Oxford Street end of Park Lane.
 A group of loafers upon the pavements, all staring up at a particular window,
 directed me to the house which I had come to see.
 A tall, thin man with coloured glasses, whom I strongly suspected of being
 a plain-clothes detective, was pointing out some theory of his own, while
 the others crowded round to listen to what he said.
 I got as near him as I could, but his observations seemed to me to be absurd,
 so I withdrew again in some disgust.
 As I did so I struck against an elderly, deformed man, who had been behind
 me, and I knocked down several books which he was carrying.
 I remember that as I picked them up, I observed the title of one of them,
 THE ORIGIN OF TREE WORSHIP, and it struck me that the fellow must be some
 poor bibliophile, who, either as a trade or as a hobby, was a collector
 of obscure volumes.
 I endeavoured to apologize for the accident, but it was evident that these
 books which I had so unfortunately maltreated were very precious objects
 in the eyes of their owner.
 With a snarl of contempt he turned upon his heel, and I saw his curved
 back and white side-whiskers disappear among the throng.
\layout Standard


\latex latex 

\backslash 
end{multicols}
\layout Paragraph

Note:
\layout Standard

The values you set with 
\family typewriter 

\backslash 
setlength
\family default 
 must be reset to default after use, or you will get the modified value
 in the rest of your document.
\layout Standard


\latex latex 

\backslash 
setlength{
\backslash 
multicolsep}{13pt}
\layout Subsubsection

Column Width and Separation
\layout Standard

The width of the columns inside the 
\family sans 
multicols
\family default 
 environment is automatically calculated, but you can modify the space between
 two columns explicitly.
 The space between the following two columns is 3 cm wide:
\layout Standard


\latex latex 

\backslash 
setlength{
\backslash 
columnsep}{3cm}
\backslash 
begin{multicols}{2}
\layout Standard


\size small 
My observations of No.
 427 Park Lane did little to clear up the problem in which I was interested.
 The house was separated from the street by a low wall and railing, the
 whole not more than five feet high.
 It was perfectly easy, therefore, for anyone to get into the garden, but
 the window was entirely inaccessible, since there was no water pipe or
 anything which could help the most active man to climb it.
 More puzzled than ever, I retraced my steps to Kensington.
 I had not been in my study five minutes when the maid entered to say that
 a person desired to see me.
 To my astonishment it was none other than my strange old book collector,
 his sharp, wizened face peering out from a frame of white hair, and his
 precious volumes, a dozen of them at least, wedged under his right arm.
\layout Standard


\latex latex 

\backslash 
end{multicols}
\layout Standard

Once again, we have to reset the value after use to avoid using it in the
 rest of the document.
\layout Standard


\latex latex 

\backslash 
setlength{
\backslash 
columnsep}{10pt}
\layout Subsubsection

Vertical Lines
\layout Standard

Between every two columns, a rule of width 
\family typewriter 

\backslash 
columnseprule
\family default 
 is placed.
 If this rule is set to 0 pt, the rule is suppressed.
 In the following example, the line separating the two columns is 2 pt wide.
\layout Standard


\latex latex 

\backslash 
setlength{
\backslash 
columnseprule}{2pt}
\backslash 
begin{multicols}{2}
\layout Standard


\size small 

\begin_inset Quotes eld
\end_inset 

You're surprised to see me, sir,
\begin_inset Quotes erd
\end_inset 

 said he, in a strange, croaking voice.
\layout Standard


\size small 
I acknowledged that I was.
\layout Standard


\size small 

\begin_inset Quotes eld
\end_inset 

Well, I've a conscience, sir, and when I chanced to see you go into this
 house, as I came hobbling after you, I thought to myself, I'll just step
 in and see that kind gentleman, and tell him that if I was a bit gruff
 in my manner there was not any harm meant, and that I am much obliged to
 him for picking up my books.
\begin_inset Quotes erd
\end_inset 


\layout Standard


\size small 

\begin_inset Quotes eld
\end_inset 

You make too much of a trifle,
\begin_inset Quotes erd
\end_inset 

 said I.
 
\begin_inset Quotes eld
\end_inset 

May I ask how you knew who I was?
\begin_inset Quotes erd
\end_inset 


\layout Standard


\size small 

\begin_inset Quotes eld
\end_inset 

Well, sir, if it isn't too great a liberty, I am a neighbour of yours, for
 you'll find my little bookshop at the corner of Church Street, and very
 happy to see you, I am sure.
 Maybe you collect yourself, sir.
 Here's 
\noun on 
British
\protected_separator 
Birds
\noun default 
, and 
\noun on 
Catullus
\noun default 
, and 
\noun on 
The Holy War
\noun default 
--a bargain, every one of them.
 With five volumes you could just fill that gap on that second shelf.
 It looks untidy, does it not, sir?
\begin_inset Quotes erd
\end_inset 


\layout Standard


\latex latex 

\backslash 
end{multicols}
\layout Standard

As usual, we reset the value after use.
\layout Standard


\latex latex 

\backslash 
setlength{
\backslash 
columnseprule}{0pt}
\layout Standard

You'll have to go to the library to read the rest of the story.
\begin_float footnote 
\layout Standard

\SpecialChar \ldots{}
or cheat like we did and find it at the Gutenberg project somewhere on the
 Web.
\end_float 
 Believe it or not, but it's actually a bit of a cliff-hanger at this point
 in the story\SpecialChar \ldots{}

\layout Section

Dropped Capitals
\layout Standard


\latex latex 

\backslash 
newfont{
\backslash 
tmpfont}{cmr17 scaled 2500}{
\backslash 
tmpfont T} 
\backslash 
vspace*{-8.2ex} 
\layout Standard
\noindent 

\latex latex 

\backslash 
hangindent=3.3em 
\backslash 
hangafter=-3
\latex default 
 hose of you who like the style of old books probably also like 
\begin_inset Quotes eld
\end_inset 

dropped capitals
\begin_inset Quotes erd
\end_inset 

---those large capital letters which begin each new chapter or section.
 Implementing them with plain LyX/LaTeX is straightforward (assuming you
 know some plain TeX!) but does require a lot of work and many iterations,
 as you can see by all the ugly TeX-mode stuff at the beginning of this
 paragraph.
\layout Standard


\latex latex 

\backslash 
verb+
\backslash 
bigdrop{-1em}{3}{ptmri}{T}+
\latex default 
here is a much easier way of doing this, of course.
 The 
\family typewriter 
dropcaps
\family default 
 (or the newer 
\family typewriter 
dropping
\family default 
) package from CTAN allows a simple way to add such letters to your documents.
 Since this package is not a standard part of teTeX, I can't demonstrate
 it within this document, but if you copy this paragraph to a new document,
 delete the 
\begin_inset Quotes eld
\end_inset 


\family typewriter 

\backslash 
verb
\family default 

\begin_inset Quotes erd
\end_inset 

 and the pluses from the TeX code at the beginning of the paragraph, and
 add 
\family typewriter 

\backslash 
usepackage{dropcaps}
\family default 
 to your LaTeX preamble, you will get a nice Times Roman Italic 
\begin_inset Quotes eld
\end_inset 

T
\begin_inset Quotes erd
\end_inset 

, whose height is three lines of text and which protrudes 1 em into the
 margin.
 (Make certain you have copied 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
dropcaps.sty
\family default 

\begin_inset Quotes erd
\end_inset 

 into a directory where TeX can see it.) The first argument is the amount
 of indentation; in this case the negative sign moves it into the margin.
 The second argument is the height of the letter in number of lines of text.
 The third argument is the font name: virtually anything which has a tfm
 file should work (wade through the 
\family typewriter 
.../texmf/fonts/tfm
\family default 
 directory for possibilities).
 My personal favorite is 
\begin_inset Quotes eld
\end_inset 


\family typewriter 
yinit
\family default 

\begin_inset Quotes erd
\end_inset 

, a fancy German font specifically designed for dropped capitals.
 The fourth argument is the letter (or letters) to be dropped.
 The 
\family typewriter 
dropping
\family default 
 package also offers the 
\family typewriter 

\backslash 
bigdrop
\family default 
 command, as well as a slightly simplified 
\family typewriter 

\backslash 
dropping
\family default 
 command.
\layout Section

Wrapping Text Around Figures (and Tables) - Revisited
\begin_inset LatexCommand \label{sec:wrap}

\end_inset 


\layout Standard

As mentioned in Section 
\begin_inset LatexCommand \ref{sec:floatflt}

\end_inset 

, the 
\family typewriter 
floatflt
\family default 
 package can be used to wrap text around a figure.
 There are at least two LaTeX packages which allow one to do this, 
\family typewriter 
floatflt
\family default 
 and 
\family typewriter 
wrapfig
\family default 
.
 The method the packages use is fundamentally the same, so you might want
 to try them both to see which implementation you prefer.
 Both are included in the current, standard teTeX distribution (version
 0.4 patch level 8).
\layout Standard


\latex latex 

\backslash 
begin{floatingfigure}[l]{2.5in}
\layout Standard
\added_space_top 0.3cm \added_space_bottom 0.3cm \align center 

\begin_inset Figure size 162 69
file mobius.eps
width 2 2.25
flags 9

\end_inset 


\layout Standard


\latex latex 

\backslash 
end{floatingfigure}
\layout Standard

At left is our figure of the mobius strip, this time wrapped by using 
\family typewriter 
floatingfigure
\family default 
 in raw LaTeX code in order to force the figure onto the left side.
 I have included the figure in the standard way, setting the desired width
 to 2.25 inches (my apologies to those on the right side of the Atlantic).
 The 
\family typewriter 
floatingfigure
\family default 
 width has been set to 2.5 inches, to allow a bit of extra space between
 the figure and the text.
 Valid options for figure placement include 
\family typewriter 
l
\family default 
 (left, as in this example), 
\family typewriter 
r
\family default 
 for right placement, 
\family typewriter 
p
\family default 
 for right if page number is odd or left if page number is even, or 
\family typewriter 
v
\family default 
 which is equivalent to 
\family typewriter 
p
\family default 
 unless a package option is specified (see the 
\family typewriter 
floatflt
\family default 
 documentation for the details).
\layout Standard

[
\emph on 
Authors Note: There is also an equivalent mode to allow wrapped tables.
 It is called with the 
\family typewriter 
\emph default 

\backslash 
begin{floatingtable}
\family default 
\emph on 
 command, but I have not yet been able to make it work.
 --- mer
\emph default 
]
\layout Section

Numbering in the 
\family sans 
Enumerate
\family default 
 Paragraph Environment
\layout Standard

The default numbering for the 
\family sans 
Enumerate
\family default 
 paragraph environment begins with Arabic numbers and ends with uppercase
 letters.
 Suppose, however, you wanted a different type of numbering scheme.
 Here's a quickie example of how to change the numbering scheme:
\layout LyX-Code


\backslash 
renewcommand{
\backslash 
labelenumi}{
\backslash 
Roman{enumi}.}
\layout LyX-Code


\backslash 
renewcommand{
\backslash 
labelenumii}{
\backslash 
Alph{enumii}.}
\layout LyX-Code


\backslash 
renewcommand{
\backslash 
labelenumiii}{
\backslash 
arabic{enumiii}.}
\layout LyX-Code


\backslash 
renewcommand{
\backslash 
labelenumiv}{
\backslash 
alph{enumiv}.)}
\layout Standard

\SpecialChar \ldots{}
 which changes the numbering scheme to uppercase Roman numerals, uppercase
 letters, Arabic numbers, and lowercase letter.
\layout Standard

Additionally, the previous example also adds a little bit extra to the numbering
 scheme.
 For example, the first level label actually looks like: 
\begin_inset Quotes eld
\end_inset 

I.
\begin_inset Quotes erd
\end_inset 

.
 For ease of reading, we'll describe what the numbering schemes look like
 using a notation something like this: <
\begin_inset Quotes eld
\end_inset 

I.
\begin_inset Quotes erd
\end_inset 

,
\protected_separator 

\begin_inset Quotes erd
\end_inset 

A.
\begin_inset Quotes erd
\end_inset 

,
\protected_separator 

\begin_inset Quotes erd
\end_inset 

1.
\begin_inset Quotes erd
\end_inset 

,
\protected_separator 

\begin_inset Quotes eld
\end_inset 

a.)
\begin_inset Quotes erd
\end_inset 

>.
 
\layout Standard

As you can see in the example, there is a label command for each nesting
 level, 
\family typewriter 

\backslash 
labelenumi
\family default 
 \SpecialChar \ldots{}
 
\family typewriter 

\backslash 
labelenumiv
\family default 
, as well as a counter, 
\family typewriter 
enumi
\family default 
 \SpecialChar \ldots{}
 
\family typewriter 
enumiv
\family default 
.
 There are also five 
\begin_inset Quotes eld
\end_inset 

number printing
\begin_inset Quotes erd
\end_inset 

 commands, 
\family typewriter 

\backslash 
arabic{}
\family default 
, 
\family typewriter 

\backslash 
roman{}
\family default 
, 
\family typewriter 

\backslash 
Roman{}
\family default 
, 
\family typewriter 

\backslash 
alph{}
\family default 
, and 
\family typewriter 

\backslash 
Alph{}
\family default 
, each of which take one counter as an argument.
 You can add characters before or after these, but there's no need to add
 spaces.
\layout Standard

You can get really fancy with these.
 For example:
\layout LyX-Code


\backslash 
renewcommand{
\backslash 
labelenumi}{
\backslash 
#
\backslash 
Alph{enumi}
\backslash 
#}
\layout LyX-Code


\backslash 
renewcommand{
\backslash 
labelenumii}{
\backslash 
Alph{enumi}.
\backslash 
arabic{enumii}}
\layout LyX-Code


\backslash 
renewcommand{
\backslash 
labelenumiii}{
\backslash 
alph{enumiii}+}
\layout LyX-Code


\backslash 
renewcommand{
\backslash 
labelenumiv}{(
\backslash 
roman{enumiv})}
\layout Standard

produces the somewhat out of hand numbering scheme: <
\begin_inset Quotes eld
\end_inset 

#A#
\begin_inset Quotes erd
\end_inset 

,
\protected_separator 

\begin_inset Quotes erd
\end_inset 

A.1
\begin_inset Quotes erd
\end_inset 

,
\protected_separator 

\begin_inset Quotes erd
\end_inset 

a+
\begin_inset Quotes erd
\end_inset 

,
\protected_separator 

\begin_inset Quotes eld
\end_inset 

(i)
\begin_inset Quotes erd
\end_inset 

>.
 
\layout Section

Extra Space Between Table Rows
\layout Standard

LaTeX allows you to put a bit of extra space between rows in a table by
 giving an optional argument to the end-of-row specifier (
\family typewriter 

\backslash 

\backslash 

\family default 
).
 LyX has not yet implemented this in a formal way, so here are two dirty
 little tricks to do the same job.
 
\layout Standard

The first is the more formal, but longwinded way to do it.
 In the LaTeX preamble, add the following command definition: 
\layout Standard


\family typewriter 

\backslash 
newcommand{
\backslash 
extratablespace}[1]{
\backslash 
noalign{vskip#1}}
\family default 
 This command takes a single argument---the amount of space you would like
 to insert.
 Insert the command in the first column of the row 
\emph on 
after
\emph default 
 where you would like the space to appear.
 Here is an example (I've removed all the borders using 
\family sans 
\bar under 
L
\bar default 
ayout\SpecialChar \menuseparator
Tabl
\bar under 
e
\family default 
\bar default 
):
\layout Standard
\added_space_top 0.3cm \added_space_bottom 0.3cm \align center \LyXTable
multicol5
4 3 0 0 -1 -1 -1 -1
0 0 0 0
0 0 0 0
0 0 0 0
0 0 0 0
8 0 0 "" ""
8 0 0 "" ""
8 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""

Minerals
\newline 
Calcite
\newline 
Dolomite
\newline 

\newline 
Quartz
\newline 
Graphite
\newline 

\latex latex 

\backslash 
extratablespace{2ex}
\latex default 
Rocks
\newline 
Limestone
\newline 
Sandstone
\newline 

\newline 
Granite
\newline 
Andesite
\layout Standard

The second method is faster, but will make typographers and TeXperts all
 over the world groan.
 Simply put an end of row specifier with optional argument at the same spot.
 No fancy definitions are needed as in the above example, but there will
 be more space inserted than you specified because you essentially added
 a blank row plus the extra space.
 If the space added is too much, simply use a negative number, like so:
\layout Standard
\added_space_top 0.3cm \added_space_bottom 0.3cm \align center \LyXTable
multicol5
4 3 0 0 -1 -1 -1 -1
0 0 0 0
0 0 0 0
0 0 0 0
0 0 0 0
8 0 0 "" ""
8 0 0 "" ""
8 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""
0 8 1 0 0 0 0 "" ""

Minerals
\newline 
Calcite
\newline 
Dolomite
\newline 

\newline 
Quartz
\newline 
Graphite
\newline 

\latex latex 

\backslash 

\backslash 
[-1ex]
\latex default 
 Rocks
\newline 
Limestone
\newline 
Sandstone
\newline 

\newline 
Granite
\newline 
Andesite
\layout Standard

It's short, sweet, and gets the job done quickly, even if it is really ugly.
 You may put away the rotten vegetables now! I promise I won't suggest anything
 else like that!
\the_end
